/** \page changelog Changelog
\tableofcontents{html,latex}
\section log_1_18 1.18 Series
\subsection log_1_18_0 Release 1.18.0
\htmlonly
<b>(release date 13-08-2026)</b>
</p>

<h3>Features</h3>
<ul>
<li>Doxywizard's GUI and config option documentation are now translated to 8 addition languages (next to English):
    German, French, Spanish, Russian, Korean, Chinese, Taiwanese, and Japanese. <br/>
    From the menu one can switch between languages (doing so will relaunch the application).<br>
    Via the wizard the Doxyfile can also be generated in 8 different languages next to English.</li>
<li>The expert panel of Doxywizard now has a search field to quickly search for and filter configuration options.
[<a href="https://github.com/doxygen/doxygen/commit/c92e5b2a0542c09622efdceb563085a8861c90fb">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/0b632248e556a9df625938903593ed43c91a5137">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/4c9aa9e21f17a2312413c97fb444fcd9fd9c99c2">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/80675499019ad74dfacd7a6a052b8768d9204e2a">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/b6748ffbbcb6b9f5d85fc9360d6c2c4f97c8936c">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/ee0fa47772e81dca1a2699348b2ce5df0e76c4f5">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/3eb714c879681fb1bd8bd3b4273b491e10109c57">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/04ed0e8443fd1d580b8577eff407dc261ca915cf">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/a210941aaecdd031e9941582a583bc694b1645b7">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/b6f4c329db7daa7a55bf202f893fa708919a53d6">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/ecbc1c359880cdd78abdf436a89ec11cf1e18f9f">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/74555d74fb9b8b8a8431ba80b67c8e8ad190fb22">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/c6c2e232ed4aca8f3679b90848d358c8e5ad2bd3">view</a>]</li>
<li>Changed doxygen.ico to higher resolution version [<a href="https://github.com/doxygen/doxygen/commit/4be478cfae2499f421714048b39b197dab9d3ad2">view</a>]</li>
<li>When using the external search engine, icons are used instead of numbers and words for search result types  [<a href="https://github.com/doxygen/doxygen/commit/1fa0abee3b77e9a7c9edb23ce40beb3f1f6f0840">view</a>], and [<a href="https://github.com/doxygen/doxygen/commit/7ce57dc3e632cbcb44bfb5c0f5adf22806339afb">view</a>]</li>
</ul>

<h3>Minor incompatibilities</h3>
<ul>
<li>Made SOURCE_TOOLTIPS independent of HTML_DYNAMIC_SECTIONS [<a href="https://github.com/doxygen/doxygen/commit/fc0164ef50a7bd89e5f843ea19da6f0053c31b66">view</a>]</li>
</ul>

<h3>Bug fixes</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/4407">#4407</a> Extending an undocumented class. (Origin: bugzilla #658974) [<a href="https://github.com/doxygen/doxygen/commit/3e34bb7f71d2ca4fd3dfdb5f7b3801f85abd1277">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/5940">#5940</a> Look for [[deprecated]] markers (Origin: bugzilla #761131) [<a href="https://github.com/doxygen/doxygen/commit/db26e1e0c9089378da8992fe696deabfdb556d7e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/fb38f8a840c0385ba0b27c51d338eec8f25ceb91">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/9447">#9447</a> nested inline namespaces are incorrectly generated [<a href="https://github.com/doxygen/doxygen/commit/bc56c8a9beb0c324870ed3ff6505272fd63d43f5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/9502">#9502</a> Fortran containing a single apostrophe (&#39;) in comments interferes with Doxygen parsing. [<a href="https://github.com/doxygen/doxygen/commit/a7ed71f63c523dbdc620f50bfae0cba68bdc8239">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10855">#10855</a> About how to specify a relative path directory [<a href="https://github.com/doxygen/doxygen/commit/1978e429199ede06c613b041687dda2ade9d7563">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/3c43a56a707e481b424b1026932d4b95bc5c4686">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10900">#10900</a> [1.9.5+] Inline comments on single-line classes with @copydoc create &#39;TK_COMMAND_BS&#39; warnings [<a href="https://github.com/doxygen/doxygen/commit/2f7747db104f42c4717af3232e3dd316f2f49251">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11760">#11760</a> `\doxyconfig` does not work as an if-argument [<a href="https://github.com/doxygen/doxygen/commit/1472c1566d228e82c29c8e0c5ddc8e2350c56745">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11913">#11913</a>: Regression: missing references to function calls for objects declared outside function scope starting from v1.13.0 [<a href="https://github.com/doxygen/doxygen/commit/f72f2bdfbe21591456e82709ec50024ff8079d96">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12111">#12111</a> Requirements output for LaTeX is not good [<a href="https://github.com/doxygen/doxygen/commit/54b12029e859cec90034d19e29781899317b1b2b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12113">#12113</a> Doxygen generates ill-formed XML when \p is at the end of a line [<a href="https://github.com/doxygen/doxygen/commit/081bfa315d247c1438f1041f5260dc97e4984fad">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e3a5da55c65b8e778fea72c59e99f08ccbc2261e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12114">#12114</a> Docs for C++ nested namespace aaa::bbb are applied to both aaa and bbb [<a href="https://github.com/doxygen/doxygen/commit/a37b0e392ef7c8844deb8bb05319682ef96bebf5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12116">#12116</a> Test suite&#39;s test tagfile fails [<a href="https://github.com/doxygen/doxygen/commit/a819808ca4dd0264be2ea80fe2d08736e70eacdd">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12140">#12140</a> Concatenating pages with same name behaves different in V.1.15 and 1.17 [<a href="https://github.com/doxygen/doxygen/commit/fcb13f5d74100bd98447d456a313e08c8da52354">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12148">#12148</a> HTML output generated from C-project contains invalid JavaScript if a source file starts with a number. [<a href="https://github.com/doxygen/doxygen/commit/0cf3c98de71e8aee5e1d9c01f784cbb87394e74d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12155">#12155</a> Link names to internal anchors in a md file are duplicated in HTML page when including the md in a doxygen page [<a href="https://github.com/doxygen/doxygen/commit/cb7b707ec3f4aa55f62f1d3346c2f84f17d03b9c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12169">#12169</a> Problems with links in markdown headers when using USE_MDFILE_AS_MAINPAGE [<a href="https://github.com/doxygen/doxygen/commit/0dcaeed8e2e2424988630a3ea24aebeab551cb5e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12183">#12183</a> [REGRESSION] Hyperlink doesn&#39;t work in the &lt;return value&gt; field for @retval command [<a href="https://github.com/doxygen/doxygen/commit/50736cb84279fc39d4a4d91c56649d09a2d358d4">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e20ccb9eb9785a062add4ee2d41c76f8303881f7">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12213">#12213</a> Function parameters of type array of function pointers parsed incorrectly when there is &#39;static&#39; or qualifiers in the square brackets [<a href="https://github.com/doxygen/doxygen/commit/78c2ceba17919b528bcfeffca4853117d9a191a2">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12218">#12218</a> Compilation of 1.17.0 fails for gcc-based openSUSE [<a href="https://github.com/doxygen/doxygen/commit/2176e5be6b78363c41620bc6cebb54263cd97c5c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12221">#12221</a> Mermaid CDN loading in offline builds and unclear render mode behavio [<a href="https://github.com/doxygen/doxygen/commit/6c2768fec0198b3fe5626240fad5fa46a1870be6">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12226">#12226</a> Anonymous union&#39;s @brief and documentation shown instead of member&#39;s in Data Fields table and Field Documentation [<a href="https://github.com/doxygen/doxygen/commit/0ffaa27a5256242b567c5cd391bd04aeab6e1aa9">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/2f8ba212fdc3e1df0fe298a0f2f52dfedec0a028">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/6b03b055dd77548d00314f55e9bd3c29498770a4">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12233">#12233</a> Call and caller graphs not rendered when functions only have brief [<a href="https://github.com/doxygen/doxygen/commit/ed9a0d5bd889a33bada2d46db54022fba0a4ee3d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12245">#12245</a> Doxygen renders html title including inline statements [<a href="https://github.com/doxygen/doxygen/commit/3bb51bfaed4c270b33c0f831f70b84acb4cbe83e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/466ea14a1621c41410b63f1ee5659c7791581bcb">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12249">#12249</a> HTML mobile view: expanding and closing the hamburger menu creates a gap at the bottom. [<a href="https://github.com/doxygen/doxygen/commit/b287cd501556f072f10741edd754912104da62d9">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12256">#12256</a> Function no longer recognised by Doxygen 1.17.0 when using TAGFILES [<a href="https://github.com/doxygen/doxygen/commit/889a705e3b9e2bef7b97441016980f49bd61d23a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12268">#12268</a> Initializer should not be shown as inline sources [<a href="https://github.com/doxygen/doxygen/commit/b2624122c88c45c862364cf13678d600fd5c8f1e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12270">#12270</a> `@code{.shell-session}` is broken since 1.14.0 [<a href="https://github.com/doxygen/doxygen/commit/6d4b1a1740dfc1fdd03b003b8114086b54545592">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/cb26785c65d133d381e39d97ec653376fc71df5d">view</a>]</li>
<li>CSP: security: anti XSS [<a href="https://github.com/doxygen/doxygen/commit/0ad30a32605a68ef8003a711af39fb7d79646149">view</a>], and [<a href="https://github.com/doxygen/doxygen/commit/4778332550b537f4be2cf613721784b2d2cab15d">view</a>]</li>
<li>Error with Fortran string concatenation (`//`) and preprocessing [<a href="https://github.com/doxygen/doxygen/commit/4453ff7c459644a64e6f87a026267c07baa2d4fa">view</a>]</li>
<li>Fix small memory leak when using libclang [<a href="https://github.com/doxygen/doxygen/commit/aabfe1f65cd79cad1cf1ea9b002a40ed16f4dddb">view</a>]</li>
<li>Fixes to make server based search work again [<a href="https://github.com/doxygen/doxygen/commit/ed75c59954c3e455e87bfeda2459f9bc34e2f9ca">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/0912aea14dcedbb39b14137235d8a59817ac3a69">view</a>]</li>
<li>Incorrect representation of accented characters with `\cite{shortauthor}` [<a href="https://github.com/doxygen/doxygen/commit/0a782016e2b70b766e6bea3ca07c932d9155db0a">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/aa832c93283821b43b5d0835d6d4b1d992c8a2aa">view</a>]</li>
<li>Incorrect display of images in the treeview. [<a href="https://github.com/doxygen/doxygen/commit/6f3b2b7d07177702827556eeb1bd508913010902">view</a>], and [<a href="https://github.com/doxygen/doxygen/commit/1640844b8d2dbecfb2c517f975b49bc995551bda">view</a>]</li>
<li>Fix nondeterministic input ordering of duplicate basenames [<a href="https://github.com/doxygen/doxygen/commit/87d10352d53cd89461e796cd53ba615db1e0b45c">view</a>]</li>
<li>Adding missing block protection for `\mermaid`  command [<a href="https://github.com/doxygen/doxygen/commit/13761c790ef8eca235a5b807f431bc8a8e51c8d5">view</a>]</li>
<li>fixed a number of coverity warnings [<a href="https://github.com/doxygen/doxygen/commit/7fbe0505144b61a33f0a6a15b765cb9e74ba98bf">view</a>]</li>
<li>Display Additional inherited members in HTML [<a href="https://github.com/doxygen/doxygen/commit/cea7da8a8ef166f7a7c00e671e751e8f12007952">view</a>]</li>
<li>fix: HTML docs for files starting with a digit [<a href="https://github.com/doxygen/doxygen/commit/1844afeae00a6dde091b570c5c9c0cb7b2c1f214">view</a>]</li>
<li>Unnecessary line break signs in LaTeX [<a href="https://github.com/doxygen/doxygen/commit/e51f8c3737a9c3760493f586effb400f08105973">view</a>]</li>
<li>Representation of (long) inline simple structs [<a href="https://github.com/doxygen/doxygen/commit/8bf6e06ae5d72cd1538cf152e321736396af9025">view</a>]</li>
<li>Regression in (image) fenced code block when the block starts with newlines / whitespace [<a href="https://github.com/doxygen/doxygen/commit/8b67f908cef4ef2ca7e152d756fe67d52a310471">view</a>]</li>
<li>Problems with `--` in `\cite` command name. [<a href="https://github.com/doxygen/doxygen/commit/8293fcef1a39741bb027e39eabf9efd60bbcb8b6">view</a>]</li>
<li>Prevent wrong cross references between static functions defined in multiple files [<a href="https://github.com/doxygen/doxygen/commit/e1bff0176b285f38434af6b9c303c53651bd8b4f">view</a>]</li>
<li>Preprocessor problem with `&#39;` in comment inside a define call [<a href="https://github.com/doxygen/doxygen/commit/ae22cb6372df7dffe86682cb27145f35461328ca">view</a>]</li>
<li>Navigation tree doesn&#39;t render due to `\n` in output [<a href="https://github.com/doxygen/doxygen/commit/3c653173485a9a10e7ce332407cb9d3d956fc25e">view</a>]</li>
<li>Incorrect handling of `\exception` command in markdown [<a href="https://github.com/doxygen/doxygen/commit/e6c064593b3ca386527ef47e8b87f54ef01d4d53">view</a>]</li>
</ul>

<h3>Improved user feedback and documentation</h3>
<ul>
<li>Sync BUILD.txt with CMakeLists.txt [<a href="https://github.com/doxygen/doxygen/commit/15ed5a2c1acb5554c3199c63dd7f2098045e3c22">view</a>]</li>
<li>Don&#39;t show message &quot;Running &lt;tool&gt; ...&quot; when there is nothing to run [<a href="https://github.com/doxygen/doxygen/commit/54d7fd9850db541785981d882ecd0277a265274d">view</a>]</li>
<li>Correcting references to CDN for Mermaid usage [<a href="https://github.com/doxygen/doxygen/commit/4b6c2957294bcce9d814bfed91ebf9391aa4a730">view</a>]</li>
</ul>

<h3>Refactoring and cleanup</h3>
<ul>
<li>Replace `FALSE` and `TRUE` with `false`/ `true` [<a href="https://github.com/doxygen/doxygen/commit/1599d6dd77efdc13b692a99b0a985e43cfba1fb7">view</a>]</li>
<li>Refactoring: rename QCString to DString [<a href="https://github.com/doxygen/doxygen/commit/fbe84b2eb9a80d1988a9262e321540cea2090923">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d6acb1ceedbb15e351e945313c98ed2f93ed7237">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f9e1a32252206afa7bcc0b7a46e13dbb96e8b7e6">view</a>], and [<a href="https://github.com/doxygen/doxygen/commit/772ac869946245992ee79d6245d88b95812cb4cd">view</a>]</li>
<li>Refactoring: add final keyword to leaf classes [<a href="https://github.com/doxygen/doxygen/commit/686592cdb8e157e0e4409a53b76caeb3e43bb343">view</a>]</li>
<li>Refactoring: reduce code duplication in expert.cpp [<a href="https://github.com/doxygen/doxygen/commit/588dc46b82f22988078d59e23d68cc9e84ea25ad">view</a>]</li>
<li>Refactoring: Return Config strings and lists by value (rely on RVO) [<a href="https://github.com/doxygen/doxygen/commit/fd308a76330dc7aadd24c73cf8fcca2d554ab5f0">view</a>]</li>
<li>Refactoring: simplify writing to TextStream [<a href="https://github.com/doxygen/doxygen/commit/8056167fead66b5777bf783d82bf4ad309d70e74">view</a>]</li>
<li>Refactoring: use argparse for configgen.py [<a href="https://github.com/doxygen/doxygen/commit/3cf045eb3e9d554b2e2b391eeb35680c67c2ee55">view</a>]</li>
<li>Added some trace statements for better debugging [<a href="https://github.com/doxygen/doxygen/commit/2b0c5216d98109937b6f9e09e941ad2de6ca15e0">view</a>]</li>
<li>Creating some helper functions for the `enum class MemberType` [<a href="https://github.com/doxygen/doxygen/commit/66c3be0c66c8cb0febc60f73a3076e507e3703a9">view</a>]</li>
</ul>

<h3>Development improvements</h3>
<ul>
<li>Create possibility to dump Doxyfile from doxywizard [<a href="https://github.com/doxygen/doxygen/commit/b0ddaa5df9152588a11c102271328e348ddfb76a">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/566de44edc517ccfbc7275b3a88096410ef1a033">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/c39c99501315d70f82a87d8d1650f2aab3558716">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/dc2f46a37bdcd4840c377080d4c947366ee3dff6">view</a>]</li>
<li>Fix capitalization of CMake (log, comment, doc) [<a href="https://github.com/doxygen/doxygen/commit/7999420e4a0eb2f734a68cbe01a1684c32b46f6f">view</a>]</li>
<li>Fixed warning &#39;captured structured bindings are a C++20 extension&#39; [<a href="https://github.com/doxygen/doxygen/commit/a9eb9243717b93a44dbd046cccd52b96bd7520d2">view</a>]</li>
<li>Improve brief part internal doxygen documentation [<a href="https://github.com/doxygen/doxygen/commit/f0bada55de0e8c2737ea52273d3df49fd497dba9">view</a>]</li>
</ul>

<p>
\endhtmlonly

\section log_1_17 1.17 Series
\subsection log_1_17_0 Release 1.17.0
\htmlonly
<b>(release date 30-04-2026)</b>
</p>

<h3>Features</h3>
<ul>
<li>Added support for Mermaid diagrams, via new commands <code>@mermaid</code>, <code>@endmermaid</code>, and <code>@mermaidfile</code> and new configuration options
<code>MERMAID_PATH</code>, <code>MERMAID_CONFIG_FILE</code>, <code>MERMAID_RENDER_MODE</code>, <code>MERMAID_JS_URL</code>, <code>MERMAIDFILE_DIRS</code>
[<a href="https://github.com/doxygen/doxygen/commit/a5eeba54b4fed20a644a3b82b35be375d3a8a2fd">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/d77eaa2c8b3626aefa52bb9dbc3169007d43d47f">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/6c83249b2f5220d374c4e541d3288dd79d2c9b3c">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/ec6311c8264229e23fe73a17b2db89666f102997">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/ad8fe5e53a6b89981d7dd50cd62f8f5c9c89e09e">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/480a22ea02fb6b66492241a5a6232b3c4344adfb">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/011a85ec386757fe370e5afc6839aa618ddc5db7">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/3dfa176a82deda9b992f42e080292edf2704a9f6">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/f239ad9e3995887208e6635f636b3340bc44067e">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/342ed5b0587a55474ce431a0d3608f37d74ecf53">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/6479b8659f950157b2ebd54d8dd7bc5fae0b9fb6">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/296e982b812db8f344f0ff68389419b08ab230a2">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/98e3906e516cc3d7cc811214df05833c7b1e4e24">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/89133373108bc239ef04f4edbc50a256c2cbcb88">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/c0a0ed75f6254061028632860a05019444c433f7">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/c2fd6e604dad3c0ef43387a4a3d289525b0cafe6">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/9013dbdd7c499134eb36ea64045b43ff23932f49">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/8f083b4ce26376ca983d47ae73a8b17edd13bb8f">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/209ec744d0017e8881ed8e300c53ab7dc7601a27">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/9556542c6711a59073ecadcc957e6ef1b9455042">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/0846a3c70c074eff42b824303b864e5ca3d2a142">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/4b80049c36c97ae40d2c56d62e6e1c84d0cc7d7b">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/a1c60062cc3ff42f1c204ba3d575300095fd7aba">view</a>]</li>
<li>Added support for running dot on batches of dot graphs to reduce process creation overhead. Can be tuned via new option <code>DOT_BATCH_SIZE</code>.
[<a href="https://github.com/doxygen/doxygen/commit/5bcd3182a4abbaeb9a78e282900a9db64cbdbe9c">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/40f82d1047f0deecee6785e2e857a88307690272">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/ba9e348ae1b7c0e0473b5165cc7cb78549950f71">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/1c8cbf0c18f9ce9e052be7f0a001f4fc2eaf2cb3">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/8c3123652ee6a9f42ebfaed53faa6457e182279b">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/c32a1ba1e945ae2f25f0664c5ed83d9c068e2afe">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/4dacfaec5eff06b9a7072593fe74d179a522f960">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/c5332d71bc2fd2ff29ce06357a3a3375c72a5033">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/cfcf2c3f557547c4aa37f6292f265829b4234c6d">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/f94ec7da9bad717dd5eab853d471fbe637b33e74">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/341e0e6a2193546f236adf09557e2923471d18b4">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/70cd2ae4048269e6416c444d62c41b72b6e841ca">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/dca5edbe6b09db11a61d05592c66a006ce521cae">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/5235a8e5b74abf4edb837a9fc3e4f6c8c33337f2">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/24cb048c945a6fa437744302c9f0e720186f510d">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/8b33c35f5adc1fd08f34fa5a11490788d09a71bc">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/91c2ced57a86ebc439ba24f8dc082b0b7c240ca7">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/0a1926b3499db895adc6e65b109813476418224d">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/de3b02de3cabcec2c6bbeca88754a04d2a462850">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/0e70e05bca682f426870d40d17aa8485d31639d5">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/60ae8274681c2398805d8d9ecad559a947a4553b">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/1812301bf0b9ea386ccbf6b9bcc7825c08007016">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/e102508aa5e82426c9e81d1cfda9a8274cdeb2e5">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/1a8d33eb791c528195f725400779205b1a6560d1">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/6926">#6926</a>
Added support for documenting unnamed parameters [<a href="https://github.com/doxygen/doxygen/commit/43d43c402acc3094c4f9a8a3b1543af78da6789f">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/743f4f125d66dd07b18d321080f5656893847441">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/b02c778dd55134a0547b203d18788a3725b4b370">view</a>]</li>
<li>Improve multi-threading performance by avoiding mutex contention [<a href="https://github.com/doxygen/doxygen/commit/ef13dc2a83242253fa6e19575d5ac6dfb93a336d">view</a>]</li>
<li>Updated Portuguese, Polish and Greek translators to 1.16.0. [<a href="https://github.com/doxygen/doxygen/commit/6013f210e4c494d9733be86056ed84bcf37f479d">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/24b6d488ce6e3ab461ee7a2d752f65246fd2a2a8">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/33f7a13eaf583a47c00b4a5e038c9fca0c0cfecb">view</a>]</li>
<li>Add support for long path name (&gt;260 characters) for Doxygen on Windows (embedded manifest file)
[<a href="https://github.com/doxygen/doxygen/commit/12de7d15acafeff5fbfae3de57dc939478ad8332">view</a>]</li>
<li>Added engines <code>chart</code>, <code>nwdiag</code>, <code>packetdiag</code> and <code>project</code> for PlantUML [<a href="https://github.com/doxygen/doxygen/commit/85ff8b63a841f37f7ba8ff80b86c2f2e85d2de78">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e78c3c2ac0a1ef4548b9b2c40a7579def8e239b8">view</a>]</li>
</ul>

<h3>Minor incompatibilities</h3>
<ul>
<li>Dropped the jQuery dependency.
[<a href="https://github.com/doxygen/doxygen/commit/c06be284c71eddc0ba9e94e1bc3d99e018cdbcdd">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/c13c5f734cc24fea37ba2cf89e80a4487a7c03ef">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/cbd8c4bcf0ebb58651fefbfbf9142a92e0a26a2f">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/11b1d542519959b336adf0de91ab988733ce85f9">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/3c4956fcfea07ef045f22c6d65fd3cafba9bbaf6">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/ea9f7143f9ed5d555821d25263ff999bc0e2f2cf">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/740e1cf1cf871bf1e07ef8931104e2c824af9768">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/ffdca0b1ee8dc0f499b44833f15ec8bba1393c97">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/76b8fa7ee95c4974be14f694a4c08a086c45aaf1">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/d1072df9b575c7af7f7309f0b40940ad14909882">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/f06f36a81295acb29002790ee6e6f9f8dc4980f7">view</a>]<br/>
<b>Note that if you have custom Javascripts relying on Doxygen to provide jQuery you need to update them and include jQuery yourself!</b>
</li>
</ul>

<h3>Bug fixes</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/8425">#8425</a> Would like a way to sort class list but not brief member list [<a href="https://github.com/doxygen/doxygen/commit/75ac8423bad7b0a6ff6d1262afc578e1b0ead1a1">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11831">#11831</a> @ref not supported in &lt;summary&gt; tag [<a href="https://github.com/doxygen/doxygen/commit/8c92fabf8c2f8916834b7dce45715427899992c6">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ae333392bb4ac3162996a80c84300445e9d2bf7d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11927">#11927</a> [BUG] Regression - Topics are no longer navigable [<a href="https://github.com/doxygen/doxygen/commit/1c2846652d18fdc159b4bf153ece5ee0d0958947">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/faecd64dd65b05bc355497e846e1ebc53f3f0483">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11932">#11932</a> Documentation for sub group is not generated [<a href="https://github.com/doxygen/doxygen/commit/78368416157728da6dc61a4e8239571356f9c8fe">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11934">#11934</a> Damaged Doxyfile doc comments [<a href="https://github.com/doxygen/doxygen/commit/ed65dc423d34a0be230c798a74c917a6a4fe9384">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11936">#11936</a> [BUG] Regression - The group name is replaced with the group title inside the @retval command [<a href="https://github.com/doxygen/doxygen/commit/89eb019dce3125bf30bf16cb665fb0025b540a87">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11948">#11948</a> Support for Python v3.13&#39;s New Generic Syntax [<a href="https://github.com/doxygen/doxygen/commit/bb40b367bf80f48129f18e4020ebee99b71f4eb7">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e291c0343e149a3ec264d19e830043da70d37117">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11958">#11958</a> Requirements Management Data Missing in XML Output (Table + External Requirements) [<a href="https://github.com/doxygen/doxygen/commit/bb8d0cea56906ef7261081ad6478a726486eac80">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11972">#11972</a> Incorrect indentation for custom command following list [<a href="https://github.com/doxygen/doxygen/commit/f92922232d3044d49b6ef4627c1a0f7de13dca21">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11974">#11974</a> Example code not rendered correctly using Doxygen 1.16.1 when TAB_SIZE = 8 [<a href="https://github.com/doxygen/doxygen/commit/8bd985ddcac76c6dba529245e53d151143d5857f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11980">#11980</a> Documentation Python Class with two literals will not be compiled [<a href="https://github.com/doxygen/doxygen/commit/10087f7e9b79d00f8ee4fc7ddc7e3605780e421e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f4c2cce955b73073c992b5010a09f0ef1ff09968">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11984">#11984</a> C++20 concepts and doxygen 1.16.1 parsing problems [<a href="https://github.com/doxygen/doxygen/commit/a2fc8a29f117fd37c0684428573b2197dc4ccfde">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/392ddafdc8221e6d42d8b6e44636a2d0dd47a4eb">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11985">#11985</a> C++20 function signature with different requirements considered the same from doxygen 1.16.1 [<a href="https://github.com/doxygen/doxygen/commit/28ade29161abdd58a6a71f9e93e24e2c8165fd17">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/20d3291bf598fe43b4c3bbe2e5df0c54c5bbb335">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11989">#11989</a> Doxyfile with UTF-8 BOM Doxyfile causes silent exit (no output, no error) in 1.16.1 [<a href="https://github.com/doxygen/doxygen/commit/6e03b2aef86265cba4df78d472480717f7e30bb6">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12008">#12008</a> &quot;namespacemembers.html&quot; and &quot;functions.html&quot; only show items for one specific initial letter [<a href="https://github.com/doxygen/doxygen/commit/c74988f74a282db179f1d5efc21b16301bb8a0c4">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d62d4d385a7572c51b6ddb1dd366712e487f7a6c">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d6ea6c14708a6a84db2a008cc89a2c4ff92e8d27">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e8226794fd7eeffd8c5b6e75d1f6d45d826f14fb">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ee0f96b071407c35c1b5e232f2af4c955a93c6a4">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12009">#12009</a> Doctest/Catch2, requirements links and layout [<a href="https://github.com/doxygen/doxygen/commit/299a43ff554de8f8a6e7c62045d4122d99774e72">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/cbc12f242cbdcdc08e324f56d678a1f5fd0abcb3">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12015">#12015</a> Incorrect underline with HTML_DYNAMIC_MENUS = NO [<a href="https://github.com/doxygen/doxygen/commit/20f0135cf3cf6424b87745cc27c237e4ffebc6e7">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12021">#12021</a> No matching class member found for overloaded functions with a templated parameter [<a href="https://github.com/doxygen/doxygen/commit/3a9ec5717e0120334d4917d6350a0742e22b6a92">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12035">#12035</a> `using` ignored when attribute or comment between identifier and = [<a href="https://github.com/doxygen/doxygen/commit/636ed0fb4cb6e1491753019c9d1334b07538f399">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12057">#12057</a> SIGSEGV in \relates resolution when referencing a nested struct and the parent class has a using-alias in another namespace [<a href="https://github.com/doxygen/doxygen/commit/01bc8876c5fc5159dbab5ef9d5b392a70078e71a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12071">#12071</a> Bogus warning: More #if&#39;s than #endif&#39;s found [<a href="https://github.com/doxygen/doxygen/commit/8771d0be7231417d49c28525deebe7d25e8f538a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12073">#12073</a> Doxygen is confused by [[nodiscard]] in unconventional (but valid) position [<a href="https://github.com/doxygen/doxygen/commit/dfcf6db44fdf79148b444e3e5f155de5ca163aca">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/12092">#12092</a> Regression in the parsing of titles of custom navbar tabs [<a href="https://github.com/doxygen/doxygen/commit/3c5fb480841efa7ba03076227e057e4b81245f25">view</a>]</li>
<li>bug 129682 Wrong function dependency is made [<a href="https://github.com/doxygen/doxygen/commit/3e3687e93b100c0b2bbd2d5094ec20e73a8fa356">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/7b9535f02c11994eea3fc8a5e2be8f29e5b07dd2">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/b4c46eaa8edf7e47ff96babe0e67a7578a200075">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/bb3d2781b250f2b854976927677bf48c01185135">view</a>]</li>
<li>Not possible to place a `\cite` in a `\par` title [<a href="https://github.com/doxygen/doxygen/commit/92cf20922fba5a21977e29c1b66e9fbd564c5540">view</a>]</li>
<li>fix parsing interfaces [<a href="https://github.com/doxygen/doxygen/commit/2da117c5d92401c1d4b35abdf6647ba669540ea4">view</a>]</li>
<li>fix protocol regression: guard BEGIN(ClassVar) to ObjC interfaces only [<a href="https://github.com/doxygen/doxygen/commit/e916df07bb9ac50d90726cec350f58edc80323a6">view</a>]</li>
<li>Warnings when generating diagrams with LaTeX and HTMLHelp / QHP enabled [<a href="https://github.com/doxygen/doxygen/commit/07f0dc3668a75087fb98f72c3b7342b0b3c6adf4">view</a>]</li>
<li>Warnings building Latex output [<a href="https://github.com/doxygen/doxygen/commit/23051fbf4845d3f0a732d51947e33c6dd4835f4b">view</a>]</li>
<li>Error building doxygen CHM documentation [<a href="https://github.com/doxygen/doxygen/commit/592f75aeee329e8046a17009173c43d4da383e95">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f6d4773a6eaff36a3b70b87bd027a091615e89b7">view</a>]</li>
<li>Discussion #12000 CHM Viewer JavaScript Problem with svg.min.js [<a href="https://github.com/doxygen/doxygen/commit/d63bfe20c52030362f97320bc0e771262d423b32">view</a>]</li>
<li>Ignore closing `&lt;/hr&gt;` and `&lt;/br&gt;` [<a href="https://github.com/doxygen/doxygen/commit/6fc914e634592e872ac8232eb57965717470d2c5">view</a>]</li>
<li>Mismatch `#if` / `#endif` when &quot;verbatim&quot; command in non doxygen comment [<a href="https://github.com/doxygen/doxygen/commit/ab74a74ecfe0defd5d522ad0b5867043a05dee89">view</a>]</li>
<li>Incorrect handling of comment in comment [<a href="https://github.com/doxygen/doxygen/commit/45a1276d84e44c97d818bdbeb58477053ad9fbb5">view</a>]</li>
<li>Warning and incorrect results with commands inside html tags [<a href="https://github.com/doxygen/doxygen/commit/79ff7052053bd167141cf0fdbf89027459be4ad0">view</a>]</li>
<li>Support &#39;markdown/ github user&#39; type of links to users and links [<a href="https://github.com/doxygen/doxygen/commit/cd6fe2fbca11f00167507ce2abef65ab1fc8cc7d">view</a>]</li>
<li>be slightly more compatible parsing fenced blocks for markdown [<a href="https://github.com/doxygen/doxygen/commit/ddb20edd2852be17a6324dde22cd5ac6dec3befc">view</a>]</li>
<li>Handling of line numbers with e.g.  `\example` command [<a href="https://github.com/doxygen/doxygen/commit/ca77a2aae3649b893509da6ac63b13577286790c">view</a>]</li>
</ul>

<h3>Improved user feedback and documentation</h3>
<ul>
<li>Add .github/copilot-instructions.md for Copilot cloud agent onboarding [<a href="https://github.com/doxygen/doxygen/commit/af3567cccde9f01d78920f268d4f4441b78e6d35">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/14ea3ca1640147856f02eca6026e0c8d205d329f">view</a>]</li>
<li>Problem with `\satisfies` documentation in Doxyfile and doxywizard [<a href="https://github.com/doxygen/doxygen/commit/6a5b1da0fa0014ba6287cd82cb3c97eaeb2f6ad9">view</a>]</li>
<li>Compacter layout of `HTML_DYNAMIC_MENUS` [<a href="https://github.com/doxygen/doxygen/commit/5bee53fbd048fc946b444372ef304f699c9d0b13">view</a>]</li>
<li>doc: fix archived Microsoft HTML Help Workshop download link [<a href="https://github.com/doxygen/doxygen/commit/46bbd8bb85c5388af2d20f66f7bd6057f32b1bfc">view</a>]</li>
<li>Update config.xml description of CREATE_SUBDIRS [<a href="https://github.com/doxygen/doxygen/commit/f4e92635bd0cf8d4320165721ff0a7bc603210d6">view</a>]</li>
<li>Large white space between grouping without names [<a href="https://github.com/doxygen/doxygen/commit/a25d390604eae2326cc801c8a92f9ff4f45587b9">view</a>]</li>
<li>More readable table of contents in doxygen&#39;s LaTeX documentation. [<a href="https://github.com/doxygen/doxygen/commit/d79e4eb1df4847e306280ecf5cfe38120298ced2">view</a>]</li>
<li>Better arrow with `&lt;details&gt;` / `&lt;summary&gt;` tags [<a href="https://github.com/doxygen/doxygen/commit/e2e1336c9c26860eb26937d9bcb050ff71ccef09">view</a>]</li>
<li>Better warning when in Fortran a program unit or routine is not closed [<a href="https://github.com/doxygen/doxygen/commit/e6b7ba146b387c7c00e425c83e287034130be0b1">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e87e7084aee24aafab8bc0c6172e2fceef47beda">view</a>]</li>
<li>Incorrect line numbers in source code browser for lex files [<a href="https://github.com/doxygen/doxygen/commit/20efee55f261294ed8a3454cd5740517cd10cfc1">view</a>]</li>
<li>Non existing anchors in &quot;index&quot; files [<a href="https://github.com/doxygen/doxygen/commit/34f06096ee452becb3085d5c4c4aae0a2b5e0c92">view</a>]</li>
<li>Not existing images generating doxygen chm documentation. [<a href="https://github.com/doxygen/doxygen/commit/d34c0b9993a47d840a0e1a964fb689f0d8b8e22f">view</a>]</li>
<li>Documentation code span limits [<a href="https://github.com/doxygen/doxygen/commit/35e00f939a6a6e1761030d6f8098938933612218">view</a>]</li>
<li>Incorrect warning from non-doxygen comment [<a href="https://github.com/doxygen/doxygen/commit/54fd733169500407b357e11c6d6941297a217763">view</a>]</li>
<li>Consistency corrections regarding usage of extensions. [<a href="https://github.com/doxygen/doxygen/commit/1a8a2498e1a891929e7fbce3543c80da5ef4dd79">view</a>]</li>
<li>Double index in LaTeX with citations and no hyperlinks [<a href="https://github.com/doxygen/doxygen/commit/d1524c6bc9b417b254225035b39c1497bf783ce4">view</a>]</li>
</ul>

<h3>Refactoring and cleanup</h3>
<ul>
<li>[libmscgen] Do not discard const qualifier from strstr() [<a href="https://github.com/doxygen/doxygen/commit/f4d0203e37e610181e2f390cdcc94e5e8b6e4c61">view</a>]</li>
<li>Dynamic sections [<a href="https://github.com/doxygen/doxygen/commit/34588cdca1715a190bf409fbca7b0d475c4f9f28">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/5c1f5025852ce0c57a07aceb4c0b567631fefd04">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d30bb7f964d640a654494d6f8ae7effa94441575">view</a>]</li>
<li>Simplify menu.js [<a href="https://github.com/doxygen/doxygen/commit/a424a714d43b674eaeb4b0a78782e4289e94231a">view</a>]</li>
<li>Refactoring: pack optional linkifyText parameters in LinkifyTextOptions [<a href="https://github.com/doxygen/doxygen/commit/30ac77bbf199c3159d379682df54ac197823264c">view</a>]</li>
<li>Remove double included files [<a href="https://github.com/doxygen/doxygen/commit/1f26be9f16b1c5e9726f4e370e32a1cbef1ca199">view</a>]</li>
<li>Disable dark mode except for HTML output format [<a href="https://github.com/doxygen/doxygen/commit/169fb99fb6fab30a06fb4cd69d4649ff1d404b04">view</a>]</li>
<li>Improve cache clearing, fix cache statistics, and improve encapsulation [<a href="https://github.com/doxygen/doxygen/commit/e0893a676dcd8edd1abce771a1d7a2df825160e0">view</a>]</li>
</ul>

<h3>Development improvements</h3>
<ul>
<li>[deps] Update SQLite to version 3.51.3 [<a href="https://github.com/doxygen/doxygen/commit/70376b599f1d6ef079c4108575f4c3764c93fc84">view</a>]</li>
<li>Create a bit more flexibility in alphabetical lists [<a href="https://github.com/doxygen/doxygen/commit/97f3823c11fb768af538bf221c85f65bfc1039f7">view</a>]</li>
<li>Add &quot;path&quot; attribute to group tagfile [<a href="https://github.com/doxygen/doxygen/commit/fe584efabea3474baac86e203abfd509616b6c1d">view</a>]</li>
<li>Improve file name matching [<a href="https://github.com/doxygen/doxygen/commit/e574bdd532664612788a28addec6a2cd3e2a0c4d">view</a>]</li>
<li>Fix group member IDs for ambiguous filenames [<a href="https://github.com/doxygen/doxygen/commit/d48182237d6908355d2729c11df21aa60091b927">view</a>]</li>
<li>Possibility to, locally, generate man output files from tests [<a href="https://github.com/doxygen/doxygen/commit/90260869f9d64bf6e604c4de2667e8697fd72c45">view</a>]</li>
</ul>

<p>
\endhtmlonly

\section log_1_16 1.16 Series
\subsection log_1_16_1 Release 1.16.1
\htmlonly
<b>(release date 11-01-2026)</b>
</p>

<h3>Bug fixes</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11927">#11927</a> [BUG] Regression - Topics are no longer navigable [<a href="https://github.com/doxygen/doxygen/commit/1c2846652d18fdc159b4bf153ece5ee0d0958947">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/faecd64dd65b05bc355497e846e1ebc53f3f0483">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11932">#11932</a> Documentation for sub group is not generated [<a href="https://github.com/doxygen/doxygen/commit/78368416157728da6dc61a4e8239571356f9c8fe">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11934">#11934</a> Damaged Doxyfile doc comments [<a href="https://github.com/doxygen/doxygen/commit/ed65dc423d34a0be230c798a74c917a6a4fe9384">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11936">#11936</a> [BUG] Regression - The group name is replaced with the group title inside the @retval command [<a href="https://github.com/doxygen/doxygen/commit/89eb019dce3125bf30bf16cb665fb0025b540a87">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11938">#11938</a> 1.16 Windows x64 bin release named incorrectly</li>
<li>Problem with `\satisfies` documentation in Doxyfile and doxywizard [<a href="https://github.com/doxygen/doxygen/commit/6a5b1da0fa0014ba6287cd82cb3c97eaeb2f6ad9">view</a>]</li>
<li>Fix for creating the manual with older versions of LaTeX [<a href="https://github.com/doxygen/doxygen/commit/59622608cca4069bb12d1a1c803d6f0adee1bbb2">view</a>]</li>
</ul>

<p>
\endhtmlonly

\subsection log_1_16_0 Release 1.16.0
\htmlonly
<b>(release date 05-01-2026)</b>
</p>

<h3>Features</h3>
<ul>
<li>Add support for specifying requirements. See <a href="requirements.html">this page</a> for details. 
[<a href="https://github.com/doxygen/doxygen/commit/7cbd535947f12a679a7d62c20f8924d624b450ce">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/a8b2cc3cdf7964d06fc7b473d627e6b8974a6091">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/11fcdddf221407af847cbe7785f095bd93a13539">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/b2fc0ea5f74e9118855559515516c6cafb2124a6">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/00e1bd3fe329124561c3183e9bed2cb45ad6d3a6">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/d8ab6fda0136ddcea42bfef09008a8c6d1526476">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/9569">#9569</a>
Improve support for C++ concepts by allowing individual parts of the requirements expression to be documented.
[<a href="https://github.com/doxygen/doxygen/commit/0aeeaab26f6db21fe24592c75a1a84b5acc646b5">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/89346424ddafc095dd9abf880586240d72b8dbed">view</a>]</li>
</ul>

<h3>Bug fixes</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10459">#10459</a> INLINE_SOURCES=true ignores C# expression bodied members&#39; code [<a href="https://github.com/doxygen/doxygen/commit/2cc77a090bcdb513010fcf9cab1addf59abcb78f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10594">#10594</a> support for &quot;primary constructor&quot; in C# 12 [<a href="https://github.com/doxygen/doxygen/commit/391044e64ef0bd29fef8d97bceb9de38fdffad1c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11323">#11323</a> Regression in 1.9.7 (a18e4c76e) broke breathe-doc&#39;s documentation build (breathe releases v4.35.0, v4.36.0) [<a href="https://github.com/doxygen/doxygen/commit/367a12ed834ec50ca5fef30d702f9ea494b3c767">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11423">#11423</a> Allow explicit linking inside of name objects (\throws, \retval...) [<a href="https://github.com/doxygen/doxygen/commit/be4fd93754ad1a432c7080f7ce4ecaf7900ccef5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11685">#11685</a> C++20 modules&#39; class members are documented at global scope once a namespace is used [<a href="https://github.com/doxygen/doxygen/commit/1335337af36957bf84f938d075cb46a2672a4bf8">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11702">#11702</a> LaTeX output does not properly break lines with long indexed parameters [<a href="https://github.com/doxygen/doxygen/commit/7f87ae7ac01beb322be55288a40b8d3edc2c738c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11722">#11722</a> Test 009_bug fails [<a href="https://github.com/doxygen/doxygen/commit/2f4cf419017f0e246ec3f6c5ec39968efe36bdc6">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11791">#11791</a> Brief descriptions for Enums contain invalid links [<a href="https://github.com/doxygen/doxygen/commit/c774e55593c7f961bdb2ba760f3df66e43616187">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11824">#11824</a> [Question] Is it possible to exclude certain structs from inlining with INLINE_SIMPLE_STRUCTS = YES? [<a href="https://github.com/doxygen/doxygen/commit/a751018d259a7e1d95452e65096bc41f4472e6c0">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11828">#11828</a> Inconsistent vertical spacing of ordered list items in generated HTML [<a href="https://github.com/doxygen/doxygen/commit/bca0c6ef0cc4e42f6b5e79dad52767323acb1b93">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d0be4676e1128e2193c288710170f24481fd87ba">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e49d778dd3678e81495a777830a108e12cfce597">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11833">#11833</a> Allow minimum required macOS version using MACOS_VERSION_MIN [<a href="https://github.com/doxygen/doxygen/commit/da7b340942724df8363d21907aed01e3cfd3a820">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11833">#11833</a> min macosx target version should be 10.15 [<a href="https://github.com/doxygen/doxygen/commit/d6424eb96e7ad5800e0f1b65c7352d949b17b8e4">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11834">#11834</a> HIDE_SCOPE_NAMES: Reference to function with range concept not rendered properly [<a href="https://github.com/doxygen/doxygen/commit/775026e8a371cb75ce5504bffb4ccb60382faad8">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11836">#11836</a> Wrong subtopic formatting in PDF [<a href="https://github.com/doxygen/doxygen/commit/fc9b6ce3e98d4e7dc7a4712297339885b1e79c93">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11837">#11837</a> Tables in latex has empty caption that results in useless list of tables [<a href="https://github.com/doxygen/doxygen/commit/b91fad0da50d012e6befdb26ba113b2dfba30629">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11838">#11838</a> It is not possible to add long tables in pdf documentation [<a href="https://github.com/doxygen/doxygen/commit/5efb2ddd503df44f30bab0c93d18c3c6520e601d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11847">#11847</a> Method string parameter: bug if simple quotes used [<a href="https://github.com/doxygen/doxygen/commit/6a869574e825ce007c7dfa28c788d198165d5d32">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11849">#11849</a> Incorrect evaluation of __VA_OPT__ when preprocessing [<a href="https://github.com/doxygen/doxygen/commit/0c58048621a184383b6072bf0ec47aa97be8e5c6">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/532f9986934467f8586e98c81a5c9d8e90118e29">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/877f10dc27486760d142097a481b8e3e03178d76">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/8dcfa3b481b0e48c91aadf693dd3cbec601fa97f">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/cf3d45334fc22bee1fd0a520b1695c24a90adbeb">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11863">#11863</a> parse of markdown does not exclude Code blocks [<a href="https://github.com/doxygen/doxygen/commit/855a7f9739c645c09c3c40555ceb437b7e8a4863">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11870">#11870</a> Spaces after `\fileinfo` are deleted [<a href="https://github.com/doxygen/doxygen/commit/919127f4b2a116d0d25bf0aa68ecbc328072f5b0">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11881">#11881</a> `@code` block inside a parameter list produces latex &quot;Missing } inserted&quot; [<a href="https://github.com/doxygen/doxygen/commit/b5b8b2177448b2a846fbee1e4181ff92a1f56f9e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11886">#11886</a> Nested Curly Braces in CSharp [<a href="https://github.com/doxygen/doxygen/commit/e3281242e97672c32d89757d0f71d80e645ecc8f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11890">#11890</a> Enabling CMAKE_INTERPROCEDURAL_OPTIMIZATION breaks cross build [<a href="https://github.com/doxygen/doxygen/commit/127e98d35a707b9459de29920575ca28fe0a3744">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11891">#11891</a> noway to control newline generation in html Variable Documentation [<a href="https://github.com/doxygen/doxygen/commit/9365c637c2fdc8b8b67a2985a3688e2d27820a0c">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/edfb98122c1ddd4f1ecee8feb3369f6000b306cb">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11895">#11895</a> Doxygen cannot parse a decltype in a requires clause if the decltype is a function and there is another requires clause [<a href="https://github.com/doxygen/doxygen/commit/c904467dde5ba905d5d0f6669c7765da3ec57a13">view</a>]</li>
<li>Bug 742707 Doxygen gets confused when two copies of dot file exist [<a href="https://github.com/doxygen/doxygen/commit/4693687e0204afde4d32ecab0d559b4cbdb1ccbe">view</a>]</li>
<li>Fix to prevent crash due to uninitialized variable [<a href="https://github.com/doxygen/doxygen/commit/b09c7316acaa5e8dc6d34bd69c1aba381c6d818c">view</a>]</li>
<li>GroupDef::sortSubGroups() should not be gated by SORT_BRIEF_DOCS [<a href="https://github.com/doxygen/doxygen/commit/fd15143cb525edd27febc112df2a78e962895ddb">view</a>]</li>
<li>Discussion #11852 Why is name of docSect6Type sect5 in docInternalS5Type? [<a href="https://github.com/doxygen/doxygen/commit/7ead9b0f9f29d3464afe5a3b1d9890f347cd74c4">view</a>]</li>
<li>Discussion #11822 How to document a long URI/URL link [<a href="https://github.com/doxygen/doxygen/commit/d090e7f2796b8dc1d84fe132cf9537b00b033af5">view</a>]</li>
<li>Protect counter with mutex [<a href="https://github.com/doxygen/doxygen/commit/1242505260efe333cc518f9a1f6cc2f1d91b1aac">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/781825843492cbe5eda42e8437af68cd02139d05">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/7ce895389edc0db27b5f46523aa08b9005e749ab">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f0f85d94c11536bdaadd59df2c263367494acb0f">view</a>]</li>
<li>Protect counter with mutex (regression) [<a href="https://github.com/doxygen/doxygen/commit/4c05c88fe38db4991f9c5b2fcac9a405ba89b913">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/73f9c676758ddee353fe6d2d86c893d885be7f0f">view</a>]</li>
<li>Handle `memItemLeft` attributes in css [<a href="https://github.com/doxygen/doxygen/commit/55b6f0b79c3f857ab4e007d54add36cad5a21b6b">view</a>]</li>
<li>Fix duplicate type names [<a href="https://github.com/doxygen/doxygen/commit/148e93969da016a8d8ecf1fcdb9fcf045471d688">view</a>]</li>
<li>No possibilities given in case the file name starts with `./` [<a href="https://github.com/doxygen/doxygen/commit/abccd864c0c0ec036c3ebb87c61c6d5c4e210089">view</a>]</li>
<li>Problems with detecting begin module / routine in Fortran [<a href="https://github.com/doxygen/doxygen/commit/43364757ebaf17df385e293d59e006045c110d40">view</a>]</li>
<li>Improve matching trailing and normal return types [<a href="https://github.com/doxygen/doxygen/commit/1de51f9212467447d2ae96949f0ea7ce3e124eb2">view</a>]</li>
<li>Line breaking points in LaTeX [<a href="https://github.com/doxygen/doxygen/commit/20ddc67d478c2ba54b3ebfb69ca85c1ddda09c9b">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/348039ff77ee4cb116085ebe6a3d4a9a0dc63d11">view</a>]</li>
<li>Prevent page break in doxygen parameter table after head. [<a href="https://github.com/doxygen/doxygen/commit/0fc7561437f33e31fc4dca87c3fe0da735d5016c">view</a>]</li>
<li>Inconsistent handling of command indicator [<a href="https://github.com/doxygen/doxygen/commit/57a8c7d7891266ebd63aa0b35bfa5ad3468da35b">view</a>]</li>
<li>Incorrect stripping of extension of graphics files [<a href="https://github.com/doxygen/doxygen/commit/4e1f911bcfa2bb622024437fcd63f2bfaa19a4b8">view</a>]</li>
<li>Initial spec with end of heredoc. [<a href="https://github.com/doxygen/doxygen/commit/dd9783483b365d9521e1d8af9109f46a4c9eae4b">view</a>]</li>
<li>Undefined environment NoHyper [<a href="https://github.com/doxygen/doxygen/commit/02905c519b162ff6cfe209bd30a7f2bea7e89da4">view</a>]</li>
</ul>

<h3>Improved user feedback and documentation</h3>
<ul>
<li>Fix typo [<a href="https://github.com/doxygen/doxygen/commit/5d2ecb71eb79d7b62d3045b4b041737b20c4525b">view</a>]</li>
<li>fix typo in &quot;sitemapUrl&quot; local variable [<a href="https://github.com/doxygen/doxygen/commit/b2ff8f7bb2b9263472dcdb1b4509293a285195d9">view</a>]</li>
<li>Spelling correction [<a href="https://github.com/doxygen/doxygen/commit/3a3694e0c88ec505198f85f2b776fcd14683bc10">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/8199bd4b96be61c9a6776f33b886ca6cc52339b6">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/9cdd936696cee93c5661b2c761a013a234cb2a4f">view</a>]</li>
<li>Correct line numbers for warning in perlmod output [<a href="https://github.com/doxygen/doxygen/commit/aee57c221a2bd29a03a0a5b83c3d243293a1c585">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/bd0b6fa6f3c6cb0efee2d1985040b5ad169f1e4d">view</a>]</li>
<li>Inconsistency in representing file version [<a href="https://github.com/doxygen/doxygen/commit/ff281eb01a41cab1f6fbcd25b016329a50239938">view</a>]</li>
</ul>

<h3>Refactoring and cleanup</h3>
<ul>
<li>refactor(runtests): replace getStderr to get_stderr [<a href="https://github.com/doxygen/doxygen/commit/3d7698a9755d7fb70584f998687d20750b76d974">view</a>]</li>
<li>refactor(runtests): simplify loop and add docstring [<a href="https://github.com/doxygen/doxygen/commit/fb65e02ce50c8579e9ea762a30dd81545ce9773c">view</a>]</li>
<li>Refactoring: add constexpr to CPPValue [<a href="https://github.com/doxygen/doxygen/commit/b0b6a5337f8dabba683172d4cab62a6e92437bdb">view</a>]</li>
<li>Refactoring: modernize markdown code a bit [<a href="https://github.com/doxygen/doxygen/commit/c7401909cc0b31b3cb861b69ea01fbe8db8cdc61">view</a>]</li>
<li>Refactoring: pass code parser options via CodeParserOptions helper [<a href="https://github.com/doxygen/doxygen/commit/18ae399979118684989c3f93f04cc996e65b3b8d">view</a>]</li>
<li>Refactoring: removing reference to long removed type BufStr [<a href="https://github.com/doxygen/doxygen/commit/56a616be91a4c1704d09d19f7e0764f446940aeb">view</a>]</li>
<li>Refactoring: replace GrowBuf with normal QCString. [<a href="https://github.com/doxygen/doxygen/commit/9a0a0a656cb2513d8dfbce74ff6f24669dd0ac8e">view</a>]</li>
<li>Refactoring: some more refactoring for CPPValue [<a href="https://github.com/doxygen/doxygen/commit/402fef1a743d32016b0fb7937b7483e8b784a865">view</a>]</li>
<li>fix -Wcomma warning, improve formatting [<a href="https://github.com/doxygen/doxygen/commit/d5eaec2981ac3ab73df82ab6e408d563d2d4a160">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/700647453097f8da833f1a466060636419342628">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/1a3c4ac2e4557d88b1e60967052e8e3c38cc2ac6">view</a>], and [<a href="https://github.com/doxygen/doxygen/commit/d28f41482a9e2949a415661cc24958869562d167">view</a>]</li>
<li>Fix a couple of implicit type conversion warnings [<a href="https://github.com/doxygen/doxygen/commit/102aff2f6a71c356da141b3888ab32002c5897c5">view</a>]</li>
<li>fix: warning [-Wextra-semi] [<a href="https://github.com/doxygen/doxygen/commit/2d0e26a9c66c91f16389211485eb14ac47b08b6e">view</a>]</li>
<li>Remove unused css settings [<a href="https://github.com/doxygen/doxygen/commit/4f8dec5ae0f0dc31f964db20fe744ef9d99262a5">view</a>]</li>
<li>Remove commented out css entries [<a href="https://github.com/doxygen/doxygen/commit/5e87433a012d06804b4254987f5afd9274ed8146">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e321c41aaea2c15f6afe8e440be46e1a879dff15">view</a>]</li>
<li>Removed some dead code (#11851) [<a href="https://github.com/doxygen/doxygen/commit/82da90cb6aa46197f3d2740e6cf2f38854c56728">view</a>]</li>
</ul>

<h3>Development improvements</h3>
<ul>
<li>Build: improve support for linking against static version of libxapian [<a href="https://github.com/doxygen/doxygen/commit/ba7ae838b88e47795783b959e2f98ef1ee29ea8e">view</a>]</li>
<li>build(cmake): fix indentation and spacing in conditional statements [<a href="https://github.com/doxygen/doxygen/commit/6ac7ae91b1ab83c81ea085bd7ba30efccea7127f">view</a>]</li>
<li>build(cmake): refactor clang-tidy configuration and enable broader checks [<a href="https://github.com/doxygen/doxygen/commit/32db0581992cd17fb467fc1fe6672eebe0628847">view</a>]</li>
<li>build(cmake): replace uppercase SET() with lowercase set() [<a href="https://github.com/doxygen/doxygen/commit/87f95cda8fd3085a280d31bab7540c4f3029a43d">view</a>]</li>
<li>feat(clang-tidy): add .clang-tidy file [<a href="https://github.com/doxygen/doxygen/commit/62121371b3b3a6fd3519db652ab02d9a1adebb2f">view</a>]</li>
<li>feat(CMake): add -Wextra-semi option for GCC [<a href="https://github.com/doxygen/doxygen/commit/1f8244aa39f3b9b2bc394a26590b823fa3b7437e">view</a>]</li>
<li>Fix handling of CMAKE_OSX_DEPLOYMENT_TARGET [<a href="https://github.com/doxygen/doxygen/commit/ca365b5d47d0783bf336952c8639d982b88e1ff7">view</a>]</li>
<li>runtests improvements: [<a href="https://github.com/doxygen/doxygen/commit/2dd3cba5852142ed97d58c6bd49b4da90d0f08b1">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/da5a242a52fc353acb3fa09319692360863ea8cd">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/57542fe4830a47441c39b5e2b77d985060fb2ba6">view</a>]</li>
<li>perf: remove unnecessary update commands [<a href="https://github.com/doxygen/doxygen/commit/2e1911aeffdaefbc4288472ecfd3a6903c39a9a1">view</a>]</li>
<li>Disabling LTO under Cygw (and Mingw) [<a href="https://github.com/doxygen/doxygen/commit/957af0a8ba484fd33ec4451741ab8be0620eef49">view</a>]</li>
<li>fix(CMake): enable LTO only for Release builds [<a href="https://github.com/doxygen/doxygen/commit/286777279e1bc7af41c10ac3c3bb0f9b60e1ab6d">view</a>]</li>
<li>fix(CMake): remove duplicate compiler option [<a href="https://github.com/doxygen/doxygen/commit/99538ce588d7036633e52fd4866754552bd5f923">view</a>]</li>
<li>fix(CMake): remove unnecessary .clang-tidy code [<a href="https://github.com/doxygen/doxygen/commit/b1892ae7bf3a8723d5ab3d83aa53e400eb522fa0">view</a>]</li>
<li>Replace PROJECT_SOURCE_DIR to TOP in CMake (#11843) [<a href="https://github.com/doxygen/doxygen/commit/8bd7fc6fca1fceb01f2e5df1d13fa754ee0a3d35">view</a>]</li>
</ul>

<p>
\endhtmlonly

\section log_1_15 1.15 Series
\subsection log_1_15_0 Release 1.15.0
\htmlonly
<b>(release date 22-10-2025)</b>
</p>

<h3>Features</h3>
<ul>
<li>update Latvian translation [<a href="https://github.com/doxygen/doxygen/commit/2df5450588cdbcac3504ae73ba2ed1a0bae7bad2">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/f35550f605860f6ab39196fa952dc5418064fa09">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/8c484f1814d9f5d35fc199cf98dc82eb89112925">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/ce284e6be8f64e26ecb97c5647be421a23bf6ce8">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/7437e44649ce32c441500c9bbd01b829e38fb993">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/c4df6484b790f5b61bffee8e3ff8bec26f7caed8">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/86524003833e4b6c7e056331589b993513b40c2f">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/81b755895835f2feccdea0e72bde1c338b142d11">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/003869a101e588ced6321312fa3d27e7cc931ade">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/8e6535f02db162ea9f4cd6ad370285544e16ec7e">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/833220933b56a6ae48375c9818d92283790c37e4">view</a>]</li>
<li>Support Mathjax version 4 [<a href="https://github.com/doxygen/doxygen/commit/1a56116e7376190db0c5623b6b4b085cb09c03e4">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/8e374b4391a4bc2625f02a283b0427ab4464205e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/8e3faf2c2fc9ccb3b6d77d0b9751c25515515690">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/215a1e797789c2b11a5ab7a9aac442636ff1c5c6">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/d601a3a518b04a9657d1b2a962c4c26d622dff6e">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/795e6f2b2ec2d35d4f31a932fc98e2a70e3cedd9">view</a>]</li>
<li>Minor Doxywizard improvements [<a href="https://github.com/doxygen/doxygen/commit/bc6311460c848a0129a95d3cf783fe0133c14b68">view</a>]</li>
<li>Increase maximum number of allowed threads in config file [<a href="https://github.com/doxygen/doxygen/commit/232a7c1ad065747cb0b33550a732bb51b0fe0fa5">view</a>]</li>
</ul>

<h3>Minor incompatibilities</h3>
<ul>
<li>New option <tt>MARKDOWN_STRICT</tt> which is enabled by default, and will no longer treat <tt>'</tt> as the end of a quoted text started with <tt>`</tt>
(e.g. <tt>`word'</tt>). If you depend on the old behavior, set this option to NO.</li>
</ul>

<h3>Bug fixes</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/8788">#8788</a> Quotes in inline code confuse Markdown parser [<a href="https://github.com/doxygen/doxygen/commit/bfa2d67260158cee94fff5e44435e8e5562c1f2c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11241">#11241</a> [BUG] FORCE_LOCAL_INCLUDES doesn&#39;t work with groups [<a href="https://github.com/doxygen/doxygen/commit/76da9ba10e21af749d2b887003c4729d8fce463d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11492">#11492</a> `@plantumlfile` command not recognized [<a href="https://github.com/doxygen/doxygen/commit/df273ecd5b4c3c05107e8282f931a39cf813fd8f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11515">#11515</a> Some markdown does not render after non-breaking spaces [<a href="https://github.com/doxygen/doxygen/commit/9305db5ac7729282d7b77c39a68127aea9ad7d55">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11583">#11583</a> The search functionality does not find items any more since SHA-1 2604e3f in large projects [<a href="https://github.com/doxygen/doxygen/commit/26a251aa6d73b018ef46c448749f88e0dad5b845">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11587">#11587</a> Page outline navigation panel Glitch [<a href="https://github.com/doxygen/doxygen/commit/0592d39942613024599661633ab5eed1e237e3c7">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/152e0b4a342a368d08c04c0e4b7218e100d09df4">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/22c1725567e750a633339fa75f489447ca50a304">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11590">#11590</a> Invalid LaTeX caused by unclosed markdown codeblocks. No warnings provided [<a href="https://github.com/doxygen/doxygen/commit/a153ed0fbf5a9dfb6accb94275de6c5c95d15820">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11593">#11593</a> Missing links for LaTex, RTF, ... with IMPLICIT_DIR_DOCS [<a href="https://github.com/doxygen/doxygen/commit/2bf0cd1826508306a2200d8b99324a3d55903771">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/c00a2de22453dfe701809423275355e486f3699b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11600">#11600</a> Images with read-only file attributes can fail to copy [<a href="https://github.com/doxygen/doxygen/commit/2a892d63743b37932987745388225634a6ed1a5f">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ee49bc378dc74ed68aa21df63a3df27292ccf5e0">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11607">#11607</a> Broken HTML tables [<a href="https://github.com/doxygen/doxygen/commit/915745aa8faf821d161ca12a50cea43bae44c099">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e98069f6c097e2be432c2f28ad5a17cf1d9471b1">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f54d0ac4eb5dd4fc98a584b156f05ef774f0a018">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11614">#11614</a> Multiple occurrences of the same macro definition in a file result are assigned the same ID [<a href="https://github.com/doxygen/doxygen/commit/d0fb5150aaccbe0696020823e7be8811bb34b93c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11619">#11619</a> Wrong Python module separator [<a href="https://github.com/doxygen/doxygen/commit/6b26a635f3fac43387eceec6dab821952ae8af07">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11621">#11621</a> Markdown code handling `` ` `` gets confused by unterminated `` ` `` within (introduced by 1.11) [<a href="https://github.com/doxygen/doxygen/commit/5d19e4bab40d670e3b0e97e14600d2898c40aa17">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/9defcc3ff78869455687bd8c39ccfe7b75b8aebe">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11621">#11621</a> Markdown code handling ``` gets confused by unterminated ` within (introduced by 1.11) [<a href="https://github.com/doxygen/doxygen/commit/c21f3391e62785cadbde3070a2a72b9e53b619e8">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11624">#11624</a> Classes always ordered alphabetically [<a href="https://github.com/doxygen/doxygen/commit/9cb220d1145731488f453d5e066a79b2628a910f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11625">#11625</a> Autolinking does not work with USE_MDFILE_AS_MAINPAGE [<a href="https://github.com/doxygen/doxygen/commit/84baf26c638bcde873aa3a63cf662422c56762e6">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/dcd9b422620b047441f21ba399d21fb11c21ad1f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11631">#11631</a> Doxygen generates incorrect links for nested README.md files in subfolders [<a href="https://github.com/doxygen/doxygen/commit/f6f32dfd5081f38ed4b754268b828b7883e3bd6a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11634">#11634</a> Doxygen Latex Tables not working correctly [<a href="https://github.com/doxygen/doxygen/commit/f3a206c384b9dd333dad555f677def7d3f1cb7c4">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11644">#11644</a> Plain &#39;*&#39;-characters in ALIAS argument get removed [<a href="https://github.com/doxygen/doxygen/commit/ce5dbc41063d452a3aad0c21470d39ba118d3f64">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11647">#11647</a> Backslashes not properly escaped in generated search files [<a href="https://github.com/doxygen/doxygen/commit/5a0282fa0fa75c0262c5a4520aad9a165f79555e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11652">#11652</a> Support @qualifier for #define [<a href="https://github.com/doxygen/doxygen/commit/32af9d5f22f5eabe665a734150c4af4ab8f0fd5a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11656">#11656</a> Comment block begin is handled inside C++ raw string literal with double quotes [<a href="https://github.com/doxygen/doxygen/commit/34ae24c379d5c3292fc7da40f38564afc952559c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11658">#11658</a> Support for auto linking to #defines identifiers within markdown code spans [<a href="https://github.com/doxygen/doxygen/commit/10a8623f6e931d53c1472bf36e600b960dc8425a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11660">#11660</a> Conditions in HTML table seem to be broken (1.13.2 -&gt; 1.14.0) [<a href="https://github.com/doxygen/doxygen/commit/fe5723b0da17e796485c664e2614ae85fac1d794">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11661">#11661</a> &lt;tt&gt; tags for markdown headings with inline code under a topic [<a href="https://github.com/doxygen/doxygen/commit/20d19d92d0ff33ab2d5b3b7824d7aa1750959787">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11663">#11663</a> [C++] [BUG] Constructor overload with template [<a href="https://github.com/doxygen/doxygen/commit/e17312be937b44ea2285326ca40835c85f103d40">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11668">#11668</a> [BUG] Emphasis with asterisks (*) does not work when at the beginning of a line of an ALIASES argument [<a href="https://github.com/doxygen/doxygen/commit/463d003d40e97d9acf05f16ef3d053b9bf129ff5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11674">#11674</a> [BUG] When the (group title) is the same as a file name the link on the groups page points to the verbatim source [<a href="https://github.com/doxygen/doxygen/commit/0b0ddbe37bb3a0d0f8182ed36878d28d566c3bb3">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11676">#11676</a> Final period (.) is missing in the @brief if it terminates with () or a markdown code spans [<a href="https://github.com/doxygen/doxygen/commit/32fdb780e0abf33cb0d3f194da9e446d42d2ba88">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11679">#11679</a> Incomplete outputs on Java classes with recursive generic types [<a href="https://github.com/doxygen/doxygen/commit/70ddf5aa47e9de359f9959e6c152cbf0bebd5020">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11682">#11682</a> Release Version 1.14.0 for Linux Segfaults/Crashes [<a href="https://github.com/doxygen/doxygen/commit/853133e71dd54e442c9a0de83c6d524dc124009f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11683">#11683</a> duplicates in searchdata.xml &quot;text&quot; field [<a href="https://github.com/doxygen/doxygen/commit/1b179d3201d420b649c2b4b0e4511832cfc08938">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11698">#11698</a> Q_PROPERTY wrongly parsed when split on multiple line after READ attribute [<a href="https://github.com/doxygen/doxygen/commit/a2960bfa025abf47692cafd758a9c83dee50805d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11699">#11699</a> Improve Windows performance launching external processes [<a href="https://github.com/doxygen/doxygen/commit/be192aacb2321c5da36d6ce0de4480fa97479938">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11708">#11708</a> [BUG] Variadic macro expansion doesn&#39;t work when the arguments contain comments starting with // [<a href="https://github.com/doxygen/doxygen/commit/a1d64f87c7ac4fd1fd954bf10b47e484844d6493">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11714">#11714</a> Source is not readable warning for excluded files [<a href="https://github.com/doxygen/doxygen/commit/c829073c6a8801fa5723544372bae5dbc945ca4d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11716">#11716</a> [BUG] In the treeview the links to the undocumented ENUMERATION CONSTANTS don&#39;t work. [<a href="https://github.com/doxygen/doxygen/commit/d8c3f9b4e1571069931167a1733fcf8772f956b7">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11717">#11717</a> [BUG] In the page-nav the undocumented ENUMERATION CONSTANTS become part of the enumerated type&#39;s name [<a href="https://github.com/doxygen/doxygen/commit/87e3547c11059b21c4d5b9b29cc4450c5134b576">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/a7ab80406537f0558fa21de7464ef6071669a254">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11718">#11718</a> [BUG] Variadic macro expansion doesn&#39;t work when the arguments contain comments starting with /*!&lt; [<a href="https://github.com/doxygen/doxygen/commit/4927f45d60ff0e9f215ff7538b02e26aa231159a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11721">#11721</a> Doxygen internal Preprocessor cannot process digit group separator in C++ [<a href="https://github.com/doxygen/doxygen/commit/e95e4be9fddef0ff33ecce5509ee60f912bfc98b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11722">#11722</a> Doxygen GUI frontend cannot process value with space [<a href="https://github.com/doxygen/doxygen/commit/28b41326b41e9aa41e2794ee5603ac3a26598d0c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11725">#11725</a> [BUG] Single-line comments on members passed as arguments to a macro are treated as detailed description [<a href="https://github.com/doxygen/doxygen/commit/fdc83520473504e7acdf5f70970b478dc90b195c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11740">#11740</a> Regression: Doxygen &gt;= 1.11.0 no longer able to produce .chm files that link to each other using TAGFILES [<a href="https://github.com/doxygen/doxygen/commit/c80d0fe71a99d86f77136f0930c321699acd47d7">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11742">#11742</a> Handling \copydoc inside table [<a href="https://github.com/doxygen/doxygen/commit/ab9192a4bd3a0b84ba8fd8da263c938af06e0600">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11748">#11748</a> ALIASES expansion to form `@section` key causes : warning: Invalid section id &#39; &#39;; ignoring section [<a href="https://github.com/doxygen/doxygen/commit/4f36ca9a8ff3165a1396846555b80338c440e3fb">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11751">#11751</a> Latex documentation with many functions causes pdflatex to hit memory limit [<a href="https://github.com/doxygen/doxygen/commit/8882b8c3a58289cb34e6d1966640c6424fad04ee">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11755">#11755</a> Behavior of \tableofcontents is different in V.1.14.0 and prior version [<a href="https://github.com/doxygen/doxygen/commit/ae216abcebf11563aa03f448d27114339657a75d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11756">#11756</a> Friend constructor is recognized as member function [<a href="https://github.com/doxygen/doxygen/commit/9823d7463f9b1a1e83a1341903d3d2848b3703ee">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11758">#11758</a> Const parameter in implementation can confuse function signature matching [<a href="https://github.com/doxygen/doxygen/commit/b3438f20bd8ac4cc9af718ab02722a5a986c194e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11761">#11761</a> Missing documentation for specialization with using declaration [<a href="https://github.com/doxygen/doxygen/commit/0734104f1814310ac87329f58c27fc2a44037349">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11772">#11772</a> Test 009_bug fails [<a href="https://github.com/doxygen/doxygen/commit/8e2dcb4b91a3e1788e8253ad0f0ca921d362717a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11782">#11782</a> Groups in XML output do not reference C++ concepts [<a href="https://github.com/doxygen/doxygen/commit/a8c123da7a13f7f2acbd3084c2a9781b883fc909">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11786">#11786</a> Source code misaligned when using TAB_SIZE = 8 [<a href="https://github.com/doxygen/doxygen/commit/6034da107684aaa192ca531065c66cb6c6093ea6">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11787">#11787</a> Documentation of functions that differ in their trailing return types get merged together [<a href="https://github.com/doxygen/doxygen/commit/a900169bc48fa97b680915444ae8e35879b81334">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11798">#11798</a> @ref remains in html [<a href="https://github.com/doxygen/doxygen/commit/4e05eb0dbc901acfab94b5f9ab383c3876c1bb37">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11799">#11799</a> Incorrect link for template argument [<a href="https://github.com/doxygen/doxygen/commit/3fb8336b630e33ce766d97caca8e4e80341b2ede">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11812">#11812</a> How to linebreak inside long titles in a HTML description list [<a href="https://github.com/doxygen/doxygen/commit/bc9cfa6e0362ab2198a118fbd1ba5fcfbbaeae5e">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/11cb2e8027adf95b2b4e5d9631bf86e81265afc3">view</a>]</li>
<li>Fix handling of trailing return types with `delete` and `default` [<a href="https://github.com/doxygen/doxygen/commit/87c40019174847cdaf768fc38cf29f7eeeca940a">view</a>]</li>
<li>Various table related fixes and improvements [<a href="https://github.com/doxygen/doxygen/commit/ba922f4e8e3a80c2434d0a637c89c3f3f6a634b4">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/bcb7cc7a2d6e5e80c2a5f7587138a4aabff0ec75">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/cc385e1cf67fd4b64472f39d93b5f40a9fedca98">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/f13a164b340248e85289e4430c6b91913c638d0b">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/4d3c0813a427f53c3ce2a6a3c04424372f95bb9f">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/fcaa2fce1f1b4502cdae8bd6ca9d7a7cad58d5cb">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/16ab0fb50ff0382bd1ef324abb6696df77d26203">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/706a4149e1a05c5a62472cdcbc11def4afbcad19">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/e37d3cded8efca425bfa9401fe62c89978facf30">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/4134d5f43ee242995293a87d270e058f512a1861">view</a>]</li>
<li>Spurious asterisk after preprocessing when using macros [<a href="https://github.com/doxygen/doxygen/commit/f0ce90103d6b03d5a40c9d1d46a1a20b8c7f401e">view</a>]</li>
<li>References with an explicit global scope, e.g ::f could still link to a member f with the same name. [<a href="https://github.com/doxygen/doxygen/commit/474037d9c4881a6cf07f04b6e0219dc383c2fc02">view</a>]</li>
<li>Handling of backticks in bibliography [<a href="https://github.com/doxygen/doxygen/commit/a6e7a0761b17e4c9318ec2f1462c65d1a89363b8">view</a>]</li>
<li>Handling of TIMESTAMP in html footer and header [<a href="https://github.com/doxygen/doxygen/commit/ae223ccb65a2475f190edf9b97488b5a7aafeb73">view</a>]</li>
<li>Handling storage class specifier `thread_local` [<a href="https://github.com/doxygen/doxygen/commit/35bf4125e41ba273852af188abaaf088c31b669a">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/7c6b3fa5c78db469ada28070f9873c6f6c46e1e5">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ac010b0e7447e2bff7518f8065a1a0547ed48bf5">view</a>]</li>
<li>Fixed issue causing invalid HTML due to spurious &lt;/p&gt;. [<a href="https://github.com/doxygen/doxygen/commit/431e625022d479cc9c3bbb6ded15c88b35e06386">view</a>]</li>
<li>Fixed issue rendering Objective-C protocol classes in the HTML output [<a href="https://github.com/doxygen/doxygen/commit/81dc757175912a084add18d07140193b6788ddcf">view</a>]</li>
<li>Don&#39;t load Mathjax in source browser files [<a href="https://github.com/doxygen/doxygen/commit/30cee47f976d85b06d6aa9d27131d6d01df26ff7">view</a>]</li>
<li>Fix array indexing issue in markdown.cpp [<a href="https://github.com/doxygen/doxygen/commit/5c269c95747806d5e15bf0a07f156457571fd5c7">view</a>]</li>
<li>Potential memory leak [<a href="https://github.com/doxygen/doxygen/commit/637c7da36c236daad8bf72dcbbbd12977dc1cfd1">view</a>]</li>
<li>Avoid input buffer overflow [<a href="https://github.com/doxygen/doxygen/commit/f519f8f92d3925f2b58a93e555da3720c09af56c">view</a>]</li>
<li>Prevent text showing up as formula when USE_MATHJAX=YES [<a href="https://github.com/doxygen/doxygen/commit/c1eba97e14c89c1f6ee2152c38f09902d5c1d66d">view</a>]</li>
<li>Added missing structural command to &quot;isOtherPage&quot; list [<a href="https://github.com/doxygen/doxygen/commit/5e717bfba1d8a4c761f262a19c0ad78c79bd15d1">view</a>]</li>
<li>Code references with an explicit global scope, e.g ::f could still link to a member f with the same name. [<a href="https://github.com/doxygen/doxygen/commit/4e38c0e48531848cf95ee780e4bebc8a92a4f4ac">view</a>]</li>
<li>Consistent use of `{CMD}` [<a href="https://github.com/doxygen/doxygen/commit/df95c24b896a78b07371b0ae0d40309cabc611a9">view</a>]</li>
<li>Further improve quote handling [<a href="https://github.com/doxygen/doxygen/commit/8ac72d9f64147abefb15be728a9739537ab8529f">view</a>]</li>
</ul>

<h3>Improved user feedback and documentation</h3>
<ul>
<li>Update docs to point user to the correct version of winflexbison [<a href="https://github.com/doxygen/doxygen/commit/7d0b2df248869a1a858263ad4318dbf3f72c7a4a">view</a>]</li>
<li>Fix spelling and grammar [<a href="https://github.com/doxygen/doxygen/commit/d73ac45abef1c70763df3ca4ca5a497ffa4c8e0c">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/7921dbdaaf0a79993bc044cb9fef835965b7c059">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/e8e03c758178eec91a02599beeb01031f5eaa30e">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/f4668e58ff2e0f8e3d3279e7f1b93d0d6573bbb7">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/08bd58a2465926bcc5f3f6ab9ec5019ceb8b2cce">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/8f7fc9bcf7ef3494084197ee185d2f8097a6c70a">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/55b8f67199ae13cde14f3a323a03e3093b343d5e">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/545ecb8dbccd33a300fb513c3c3febb06507b364">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/f3f1bc8a1a3c052d3851b4ed43c600b9bca17ba2">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/c4fa68657d7a13972bb4378325b8b9f66464da51">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/648f8a3822aba5f850346f0239290565869337f8">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/a59b664a041c5a8f920ae3a8b304171ae718c4f0">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/2bb14ffe7e4fc365a8cd48c3641c531182e6835f">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/9d12d8811dd5c9e9245308eb0286293696243f1d">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/66e2fed64f314c2b2202159484b2e77231448549">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/61b297b7315a0d537ddb41e288640f3caa5054ce">view</a>]</li>
<li>Spelling correction [<a href="https://github.com/doxygen/doxygen/commit/50786c8611a3249f3cfda1f98f8db2aab9e066ab">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/6a3e7164adcc49f190bdc76b9d3beb5d7ed8edf4">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/75b85780179d280ef668ea99b771f7835cd0613a">view</a>]</li>
<li>Consistency language version table between HTML and LaTeX [<a href="https://github.com/doxygen/doxygen/commit/4863daaf9c69f7e6612752ca09db754e8edd93a5">view</a>]</li>
<li>Inconsistencies in language maintainers email addresses [<a href="https://github.com/doxygen/doxygen/commit/310545ee197028c85ac24947d37f9b2c8ef99046">view</a>]</li>
<li>Incorrect warning regarding type and start of backtick type of block [<a href="https://github.com/doxygen/doxygen/commit/8e8484a633d4514e96d9ea4548b6a1f21ad88ec7">view</a>]</li>
<li>Limit warnings about unmatched */ to code blocks [<a href="https://github.com/doxygen/doxygen/commit/a329637e15984cc4ca986a1726d7f8d05698d7e8">view</a>]</li>
</ul>

<h3>Refactoring and cleanup</h3>
<ul>
<li>qt: Default to Qt 6 instead of Qt 5 [<a href="https://github.com/doxygen/doxygen/commit/1ff9ca44c22afea549bd8855a8da904b8a653567">view</a>]</li>
<li>refactor(aliases): simplify findEndOfCommand for clarity [<a href="https://github.com/doxygen/doxygen/commit/70db1fccef5321738890bf26b585618a9ee58b0c">view</a>]</li>
<li>refactor(alphaindextablecell): remove classDef, letter, row and column methods [<a href="https://github.com/doxygen/doxygen/commit/e8c57c61cb76a50d05bd97d0c90dc09b89d395fa">view</a>]</li>
<li>refactor(anchor): simplify addPrefixIfNeeded [<a href="https://github.com/doxygen/doxygen/commit/5c3793dca39b59af8c1fcbf8d86da135952cf960">view</a>]</li>
<li>refactor(cite): simplify latexBibFiles and find [<a href="https://github.com/doxygen/doxygen/commit/fc7e77b516136bd02f5798f933d5d65316921251">view</a>]</li>
<li>refactor(clangparser): replace old-style nested namespaces with C++17 shorthand [<a href="https://github.com/doxygen/doxygen/commit/4309517173fdbc7e45d52da78c250b0abed31159">view</a>]</li>
<li>refactor(classdef): simplify insertUsedFile [<a href="https://github.com/doxygen/doxygen/commit/e433ebd9eed51284765a4cf8ef5397f3f3536a33">view</a>]</li>
<li>refactor(debuglex): simplify print method [<a href="https://github.com/doxygen/doxygen/commit/cd37ae612ff2ea52d95e5b014dc820eaddd52421">view</a>]</li>
<li>refactor(definition): simplify toDefinition and toDefinitionMutable functions [<a href="https://github.com/doxygen/doxygen/commit/d9e0157448975194b202ce4831cf923af77189d8">view</a>]</li>
<li>refactor(dotrunner): simplify checkPngResult function [<a href="https://github.com/doxygen/doxygen/commit/81f85a06f85f723d5d09753c37d54eb09eb72aff">view</a>]</li>
<li>refactor(doxygen): simplify haveEqualFileNames function [<a href="https://github.com/doxygen/doxygen/commit/776b376431eaabe1640b075a39b8565505a564c8">view</a>]</li>
<li>refactor(doxyindexer): replace if-else statements with map lookup [<a href="https://github.com/doxygen/doxygen/commit/3409d4caaef4471f48f7dad1ee163cd795341684">view</a>]</li>
<li>refactor(doxyindexer): update includes [<a href="https://github.com/doxygen/doxygen/commit/ef9f305c8c298cc819953465b0e2f2330a38a007">view</a>]</li>
<li>refactor(doxyparse): improve ignoreStaticExternalCall function readability [<a href="https://github.com/doxygen/doxygen/commit/374513a5eef51b319949f55a0709e72fb4875e1c">view</a>]</li>
<li>refactor(doxyparse): remove unnecessary include [<a href="https://github.com/doxygen/doxygen/commit/cdee95cb91bb3a60c70e16865865c1bc391568c9">view</a>]</li>
<li>refactor(doxyparse): replace system(&quot;rm -rf&quot;) with std::filesystem::remove_all [<a href="https://github.com/doxygen/doxygen/commit/32567cbbb2c249d3dc6cadb1d579fee5cbb9a970">view</a>]</li>
<li>refactor(doxyparse): simplify sanitizeString function [<a href="https://github.com/doxygen/doxygen/commit/bae64929fc9ab851423c4f310c26c97284601db1">view</a>]</li>
<li>refactor(doxysearch): modernize dirExists function [<a href="https://github.com/doxygen/doxygen/commit/be0d03a6a825f60c6958ef7f95552132dd367877">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/db09b5bd7c5c2138fea76df7ba858955d543786f">view</a>]</li>
<li>refactor(doxysearch): remove unnecessary includes [<a href="https://github.com/doxygen/doxygen/commit/7fe90cb18e633dfa55de7b2d6ae3868e2bc4eea8">view</a>]</li>
<li>refactor(doxysearch): replace field macros with constexpr Xapian::valueno constants [<a href="https://github.com/doxygen/doxygen/commit/ef1b7bd0f2cf14bd36ae2c959b1fe3b8b1445934">view</a>]</li>
<li>refactor(doxysearch): replace HEX2DEC macro with function [<a href="https://github.com/doxygen/doxygen/commit/2a8bfdc7af3894407733bd0cf95beef62c9651a1">view</a>]</li>
<li>refactor: remove dead code [<a href="https://github.com/doxygen/doxygen/commit/8965ec89675a164f1e315c59fdb80e7e8bae06c7">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/ddbeba11d28f4fb8dfcf8f1cbb3325689dd6284b">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/38c6642ba1249607f6bd7d8c7fb818f1dd725cbd">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/5ee068a5059015e5081f5a05cf6003ce291d53d9">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/c2c576c3d750b22ee253f73e74d4d47f2460ab3e">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/4f145680fa0f89e148efc4574382169fa98df8af">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/9fcb355f40718cbb7b0bf44aab12fe9d9c37df3a">view</a>]</li>
<li>refactor(pagedef): simplify overloaded toPageDef functions [<a href="https://github.com/doxygen/doxygen/commit/7ddfdf94bd6c8668b1242af40361d23c30107eaa">view</a>]</li>
<li>refactor(util): add missing braces [<a href="https://github.com/doxygen/doxygen/commit/814c7ead01908e52937ccfc73cd886c1d56ce718">view</a>]</li>
<li>refactor(util): simplify writeString and writeBreak methods [<a href="https://github.com/doxygen/doxygen/commit/a77a3e920bd0c0d6ecbc6a7f7d08e8a0ea8d717f">view</a>]</li>
<li>Refactoring: add constexpr/noexcept to types.h [<a href="https://github.com/doxygen/doxygen/commit/64f05fed14d9cacd8882ebcbf623b5cbce80d81c">view</a>]</li>
<li>Refactoring: code formatting and fix coverity warnings [<a href="https://github.com/doxygen/doxygen/commit/886cf1c026a3b3fbcdcb5ad90fc7945526d24884">view</a>]</li>
<li>Refactoring: Let alias command parsing use the new reg::Ex features [<a href="https://github.com/doxygen/doxygen/commit/110d66be2a57f93d9e109555a38ccfd6a8d37e7f">view</a>]</li>
<li>Refactoring: pack optional params of generateDoc/validatingParseDoc into a class [<a href="https://github.com/doxygen/doxygen/commit/70d15287b0424e9c11b2c0a264839b795a8089e6">view</a>]</li>
<li>Refactoring: reducing unneeded string conversions [<a href="https://github.com/doxygen/doxygen/commit/5e2e3b1d87cc2f4b11ed00fcbfd5228aefd767da">view</a>]</li>
<li>Refactoring: remove old getDefs routine (dead code) [<a href="https://github.com/doxygen/doxygen/commit/169bbf2c863ef863d0ba60f22603817141829c18">view</a>]</li>
<li>[libmd5] Smaller code cleanups [<a href="https://github.com/doxygen/doxygen/commit/817d9af66af43b1de2ba95f3f63bf191d72f3387">view</a>]</li>
<li>[mscgen] Declared some variables as pointer to const [<a href="https://github.com/doxygen/doxygen/commit/df652b4d540dc18db42c0cc67740cce9a48486e2">view</a>]</li>
<li>[mscgen] Fix copy &amp; past bug, probably max quality was meant [<a href="https://github.com/doxygen/doxygen/commit/8c2a6292ced945a9d068b3109c067c9f127dda5f">view</a>]</li>
<li>[mscgen] Make variables more local [<a href="https://github.com/doxygen/doxygen/commit/c8e0967e014b4cc0bcf5bbc1b23c74ab2a4b2867">view</a>]</li>
<li>fix(cite): remove unnecessary semicolon [<a href="https://github.com/doxygen/doxygen/commit/af99c86fa45df95a67c41f75bc6fdfbad110d12a">view</a>]</li>
<li>fix(classdef): warning [cppcoreguidelines-pro-type-cstyle-cast] [<a href="https://github.com/doxygen/doxygen/commit/10567c038178bee2d00317f8eb9daf33526c5558">view</a>]</li>
<li>fix(datetime): warning [performance-unnecessary-copy-initialization] [<a href="https://github.com/doxygen/doxygen/commit/2dd30db92f99faa934609a6ab04a6825ff7a24cd">view</a>]</li>
<li>fix(debug): warning [bugprone-narrowing-conversions] [<a href="https://github.com/doxygen/doxygen/commit/0e10f04c4fd07c583386284a8265dc9688739a8b">view</a>]</li>
<li>fix(definition): remove lname variable [<a href="https://github.com/doxygen/doxygen/commit/b61f6d3ca1e8208edff9987473b366f45cee8c25">view</a>]</li>
<li>fix(definition): warning [performance-unnecessary-copy-initialization] [<a href="https://github.com/doxygen/doxygen/commit/393560026fcd6c81876d1a3e00e574907d05093d">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/af3714ad5d4d08c3e5f340d6340580103e2fa334">view</a>]</li>
<li>fix(docnode): warning [clang-analyzer-deadcode.DeadStores] [<a href="https://github.com/doxygen/doxygen/commit/0aaf1c62e295dd202c0e954af7f416bbecae2f29">view</a>]</li>
<li>fix(dotdirdeps): warning [performance-move-const-arg] [<a href="https://github.com/doxygen/doxygen/commit/cc131aee0a3c454ec86ec88a1ba60133ed132b0e">view</a>]</li>
<li>fix(dotnode): remove p variable [<a href="https://github.com/doxygen/doxygen/commit/c8aaa1a789f32caffc11391ebfbac9c20b089aae">view</a>]</li>
<li>fix(dotnode): warning [performance-unnecessary-copy-initialization] [<a href="https://github.com/doxygen/doxygen/commit/2a2820255afe84a5c5e80165116717eae2d05c67">view</a>]</li>
<li>fix(doxygen): warning [clang-analyzer-deadcode.DeadStores] [<a href="https://github.com/doxygen/doxygen/commit/06778f0d7fb7e1190f7541a28e5e4669dcb574d0">view</a>]</li>
<li>fix(doxygen): warning [performance-unnecessary-copy-initialization] [<a href="https://github.com/doxygen/doxygen/commit/b54b62b493877eaf4f93853eafc98e9f1bc3f99f">view</a>]</li>
<li>fix(doxyindexer): handle negative tellg method return value [<a href="https://github.com/doxygen/doxygen/commit/d4000fe4c563f40fdebe6d254d093248e96c044f">view</a>]</li>
<li>fix(doxysearch): remove duplicate definition [<a href="https://github.com/doxygen/doxygen/commit/2435b51c1e558c7e247d18ab2e7dd4db5a51a155">view</a>]</li>
<li>fix(doxysearch): remove inner callback, keep outer [<a href="https://github.com/doxygen/doxygen/commit/533cde1abfaed0ed27b37ce7ceed6f9c1ff142cf">view</a>]</li>
<li>fix(doxysearch): use int instead of char to handle -1 properly [<a href="https://github.com/doxygen/doxygen/commit/f0f6911513749e2f91680ba17f00feaa09f9e201">view</a>]</li>
<li>fix(doxywizard): fix compiler warning [-Wdeprecated-declarations] [<a href="https://github.com/doxygen/doxygen/commit/0c87ce96fafd66174720b9d848ee44dbd65efb51">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/25aad71e04219c8323468a5ac5173cbedc410b9c">view</a>]</li>
<li>fix(doxywizard): fix compiler warning [-Wdeprecated-enum-enum-conversion] [<a href="https://github.com/doxygen/doxygen/commit/f7675e19e7344225e84e0c34eef5b222e5c68442">view</a>]</li>
<li>fix(doxywizard): restore AA_EnableHighDpiScaling for Qt &lt; 6 [<a href="https://github.com/doxygen/doxygen/commit/ee31087f39ff4e0efb2e3df9bd412588fe560887">view</a>]</li>
<li>fix(translator): change comment alignment [<a href="https://github.com/doxygen/doxygen/commit/5a2bca39576b661be6010bc162817b826dd1c06e">view</a>]</li>
<li>fix(translator): change inherited class [<a href="https://github.com/doxygen/doxygen/commit/24b0fe91a1fa136f6e7e034bbe7fa0c88661876e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/c4176db6be1b14a7cc0014d84413f7c584870005">view</a>]</li>
<li>fix(translator): correct aligning [<a href="https://github.com/doxygen/doxygen/commit/82e4fae7bf35bc57104ea8c2f4ab1415cddaf0a9">view</a>]</li>
<li>fix(translator): correct typo [<a href="https://github.com/doxygen/doxygen/commit/febaec56ae3d8c5f13f1dfaca2b3bdcb33a85548">view</a>]</li>
<li>fix(translator): remove redundant double quote [<a href="https://github.com/doxygen/doxygen/commit/23192c8003ef0b0a653a9a05d7c27819e106d230">view</a>]</li>
<li>fix(translator): replace latin symbol to cyrillic [<a href="https://github.com/doxygen/doxygen/commit/cb84f31bcd186b3b1535fd474b69d0046059b4f6">view</a>]</li>
<li>fix(wizard): fix compiler warning [-Wdeprecated-enum-enum-conversion] [<a href="https://github.com/doxygen/doxygen/commit/3f4f31717e5588692ec22e885a94e3ed11296c1d">view</a>]</li>
<li>perf(cite): add missing constexpr and noexcept [<a href="https://github.com/doxygen/doxygen/commit/f981e72c4444306422cc4eea6e40cf0ad32dd4ed">view</a>]</li>
<li>perf(dir): avoid unnecessary string copy in isEmpty by using const reference [<a href="https://github.com/doxygen/doxygen/commit/a6876d04aba6918747f08a208b546d784a3250a8">view</a>]</li>
<li>perf(doxyindexer): avoid repeated std::regex construction [<a href="https://github.com/doxygen/doxygen/commit/30d28c9adb0891cc785f899ab648a842df3bd1fb">view</a>]</li>
<li>perf(doxyindexer): avoid repeated std::string constructions for argv [<a href="https://github.com/doxygen/doxygen/commit/3b62c41e4e863205591a8904d282b41f592ab556">view</a>]</li>
</ul>

<h3>Development improvements</h3>
<ul>
<li>style: add optional .clang-format configuration [<a href="https://github.com/doxygen/doxygen/commit/6381130cb1aa1cb60096cefaea7ffc70d4c28654">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/8d668270e0312fef31784a43b1cd23c58d01b220">view</a>]</li>
<li>Some Fixes for MinGW-w64 [<a href="https://github.com/doxygen/doxygen/commit/595bb3e5832bba3a1380049c9b4f4662a685381a">view</a>]</li>
<li>build(CMake): turn on link-time optimizations [<a href="https://github.com/doxygen/doxygen/commit/93e77ba274e0be01bad920bb9de4b704520501d7">view</a>]</li>
<li>Explicitly search fmt in the use_sys_fmt=ON case [<a href="https://github.com/doxygen/doxygen/commit/03b50c1f4e3196cd8da646489666a29f646945a6">view</a>]</li>
</ul>

<p>
\endhtmlonly

\section log_1_14 1.14 Series
\subsection log_1_14_0 Release 1.14.0
\htmlonly
<b>(release date 24-05-2025)</b>
</p>

<h3>Features</h3>
<ul>
<li>HTML output has gotten a fresh, more <a href="https://doxygen.github.io/doxygen-docs/">modern look</a>. It makes better use of CSS and uses fewer bitmaps.
[<a href="https://github.com/doxygen/doxygen/commit/90794ba5f6b17ca6ce3611664f2ff5134f335aed">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/b5d08f673469d337f956c92e2583c99a8efcdba3">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/062fecd6d7ab18ce4817392a605fe49d3694e9eb">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/26ce0b2a35ed7a9bafc7b834fb818f2815cd84df">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/d276ef2ba193e2d1c109484066d9551a2821cc3c">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/e3e19510e9cc86165b178bf2e4c26b24ab3dea18">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/550dab940ae1de0e39d5c386a0b782fd6b14c950">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/b2762357890521c058995c2fb6de3fb25d1c4f7c">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/d8ee35fa86e0c9c1d1d8c9983d7a2d298292b8e2">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/5201bad248d0e7eae20d03f84d485c5019c15d33">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/2e445786c8957f031be5f6315de1544e62c5a506">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/a561ba4f014cb98cd9478af65b2c2e347f07d4c9">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/22452e449e021e184e9282151b245feb6a439c02">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/07a301ffa030401a1f8d24cba5d38f44ae04d4e8">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/2b017fcf344c44c772503781121409f55548c560">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/a93ad6c1979b542f07fc989441111b1fe34ba846">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/14e37bf9622d4d100d6c898e4f2d0f34b2607ac1">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/468fe1b0fd8470bba1e5c3227d6a5e66f91f7dac">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/05f497ad817c35f81dd156bdbdc49c04f7c15378">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/f92e43d3c6ef6fbbe53e413c666294f71e284367">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/3ad85aad26215fdeb31e6c53e293211c499c60fe">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/f4c886e8e0eea6f417e9b8838b937be5f8c7ac7c">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/22e19e8690b511a17352ed61cbbe33f73c9e6e16">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/8d110edea4f3ad0ac13ee93dd78101608e1fa0c1">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/ae4ff9d6e341290ebf33c968698090a4cc34f5d8">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/eafe670f3207a8e22cd366b8cf11a25c56031dd9">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/1ca6d10fd6930d8cd062dce36985433cd90b3e74">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/be8cfc2b2846d8c02a4afb16ab3ae353efd8aa6b">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/1b17ec616494207d4deda29f2bbfb00ccde58bf9">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/d79992f20e51988a3a6edafed269763448f3ed48">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/0bcc24b0045dd95ed958b321585f6bb00903f2c2">view</a>]</li>
<li>Added page outline navigation panel to the HTML output (requires GENERATE_TREEVIEW=YES and can be disabled using PAGE_OUTLINE_PANEL=NO)
[<a href="https://github.com/doxygen/doxygen/commit/fc4d5b7d07667c17acd1263ea0968cc5ac17aadd">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/04d271d167892bcd87e097766c574a3ccf396f83">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/9f5f608fa5f7995ec266e2f061782f370fca1890">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/98aca21a0ae67575588e0eafbebfe278471aa5a0">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/b3c48d94c30ce508e4b124771c7bb592db66296a">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/12ceaa1f9da6e36bf19ede2f3d098b55e0d10e69">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/c90748f46d4bccb9e6506d1bf22920a027436ae6">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/529bd904df77c03f640d909677f214351344b5e1">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/4721e56a92706fb115e6b53b2e2d81a986df392a">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/e8f196a9a696a4a28a201cf4c398bde59b693588">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/5abd166cc65d455c79f04b423ac3877a76ddb4a9">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/ac6ede4fe03eeed11e98505a76fb1d5fef2a3a7e">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/5111e92d83ef441f37cc1d4495a383b906251e2d">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/c6d79dd76f8d345c5d4dea58b5fc2e60d2b819f5">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/f7011c78d0e34b2a2489add17a3df308751062ad">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/5bd253ec7579ee3eacfb5a21bd7fc5b771d26b77">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/19af1c064be2381bc6c885d82116074bf6bad641">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/2f1ee3886a7ae53b3c1efb0e2b361461a7a80ff9">view</a>]</li>
<li>Added new layout option: full height side bar + navigation tabs [<a href="https://github.com/doxygen/doxygen/commit/c3f92e61cf7abdcb29509434c4d505e3653c7322">view</a>]</li>
<li>Add WARN_LAYOUT_FILE option to toggle warnings in layout file [<a href="https://github.com/doxygen/doxygen/commit/ba083a9e676e5e8bf2f7a865ef858fdd17f6460e">view</a>]</li>
<li>Improved flexibility of `\cite` command [<a href="https://github.com/doxygen/doxygen/commit/235da960938c14901d8d01f6fde6085c678c7548">view</a>]</li>
<li>Added option UML_LIMIT_EDGE_FIELDS to control the number of labels along edges in UML_LOOK diagram [<a href="https://github.com/doxygen/doxygen/commit/f01cfee8d99f9031ae832dae7a98d3f2731c8c86">view</a>]</li>
<li>Support for Plus sign code fence directives - GitHub flavor [<a href="https://github.com/doxygen/doxygen/commit/852adf3f130e2094fc0c02426eee9fa11a49bc60">view</a>]</li>
</ul>

<h3>Minor incompatibilities</h3>
<ul>
<li>Due to the HTML output changes customized headers, footers, or stylesheets may require additional tweaks.</li>
</ul>

<h3>Bug fixes</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/6998">#6998</a> Markdown: Links in ATX headings processed incorrectly? [<a href="https://github.com/doxygen/doxygen/commit/3c5255e0ad809fd86543744195df8b7a9814f785">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/7522">#7522</a> Source code browser does not distinguish between same-named functions [<a href="https://github.com/doxygen/doxygen/commit/71eb694e0ad58abe9b3419098d195251c89abbcf">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/be95ed6e7822f7c0221504c7145686f5e1dd2254">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/8731">#8731</a> grouping variables requires an empty line before closing @} [<a href="https://github.com/doxygen/doxygen/commit/9b75105df81dcbe9d5c63b70ed6bc25b9741e4cd">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/8803">#8803</a> Template class with the same name as existing class gets in the same output file [<a href="https://github.com/doxygen/doxygen/commit/791bcf852e5e4d9de19cdbb80e5f22e9d4ff3a04">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/fc0c847acb4d4c237f7fb688cc0a3f78fd409de7">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/9437">#9437</a> Avoid empty Markdown page get generated [<a href="https://github.com/doxygen/doxygen/commit/2d705fca8ba4047c30f514a6f32806ad761dd269">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/34bf4d9a5b23145bf8faefa5c69c3663bbffcdc4">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/5f0eb3a8fa07a3bb0d83358c2f09282a7686b6df">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/fbbf6db36ff1149fb7b1a96a34d27e5de5529192">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/9437">#9437</a> Add docs about markdown page exceptions [<a href="https://github.com/doxygen/doxygen/commit/9682f69bbf46f09f7a846b5cb8d0a91e2e2a8b5b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/9843">#9843</a> Incomplete call graph when using curly brackets in constructor call (C++) [<a href="https://github.com/doxygen/doxygen/commit/dbcd4c6e0459b2a34d73dc3bbf53522c818b8c64">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11001">#11001</a> \copydoc does not respect section hierarchy in table of contents [<a href="https://github.com/doxygen/doxygen/commit/abf9ae244d02d61072071b5d0496175118d29ffb">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11111">#11111</a> Overloaded functions are mixed when their arguments have template with object in other namespace [<a href="https://github.com/doxygen/doxygen/commit/8386ff0b7f80e9d1687738205188a8c335063899">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11246">#11246</a> Markdown links to headings are not handled by doxygen like by GitHub or azure [<a href="https://github.com/doxygen/doxygen/commit/b52bf2d74f3d4cd2d5495bb5245e5f63b941eac3">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11279">#11279</a> longtabu inside DoxyEnumFields breaks [<a href="https://github.com/doxygen/doxygen/commit/d9aa2048dd184cee69db8660a6a8a9a1d5b8cdb2">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11299">#11299</a> Regression with HTML_DYNAMIC_MENUS = NO, DISABLE_INDEX = NO, and custom LAYOUT_FILE [<a href="https://github.com/doxygen/doxygen/commit/f46e21ed722193d74f56b2aa275a5cdc5e40b72b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11301">#11301</a> Doxygen 1.13.0 ignores visibility=&quot;no&quot; for various layout elements [<a href="https://github.com/doxygen/doxygen/commit/07cad67300b47f399bba3836c8b1f109c1b6f475">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11307">#11307</a> C++ 20 module partition: Links to class members not found [<a href="https://github.com/doxygen/doxygen/commit/64f2d998f053df36215c90f0525651ef01b78a33">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11308">#11308</a> SVG dot graphs have added padding [<a href="https://github.com/doxygen/doxygen/commit/eeed4d69992d21e18ab38d6c1d894147ce639681">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11309">#11309</a> Markdown blockquotes with lists do not render as expected [<a href="https://github.com/doxygen/doxygen/commit/aadb4572d8152d08c9c11ea0487dbb5fdd37fc60">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11310">#11310</a> &quot;^^&quot; in aliases not proper evaluated [<a href="https://github.com/doxygen/doxygen/commit/26c9dce563a9474372052b7ffaea6dadd3a0a65b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11313">#11313</a> Template class specializations are ignored, which leads to invalid links [<a href="https://github.com/doxygen/doxygen/commit/4a8f03ac813f5c4b4439f8cb2a5ff6a7b258d672">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11314">#11314</a> &quot;Copy to clipboard&quot; button broken with XHTML [<a href="https://github.com/doxygen/doxygen/commit/d9ac09659a5ec370892b82bb5bc931681ca47510">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11315">#11315</a> Issue with `@copybrief`, `@ref`, and Markdown links in Markdown table [<a href="https://github.com/doxygen/doxygen/commit/0ae786441d44d3a96249b294f669f6323aa27b2c">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/eb140ac324310a5a892201a59473a0ffbd20ce20">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11320">#11320</a> Documentation fails to build (it freezes, no crash) [<a href="https://github.com/doxygen/doxygen/commit/104c809f5dde9a36c0f060d20d1cacbf44492506">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11322">#11322</a> C++ 20 Modules: Links to global functions, links to modules [<a href="https://github.com/doxygen/doxygen/commit/8172a2037b048501612f129f7e7a5bed53db4158">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11326">#11326</a> Missing description for a class member of a using-declared class [<a href="https://github.com/doxygen/doxygen/commit/8ef5f08b3ed90f6c23300d33fecd87f408a9c782">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11330">#11330</a> Snippet trimleft option does not handle newlines well [<a href="https://github.com/doxygen/doxygen/commit/0d3a51a5e7afd8e436b8952109644277e16c9215">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/de1eab62eb7e5ad915e150a805cc03a4fc9d2a10">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11333">#11333</a> rebuilding fedora ignition-transport causes abort in isExplicitPage with doxygen 1.13.1 [<a href="https://github.com/doxygen/doxygen/commit/b58548e0bace2a8448891f22874e6c276804a0a5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11342">#11342</a> The code is incorrectly formatted in `@code` command [<a href="https://github.com/doxygen/doxygen/commit/bc44f83a78165b6bb1d4bf33323ecf0a37765a95">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11344">#11344</a> Link to Examples disappeared from 1.13.0 [<a href="https://github.com/doxygen/doxygen/commit/bba6b94924d4a985d0edb19d10f9f4d6bea66e0d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11349">#11349</a> Autolink_Test Class incorrect link for constructor [<a href="https://github.com/doxygen/doxygen/commit/a643dc1295b9c331f186ad71120ab9dd3eb8e809">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11350">#11350</a> [C#] Documentation Generation Fails for Members Following a Property Getter with Curly Braces in char [<a href="https://github.com/doxygen/doxygen/commit/c68bb4ed053f01fb30e1afc91d3e15df36dcc992">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11364">#11364</a> Enable SERVER_BASED_SEARCH will break resize handle [<a href="https://github.com/doxygen/doxygen/commit/12a74ef432b0acda3354580b2c7b08d8072b905d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11365">#11365</a> Unable to touch scroll with small window width (e.g. on mobile) [<a href="https://github.com/doxygen/doxygen/commit/842599b2532748ce0856c1979b042959289bd74f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11371">#11371</a> Odd behavior of line breaks in double quotes [<a href="https://github.com/doxygen/doxygen/commit/152ad343c07b63924fa4e964bcfc398a9e17f391">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11373">#11373</a> Code examples in Python docstrings rendered in HTML with wrong indentation beyond 8 spaces [<a href="https://github.com/doxygen/doxygen/commit/9735bedcd5bd4e0c3500d3f95d3d2173ded2efe3">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/b9ac9e45c930fb3b13897e62ba62289a27d063c4">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11374">#11374</a> c++ template function definition miss-ref [<a href="https://github.com/doxygen/doxygen/commit/64d0cb7f695b2ebe63131c06b7762c1f75212c28">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11377">#11377</a> [in,out] param dir ignored for inline documentation [<a href="https://github.com/doxygen/doxygen/commit/f4bd5e3050a76aa4358e20f65c69ec656d9a1d18">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11387">#11387</a> commit 152ad343c can break verbatim [<a href="https://github.com/doxygen/doxygen/commit/c0b6a690a29942806cca03f3c48a55ed8b865260">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11393">#11393</a> With EXPAND_ONLY_PREDEF, Doxygen won&#39;t expand PREDEFINED macro that&#39;s defined in an included header file. [<a href="https://github.com/doxygen/doxygen/commit/cec60d9e0ceb0ae2502bd7f0183d0227049d0ced">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11400">#11400</a> python documentation fails with &quot;::bool&quot; and &quot;::str&quot; warnings [<a href="https://github.com/doxygen/doxygen/commit/6164770514abe14d0e023e93b41e446e69b2f70a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11401">#11401</a> Unexpected html tag `&lt;span&gt;` found within `&lt;dt&gt;` context [<a href="https://github.com/doxygen/doxygen/commit/9b681d65312b1ea164863ccb2508aaf8c193cc1b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11415">#11415</a> doxywizard replaces &lt; and &gt; in aliases with &amp;lt; / &amp;gt; [<a href="https://github.com/doxygen/doxygen/commit/6e1faff896f6b3227a51a045cb3c296b8bcc7073">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11416">#11416</a> CMake: Error in doc_internal/CMakeLists.txt:22 Problem configuring file [<a href="https://github.com/doxygen/doxygen/commit/4f0fa835090a3042a1834be70b3f3d7c89eef405">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/72b47ce935cede79ba3d5b4bbc9048ada0b143da">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11419">#11419</a> static keyword appearing as function prefix but not inline [<a href="https://github.com/doxygen/doxygen/commit/1eff84df866c04f0afbc3bb311fd0ab153398f36">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11420">#11420</a> Triple underscores in Markdown mode not supported [<a href="https://github.com/doxygen/doxygen/commit/1191d0ba1330d9b1e0becaa4577bbdfbc98cc945">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11421">#11421</a> `SHOW_GROUPED_MEMB_INC` does not respect `STRIP_FROM_INC_PATH` [<a href="https://github.com/doxygen/doxygen/commit/cf78618201a306dffe331ba594152e5e11d7da25">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11426">#11426</a> Template specialization in file&#39;s output point to the main template&#39;s documentation instead of the specialization&#39;s documentation. [<a href="https://github.com/doxygen/doxygen/commit/71459fd9fe96bd34076654e28e925ee98bf06e67">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11436">#11436</a> External SVG images not loaded with image-command [<a href="https://github.com/doxygen/doxygen/commit/c0324c9039b59d06c9f9140466799ed5ca6d6e28">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11448">#11448</a> Handling of TIMESTAMP in html footer and header [<a href="https://github.com/doxygen/doxygen/commit/950972416ec8760811d009f67429bb1a72a9c2d2">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11453">#11453</a> C++17 Deduction Guide with variadic templates [<a href="https://github.com/doxygen/doxygen/commit/5e84de64dfcba7a012a1434664668b91b4f8de7a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11454">#11454</a> Since version 1.12.0 alias tags cause tables to break [<a href="https://github.com/doxygen/doxygen/commit/ff2900cfafb7aa015265414db5fd7e066be64890">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11458">#11458</a> Confusing error message if snippet command misses blockmarkers [<a href="https://github.com/doxygen/doxygen/commit/144de649ea2e592c53adb84fc07a2609f97452bb">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11491">#11491</a> [BUG] Space character is not rendered in code block [<a href="https://github.com/doxygen/doxygen/commit/96e79ff80e0db4ac448f3d504ca1da5df7536606">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11504">#11504</a> References not generated when tilde and dot in directory name [<a href="https://github.com/doxygen/doxygen/commit/87e6838c3d6976c88aa82aed2c6cc8e20e988bc2">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11510">#11510</a> enum class value not appearing in the documentation if using std::numeric_limits [<a href="https://github.com/doxygen/doxygen/commit/ebab8a23983f744831f07239b9e9f228a76cd43a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11524">#11524</a> XML output is invalid for filenames with &quot;&lt;&quot; or &quot;&gt;&quot; (includedby tag) [<a href="https://github.com/doxygen/doxygen/commit/d1e0f0bb94928d0e39b74e915d4e02058cd76b3f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11525">#11525</a> Translation error Dutch [<a href="https://github.com/doxygen/doxygen/commit/c9ba2f6e7a70ef289cf8cfc364cdaf610c472675">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11528">#11528</a> `\example{lineno}` does not generate the example [<a href="https://github.com/doxygen/doxygen/commit/071d46f216b047236787d56c6a8ffb607e0d748b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11538">#11538</a> Internal inconsistency: scope for class std::hash&lt;...&gt; not found! [<a href="https://github.com/doxygen/doxygen/commit/4bb67ed141532f7784f4bced678fa37e5ffca46e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11541">#11541</a> Template specializations get copies of members of the primary template [<a href="https://github.com/doxygen/doxygen/commit/200cec9b87fa544f39deeb96966568985f40aea8">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11543">#11543</a> Doxygen V.1.14 is very slow [<a href="https://github.com/doxygen/doxygen/commit/d29e2ddf4fe62d5a51330fee3e33c0e9ed683e62">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11549">#11549</a> Leftover variable in CSS (validation and possible logic issue) [<a href="https://github.com/doxygen/doxygen/commit/5dacf4107e8f4e126b7b5569eaeb6a1c17d26d7b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11557">#11557</a> @tableofcontents shows &lt;tt&gt; tags for MarkDown headings with inline code [<a href="https://github.com/doxygen/doxygen/commit/2604e3f03414529601dc8335f99b8a30c25f1389">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/5421849e22dc1f1ad8c2de40b5ede75270b04fa4">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/a3bd787d762277baef5228c3fd5ea4f591df6ad7">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/c2ada5724c2360d1258f8bc8d64880d301d5fd20">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11563">#11563</a> navtree.js causes Content Security Policy violation with evaluated javascript [<a href="https://github.com/doxygen/doxygen/commit/863d2c321888668f7653b2d396006659510548d6">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11565">#11565</a> subpages named with capital letters are not found by LaTeX [<a href="https://github.com/doxygen/doxygen/commit/8acb984fa259223895b6394797aabd8de86c3934">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11569">#11569</a> Doxygen might generate invalid tag file, breaking downstream project documentation (no uniquely matching class member found for) [<a href="https://github.com/doxygen/doxygen/commit/58cc4f3509521d86b24f769b45ef3eea092334d4">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/b1bbfe8b1ce6e5556192bfc7ebf0c3cd864d0e44">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11579">#11579</a> HTML-tables in markdown files with empty lines between the tags not properly rendered [<a href="https://github.com/doxygen/doxygen/commit/7a10ea475449e3e6f54c20e426bcdae11b2cd513">view</a>]</li>
<li>Warning mismatch `#if` / `#endif` from preprocessor [<a href="https://github.com/doxygen/doxygen/commit/46e6a42f2cc41eeafd3bf150c7f9ca69380f0087">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/65861fb8cbc85f853026becab3ec46fd209332a3">view</a>]</li>
<li>Fixed issue parsing raw strings [<a href="https://github.com/doxygen/doxygen/commit/1a4eacf99a1bab646cbe8ad03d586fc5e2ee6103">view</a>]</li>
<li>Correctly handle invisible sections in the layout file
[<a href="https://github.com/doxygen/doxygen/commit/ee1bb44f23724210b95ea4d4d87fcbd52128ad0e">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/4f16ac7c3eccc7af03f0257cf6cf03506e397f6a">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/9f5033c0e39076d44fdb4f676248f0e2d6dc3562">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/ca7fe01bfe1a50e76026562a3028006e71f41de8">view</a>],
[<a href="https://github.com/doxygen/doxygen/commit/61fa3f89106b53f4776f9203a1f5d6fede32f18e">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/13978f38236799bc2978db507e2a5ef4950217f5">view</a>]</li>
<li>Incorrect substitute pattern in header / footer [<a href="https://github.com/doxygen/doxygen/commit/47c0fa15cd27faab9627a1b56184d6b036a84873">view</a>]</li>
<li>CMakeLists.txt: use 64-bit file API on 32-bit linux [<a href="https://github.com/doxygen/doxygen/commit/869d87f6bcd5dd0a2ce4598a319f720f5d477436">view</a>]</li>
<li>Fix wrong links created in search box for external documentations with absolute paths [<a href="https://github.com/doxygen/doxygen/commit/75e264a85e5bdc0c31737f4aeaeaebda63d1d8de">view</a>]</li>
<li>Consistency of use of `HIDE_COMPOUND_REFERENCE` [<a href="https://github.com/doxygen/doxygen/commit/94fd63c6d3e4ed26c75cbef6d0479932e8b42416">view</a>]</li>
<li>Consistent translation of `//!` comments [<a href="https://github.com/doxygen/doxygen/commit/b11acd7efc59d9f274e23fef87a0102a582d083d">view</a>]</li>
<li>Tables without any rows result in error in LaTeX [<a href="https://github.com/doxygen/doxygen/commit/2bca55cf048f7c3a1aa4152555c28efebd782639">view</a>]</li>
<li>Ignore non-linkable definitions when resolving links [<a href="https://github.com/doxygen/doxygen/commit/d1666a643c24c1b28945361a12b0fc02be09fe5b">view</a>]</li>
<li>Incorrect field when ampersand in URL [<a href="https://github.com/doxygen/doxygen/commit/4c01d1139c55eeff67f25907a49f8650904dbf53">view</a>]</li>
<li>Handling of case sensitive file / directory names [<a href="https://github.com/doxygen/doxygen/commit/38511a33b7231fccb17f2ea2ad0cd6a32a2a4636">view</a>]</li>
<li>bug 683051 Template parameter cannot be commented inline [<a href="https://github.com/doxygen/doxygen/commit/8a6c107403e01f5d13b736f8cdd5553772ad5a64">view</a>]</li>
<li>String representation at &quot;show configuration&quot; in doxywizard [<a href="https://github.com/doxygen/doxygen/commit/d3d0a1d0a5ce23e7b1d1995dc2b69ee4b493baaa">view</a>]</li>
<li>Section information lost in case of `IMPLICIT_DIR_DOCS=YES` and `Readme.md` [<a href="https://github.com/doxygen/doxygen/commit/d3c1e844ec1acaf5769fb328dd3c9ed81026d76f">view</a>], and
[<a href="https://github.com/doxygen/doxygen/commit/2fcfe9c6359a0daf649365d1724239ce9ea7da2f">view</a>]</li>
<li>Remove defines from values of cpp scoped enums [<a href="https://github.com/doxygen/doxygen/commit/c8520b96357ed6ddb0418caef724e1180b48c399">view</a>]</li>
</ul>

<h3>Improved user feedback and documentation</h3>
<ul>
<li>Translation german update [<a href="https://github.com/doxygen/doxygen/commit/dc4f0011240163f787bf157a8e8dd14b27d3a1d6">view</a>]</li>
<li>Add Linux ARM to CI [<a href="https://github.com/doxygen/doxygen/commit/955ed7238874000b18dbca588f8d3235b3d60b4c">view</a>]</li>
<li>Adding debug and version information to doxycommentview [<a href="https://github.com/doxygen/doxygen/commit/0f8c402df63b1642cb065845ab6b4c97abcad1f9">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d2318586d268810833374a2d2771dda3e9f51f58">view</a>]</li>
<li>Documentation corrections. [<a href="https://github.com/doxygen/doxygen/commit/8c8c9dae85cfcdfd0abfb9e675e3641a476f8ee2">view</a>], and [<a href="https://github.com/doxygen/doxygen/commit/acb534cb3ecd403a8e46b154b9f5df618a796903">view</a>]</li>
<li>Update docs of doxycommentview [<a href="https://github.com/doxygen/doxygen/commit/e546444baac939078984fb161cf8016850fdaef4">view</a>], and [<a href="https://github.com/doxygen/doxygen/commit/254f3c916702773a1c7117ee281857d25a8a074b">view</a>]</li>
<li>Fix XML output for virtual modifiers with trailing return types [<a href="https://github.com/doxygen/doxygen/commit/3d97cea149f53d5913ad134ec42fa4be9b2892bb">view</a>]</li>
<li>Don&#39;t repeat the exact same warning messages [<a href="https://github.com/doxygen/doxygen/commit/7c1bd62b3837296c697d961fff8775a076c20cec">view</a>], and [<a href="https://github.com/doxygen/doxygen/commit/ff2fe2b46609606909338ecd3570afff6435aa01">view</a>]</li>
<li>Value mentioned twice with configuration setting `FILE_PATTERNS` [<a href="https://github.com/doxygen/doxygen/commit/2cc73406c2ef59579996a214caf91c041443f478">view</a>]</li>
<li>doc: Dependencies for testing [<a href="https://github.com/doxygen/doxygen/commit/0614d5fcf28dedc17d4a285ac10a78243e449ec8">view</a>]</li>
<li>Layout labels on edges [<a href="https://github.com/doxygen/doxygen/commit/ba090ecbc7811723b492d4519fb0796388cab443">view</a>]</li>
<li>Messages could land in different files [<a href="https://github.com/doxygen/doxygen/commit/9229b2b5c7b68bc58c06dfd6141c5a021e4d8e5c">view</a>]</li>
</ul>

<h3>Refactoring and cleanup</h3>
<ul>
<li>Refactoring: replace qstrncmp(s,&quot;literal&quot;,7)==0 by literal_at(s,&quot;literal&quot;) [<a href="https://github.com/doxygen/doxygen/commit/242462e761775ac0ea839e8414932ffa52c1c941">view</a>]</li>
<li>Refactoring: use libfmt for messages, warnings and errors [<a href="https://github.com/doxygen/doxygen/commit/e444973820ceb2b87cd710661ec04d9cd05a792e">view</a>]</li>
<li>include a conditional usage of c++20 offered by @kaorihinata [<a href="https://github.com/doxygen/doxygen/commit/518face47d2d48cbe7b4f8a997facd76a10a7ddb">view</a>]</li>
<li>Correcting python scripts in respect to style [<a href="https://github.com/doxygen/doxygen/commit/52e159e14cc6bc5d635520054cfe5fce9fd52ddf">view</a>]</li>
<li>Prevent code duplication for enum [<a href="https://github.com/doxygen/doxygen/commit/83455ae1a4db1a7fcf5240eaa7227add83b50ad9">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/952f3c41a042d7295363a383f5167b72d416dfd2">view</a>]</li>
<li>Incorrect number of doxygen htmlentities [<a href="https://github.com/doxygen/doxygen/commit/a19425812741495580d676641d9b872a6983078e">view</a>]</li>
</ul>

<p>
\endhtmlonly

\section log_1_13 1.13 Series
\subsection log_1_13_2 Release 1.13.2
\htmlonly
<b>(release date 09-01-2025)</b>
</p>

<h3>Bug fixes</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/8803">#8803</a> Template class with the same name as existing class gets in the same output file [<a href="https://github.com/doxygen/doxygen/commit/791bcf852e5e4d9de19cdbb80e5f22e9d4ff3a04">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/fc0c847acb4d4c237f7fb688cc0a3f78fd409de7">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11308">#11308</a> SVG dot graphs have added padding [<a href="https://github.com/doxygen/doxygen/commit/eeed4d69992d21e18ab38d6c1d894147ce639681">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11309">#11309</a> Markdown blockquotes with lists do not render as expected [<a href="https://github.com/doxygen/doxygen/commit/aadb4572d8152d08c9c11ea0487dbb5fdd37fc60">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11313">#11313</a> Template class specializations are ignored, which leads to invalid links [<a href="https://github.com/doxygen/doxygen/commit/4a8f03ac813f5c4b4439f8cb2a5ff6a7b258d672">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11314">#11314</a> &quot;Copy to clipboard&quot; button broken with XHTML [<a href="https://github.com/doxygen/doxygen/commit/d9ac09659a5ec370892b82bb5bc931681ca47510">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11320">#11320</a> Documentation fails to build (it freezes, no crash) [<a href="https://github.com/doxygen/doxygen/commit/104c809f5dde9a36c0f060d20d1cacbf44492506">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11322">#11322</a> C++ 20 Modules: Links to global functions, links to modules [<a href="https://github.com/doxygen/doxygen/commit/8172a2037b048501612f129f7e7a5bed53db4158">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11326">#11326</a> Missing description for a class member of a using-declared class [<a href="https://github.com/doxygen/doxygen/commit/8ef5f08b3ed90f6c23300d33fecd87f408a9c782">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11330">#11330</a> Snippet trimleft option does not handle newlines well [<a href="https://github.com/doxygen/doxygen/commit/0d3a51a5e7afd8e436b8952109644277e16c9215">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/de1eab62eb7e5ad915e150a805cc03a4fc9d2a10">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11333">#11333</a> rebuilding fedora ignition-transport causes abort in isExplicitPage with doxygen 1.13.1 [<a href="https://github.com/doxygen/doxygen/commit/b58548e0bace2a8448891f22874e6c276804a0a5">view</a>]</li>
<li>String representation at &quot;show configuration&quot; in doxywizard [<a href="https://github.com/doxygen/doxygen/commit/d3d0a1d0a5ce23e7b1d1995dc2b69ee4b493baaa">view</a>]</li>
<li>Support for Plus sign code fence directives - GitHub flavor [<a href="https://github.com/doxygen/doxygen/commit/852adf3f130e2094fc0c02426eee9fa11a49bc60">view</a>]</li>
</ul>

<h3>Improved user feedback and documentation</h3>
<ul>
<li>Adding debug and version information to doxycommentview [<a href="https://github.com/doxygen/doxygen/commit/0f8c402df63b1642cb065845ab6b4c97abcad1f9">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d2318586d268810833374a2d2771dda3e9f51f58">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/254f3c916702773a1c7117ee281857d25a8a074b">view</a>], and [<a href="https://github.com/doxygen/doxygen/commit/e546444baac939078984fb161cf8016850fdaef4">view</a>]</li>
</ul>
<p>
\endhtmlonly

\subsection log_1_13_1 Release 1.13.1
\htmlonly
<b>(release date 02-01-2025)</b>
</p>

<h3>Minor incompatibilities</h3>
<ul>
<li>As of doxygen version 1.13.1 and layout version 2.0, Doxygen
will insert defaults for elements that are missing in the user defined layout file. This allows for the introduction of new elements, without having
to update the user defined layout files to make them appear. For older Doxygen
or layout versions, missing elements are still treated as being invisible as before.
</li>
</ul>

<h3>Features</h3>
<ul>
<li>Add WARN_LAYOUT_FILE option to toggle warnings in layout file [<a href="https://github.com/doxygen/doxygen/commit/ba083a9e676e5e8bf2f7a865ef858fdd17f6460e">view</a>]</li>
</ul>

<h3>Bug fixes</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11111">#11111</a> Overloaded functions are mixed when their arguments have template with object in other namespace [<a href="https://github.com/doxygen/doxygen/commit/8386ff0b7f80e9d1687738205188a8c335063899">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11299">#11299</a> Regression with HTML_DYNAMIC_MENUS = NO, DISABLE_INDEX = NO, and custom LAYOUT_FILE [<a href="https://github.com/doxygen/doxygen/commit/f46e21ed722193d74f56b2aa275a5cdc5e40b72b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11301">#11301</a> Doxygen 1.13.0 ignores visibility=&quot;no&quot; for various layout elements [<a href="https://github.com/doxygen/doxygen/commit/07cad67300b47f399bba3836c8b1f109c1b6f475">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ee1bb44f23724210b95ea4d4d87fcbd52128ad0e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d48b3705023cc327ec80d30eb84a50a7e48a67b7">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/61fa3f89106b53f4776f9203a1f5d6fede32f18e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/4f16ac7c3eccc7af03f0257cf6cf03506e397f6a">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/9f5033c0e39076d44fdb4f676248f0e2d6dc3562">view</a>], and [<a href="https://github.com/doxygen/doxygen/commit/13978f38236799bc2978db507e2a5ef4950217f5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11307">#11307</a> C++ 20 module partition: Links to class members not found [<a href="https://github.com/doxygen/doxygen/commit/64f2d998f053df36215c90f0525651ef01b78a33">view</a>]</li>
<li>Fix compiler error when compiling doxygen in C++20 mode [<a href="https://github.com/doxygen/doxygen/commit/54259f7ad46f91316468248d92b2a65e58d4586d">view</a>]</li>
<li>Silence compiler warning in generated ce_parse.cpp [<a href="https://github.com/doxygen/doxygen/commit/f1bf91e284fd8f67a9631b0146a5d574983f14f1">view</a>]</li>
<li>cmake: Fix flex version check for overriding the register keyword [<a href="https://github.com/doxygen/doxygen/commit/e592cd7cdcd4630798c239944764d3ce8753b5ec">view</a>]</li>
</ul>

<h3>Improved user feedback and documentation</h3>
<ul>
<li>Add module part to customize documentation [<a href="https://github.com/doxygen/doxygen/commit/04d271d167892bcd87e097766c574a3ccf396f83">view</a>]</li>
<li>Documentation corrections. [<a href="https://github.com/doxygen/doxygen/commit/acb534cb3ecd403a8e46b154b9f5df618a796903">view</a>]</li>
</ul>
<p>
\endhtmlonly

\subsection log_1_13_0 Release 1.13.0
\htmlonly
<b>(release date 28-12-2024)</b>
</p>

<h3>Minor incompatibilities</h3>
<ul>
<li>The defaults for <code>DISABLE_INDEX</code> and <code>GENERATE_TREEVIEW</code> have been changed to <code>YES</code>.
If you did not specify them explicitly in your config file and wish to keep
the same output, you need to add
<pre>
DISABLE_INDEX     = NO
GENERATE_TREEVIEW = NO
</pre>
to your config file.
</li>
<li>If you have <code>README.md</code> files in subdirectories, they will be treated as directory descriptions.
You can disable this by setting <code>IMPLICIT_DIR_DOCS=NO</code> in your config file.</li>
</ul>

<h3>Features</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11179">#11179</a> Using README.md as directory description via new option IMPLICIT_DIR_DOCS. [<a href="https://github.com/doxygen/doxygen/commit/fd23262193b9e528d44b0067bda0341bb3d0d11c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11240">#11240</a> Add CSS class for @p command [<a href="https://github.com/doxygen/doxygen/commit/60d633e3f2fb21bc1c9b8a1f20ae686031c540d8">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11245">#11245</a> [Small Feature Request] Add class attribute to the @qualifier command in the HTML output [<a href="https://github.com/doxygen/doxygen/commit/80492142468f716c68f9558e749df8cc048d03a6">view</a>]</li>
<li>New option <code>HIDE_UNDOC_NAMESPACES</code> which can be used to hide undocumented namespaces (similar to <code>HIDE_UNDOC_CLASSES</code>) [<a href="https://github.com/doxygen/doxygen/commit/47827db30af2b43be8c03133e05c9e7a55260740">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/5f272402a69c1629066a9a45f80f319007fd4b48">view</a>]</li>
<li>New option <code>PLANTUMLFILE_DIRS</code> and command \plantumlfile to include plantuml files (similar to <code>DOT_DIRS</code>, and <code>\dotfile</code>) [<a href="https://github.com/doxygen/doxygen/commit/36fcd862a20744c6d80b840287d83cd1b0e609b2">view</a>]</li>
<li>New option <code>AUTOLINK_IGNORE_WORDS</code> to specific a set of words that should not be linked [<a href="https://github.com/doxygen/doxygen/commit/54840ab0a378a939ff549de0c59408eb52b3819a">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/f4a9fe3904bc7c8e32969bdcaef6209f6c079549">view</a>]</li>
<li>Update available emojis [<a href="https://github.com/doxygen/doxygen/commit/5c4a431358478a3a9d8a915b7959bdc4bcfea72b">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/61ac4e482fd169ec522ec5f3810b3568d809fee1">view</a>]</li>
<li>Added <code>strip</code> and <code>nostrip</code> options to <code>\include</code> and <code>\snippet</code> to either strip or keep doxygen comments [<a href="https://github.com/doxygen/doxygen/commit/8a36064e32cf93d5520ba1a0fe422913cc1f0ae7">view</a>]</li>
<li>Added helper script to live edit &amp; view a doxygen comment block, see <a href="https://github.com/doxygen/doxygen/tree/master/addon/doxycommentview">addon/doxycommentviewer</a> in the repo [<a href="https://github.com/doxygen/doxygen/commit/a7600e4a08b2739384594770ffea82d5c026746b">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/61d880fd857abf36bfd12db35c206ed1190106a4">view</a>]</li>
<li>Extending autobrief end characters with ? and ! [<a href="https://github.com/doxygen/doxygen/commit/6310a7794642f38bcaf6921823b86d3a2b9ebe28">view</a>]</li>
</ul>

<h3>Bug fixes</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11134">#11134</a> gswin64c.exe not recognized if path added to EXTERNAL_TOOL_PATH [<a href="https://github.com/doxygen/doxygen/commit/ad42b32ed7e88d28b452164067cc0a28c1d05e0a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/3760">#3760</a> C++ using directives are not understood (Origin: bugzilla #617285) [<a href="https://github.com/doxygen/doxygen/commit/4ebaa8ba334d9421c82b9cb359aa4fb0644f82ee">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/8f60e93ceac62ce196cc1c3b9e872ab9e8fde60d">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/9023781b60817c46dec9d640b99ce9393cf46a59">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d067a7ffe6b2abe94595268487ca3461a62da0a5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/9921">#9921</a> `HIDE_SCOP_NAMES` and `\ref` [<a href="https://github.com/doxygen/doxygen/commit/115f84801c7b685a5667455f75a4bbb4870f6244">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10569">#10569</a> First sentence after defgroup no longer used as brief description [<a href="https://github.com/doxygen/doxygen/commit/a87b38e5fe3310b841bc79aed7f671d36b6f1927">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10649">#10649</a> Building failure: ISO C++17 does not allow &#39;register&#39; storage class specifier [-Wregister] [<a href="https://github.com/doxygen/doxygen/commit/aa1cc422542ee6f0d1b46573cb0ffb1d0ee88cfe">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d315cb64b5c3836b6391bed967e1bfbdd1291e40">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11012">#11012</a> Doxygen 1.10 and 1.11 not documenting C# enum and its members [<a href="https://github.com/doxygen/doxygen/commit/00191119ddd06de4737e145cc305ed7ea4fb6e35">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ea5850863b1b3458362ea34de9dd04109bfa1be3">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11045">#11045</a> copydoc issue with namespace assignment [<a href="https://github.com/doxygen/doxygen/commit/550e009de9addc679fa3e45035ca51bf32f0d3e9">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11065">#11065</a> Doxygen version 1.12.0 failing to differentiate certain overloads when using qtbluetooth.tags tag file [<a href="https://github.com/doxygen/doxygen/commit/ef4df26380302bf4ad8faed3d5c986b7ef455526">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11071">#11071</a> Extra spaces added by GFM special comment parsing cause verbatim blocks [<a href="https://github.com/doxygen/doxygen/commit/00b95ce452c8dd925f360836ec4bb53a227994c2">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11082">#11082</a> C include format error [<a href="https://github.com/doxygen/doxygen/commit/72fcb79b2cf85fab6cad648180bb3267a2f48f95">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11085">#11085</a> Partial specialization of C++ variable template is missing from Doxygen output [<a href="https://github.com/doxygen/doxygen/commit/18613b4645d03a5b8cabcdfc38aff9a6eedcd178">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11095">#11095</a> Grouping and deriving from a template class leads to &quot;not documented&quot; members. [<a href="https://github.com/doxygen/doxygen/commit/be30c551cf4b780daf4cf3dee931a4a11e1a58b4">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11102">#11102</a> Objective-C call graph is not shown when self proper is called [<a href="https://github.com/doxygen/doxygen/commit/a51b0c1a2f247ccfb499819950d14441c7e5e911">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e5b35e8d7569ba1e90c5798c2d7145782e58f285">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11107">#11107</a> PHP heredocs with double quotes stop doxygen [<a href="https://github.com/doxygen/doxygen/commit/be6092c17ec2766f1076ce36f56aaa3cc3f373cc">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11114">#11114</a> Doxygen 1.12.0 mishandles Markdown section header following `&lt;pre&gt;` HTML markup. [<a href="https://github.com/doxygen/doxygen/commit/12389d5d965a6bed0679e38ae8724ad0a02d3372">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11116">#11116</a> Graphical glitch with lists and text spilling over on a new line. [<a href="https://github.com/doxygen/doxygen/commit/ab6fe1645ed460d314663ad69c22e9c4a92c1569">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11120">#11120</a> Python variables erratic documentation [<a href="https://github.com/doxygen/doxygen/commit/6de8269f498bc0cb606789a4d8cfafce35535186">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11123">#11123</a> Warning that self is undocumented [<a href="https://github.com/doxygen/doxygen/commit/f9f6639e266707016d7ab134a4c61953d8a340b4">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11127">#11127</a> copydoc fails to copy the correct function overload for Doxygen 1.9.5 - trunk (7e1860534d163a9d8882ce3ebb620719f74e75eb) [<a href="https://github.com/doxygen/doxygen/commit/20075198d35f8b604736e6782a10f294bbe5af61">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11128">#11128</a> Unknown anchors in code [<a href="https://github.com/doxygen/doxygen/commit/15c3bb2d2e07678286b27b608daa08620fcf613e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/786ec991b5d559a83b7cf26967e9ab66c398d5e5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11130">#11130</a> three-way comparison operator is showing up as &quot;operator&quot; instead of &quot;operator&lt;=&gt;&quot; in related symbols [<a href="https://github.com/doxygen/doxygen/commit/f19eb796007c1b18b0d344453373736ce6079384">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11135">#11135</a> The anchors don&#39;t work [<a href="https://github.com/doxygen/doxygen/commit/d408967139935bbaeae8d9eac7f0f34877d53d1c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11138">#11138</a> Non-reproducible file names in doxygen output [<a href="https://github.com/doxygen/doxygen/commit/040cdc3acd4d417df447199eefb4af08fbbe6907">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11144">#11144</a> Template relation doesn&#39;t appear on graph [<a href="https://github.com/doxygen/doxygen/commit/ef4065af3fb3b6a73b6d919a05f02a170880fefe">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11147">#11147</a> Functions are incorrectly flagged as undocumented if not generating HTML or LaTeX [<a href="https://github.com/doxygen/doxygen/commit/81d29d79812bb75f75791b371e48b9ef56a5c203">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11156">#11156</a> Enabled AUTOLINK_SUPPORT does not turn enum type names to links [<a href="https://github.com/doxygen/doxygen/commit/9c3e881035ea0ce7f2da3a392200d4a2aad26851">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11166">#11166</a> Doc fails on raw string literals [<a href="https://github.com/doxygen/doxygen/commit/a2eec70dd9c02a28340c9674f1fe42b17708f5d7">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/c3b2c901170a8bd5472272a0e554c81c9ff36119">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11169">#11169</a> How to copydoc documentation of functions with spaces? [<a href="https://github.com/doxygen/doxygen/commit/5af1d3139656e99979520bab8183f4bcf5f4966f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11172">#11172</a> Aliases with embed:rst:leading-asterisk no longer work in Doxygen 1.12 [<a href="https://github.com/doxygen/doxygen/commit/123b2640f620f0c308a14e23b8f569d7d127620d">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/7e56c7ce3a03e04ff61cae6f74581914754552fb">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ca055bb64471d27841ab1bedbafe7a9e4b1ef31d">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e3a54a27a75cb129188c2305b468b79149bc5236">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11184">#11184</a> \ref is unable to resolve references to fields in the documented struct [<a href="https://github.com/doxygen/doxygen/commit/47778d4ff0aee0bac89c3c56ad03a3001d30c570">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11205">#11205</a> Building docs for the llvm-project with doxygen takes more than 20 hours [<a href="https://github.com/doxygen/doxygen/commit/41b54dfa25560ed6cbf4e0af15d46cf0cc45dc52">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11209">#11209</a> `&lt;kbd&gt;` tag gets rewritten as `&lt;code&gt;` [<a href="https://github.com/doxygen/doxygen/commit/bc0baa7aaa2f5a7017718532b06d4fdfe36aca6c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11210">#11210</a> Support for Numeric code fence directives - GitHub flavor [<a href="https://github.com/doxygen/doxygen/commit/852f1898fec53ce2995baf1238305b7ca129a493">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11217">#11217</a> heap-buffer-overflow WRITE [<a href="https://github.com/doxygen/doxygen/commit/d905345c2f480126fe096d6687db0f18e95ded42">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11225">#11225</a> Improve support for code blocks in included markdown files [<a href="https://github.com/doxygen/doxygen/commit/3fe5b07c9234cdc6c4d695772d8457e211839f71">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e67e42c149c45b3458bd5e3c6fa385058cdf9adc">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11227">#11227</a> Generated documentation for the IDL interface has wrong quotes [<a href="https://github.com/doxygen/doxygen/commit/68c58754765a896610aa26f3dceb01847564a29e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11230">#11230</a> Using-declaration with root namespace qualifier is not a hyperlink in source pages [<a href="https://github.com/doxygen/doxygen/commit/ef6c6791a8c00397fdeea4fea5e83e7e6c0cb353">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11233">#11233</a> SVG in Markdown is not shown [<a href="https://github.com/doxygen/doxygen/commit/718906824db0f0961676069461224c3eb9a9f1c1">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11237">#11237</a> Xcode project generation failing [<a href="https://github.com/doxygen/doxygen/commit/b8157176d66ca778e2b874a3d26d38344ba866a6">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11260">#11260</a> Inherited attribute is repeated twice in python [<a href="https://github.com/doxygen/doxygen/commit/c91a8c85ebb077a4ed2eab51881dee48558433f5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11271">#11271</a> man pages incorrectly convert \&quot; to \&#39; [<a href="https://github.com/doxygen/doxygen/commit/e37c98712aae2be33f32984604f28ff7a989242b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11273">#11273</a> Using a tilde in the URL of a Markdown image tag breaks the tag if the image is in the IMAGE_PATH [<a href="https://github.com/doxygen/doxygen/commit/0f2739f81b39b97191af8851d1803223dc5b0a26">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11280">#11280</a> Comments inside a cpp implementation are duplicated. [<a href="https://github.com/doxygen/doxygen/commit/899e51a3691b04f08eb7a1070c424d4b9c5309fc">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11281">#11281</a> Alias via using within nested namespace results in incorrect symbol name. [<a href="https://github.com/doxygen/doxygen/commit/8342610980e1dc6b58c3459a079a4304c327698e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11282">#11282</a> getDefsNew fails to find symbols if a filename matches a namespace name [<a href="https://github.com/doxygen/doxygen/commit/fd2d9021ab1d596772cd222e2448d1523ed22726">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11283">#11283</a> C++ 20 Concepts not found in search when inside a namespace [<a href="https://github.com/doxygen/doxygen/commit/2b1484e90246e2f37d25456c080fa3e19879a9fc">view</a>]</li>
<li>bug 432893 handling `*` in ODL properties [<a href="https://github.com/doxygen/doxygen/commit/183827774fbad3f30aedecfc39805d1c27c862da">view</a>]</li>
<li>bug 729344 Ignoring an items when / or \ is placed after \addindex [<a href="https://github.com/doxygen/doxygen/commit/bd9aa87159d11aa3d128746685cd112fc9b028fd">view</a>]</li>
<li>Coverity bug 20240822 (1) [<a href="https://github.com/doxygen/doxygen/commit/10e1df26be79f93830d7e5d7e1e58553f0b36e78">view</a>]</li>
<li>Coverity bug 20240822 (2) [<a href="https://github.com/doxygen/doxygen/commit/6aff9df3c1ef57b0189b6337bac17738497d4dd2">view</a>]</li>
<li>Avoid showing internal representation of anonymous scopes in warnings [<a href="https://github.com/doxygen/doxygen/commit/477d2484d78d0b6d6f789a97a15cd55fec3cbbf1">view</a>]</li>
<li>Improve showing import relations for C++20 modules [<a href="https://github.com/doxygen/doxygen/commit/2851a911e4dca1108f8e2bded32bfd37844804a7">view</a>]</li>
<li>Don&#39;t attempt to merge typedefs from different scopes. [<a href="https://github.com/doxygen/doxygen/commit/dbb7f934461e06e23f7743eea33209aaed4c4314">view</a>]</li>
<li>Compilation error under Cygwin on language.cpp: &quot;too many sections&quot; [<a href="https://github.com/doxygen/doxygen/commit/8311510838205017695a128981a549299ee8dd59">view</a>]</li>
<li>Define defined in multiple, nested, files [<a href="https://github.com/doxygen/doxygen/commit/83a609c81fe82a3ae4e1ed0dd9048a079cadf8d6">view</a>]</li>
<li>Detect escaped `\cond` command at end of line [<a href="https://github.com/doxygen/doxygen/commit/c679c7f6a839e9097247e6e4ec0aad3ce96df03f">view</a>]</li>
<li>Don&#39;t convert CMake environment variables when using `-x_noenv` option [<a href="https://github.com/doxygen/doxygen/commit/d8c3b3fa689a71cb8bdb4c61f964b4fee33f8725">view</a>]</li>
<li>Don&#39;t give timing information with options version / help options [<a href="https://github.com/doxygen/doxygen/commit/1e99a1f9135cd1e4467fc0b61c85ce49c3f1e3ef">view</a>]</li>
<li>Fix case where &lt;= or &gt;= or &lt;=&gt; inside template argument would be interpreted wrongly [<a href="https://github.com/doxygen/doxygen/commit/ecdd62b9209ba3d4e61fa0ff2da21e5080d4ff8e">view</a>]</li>
<li>Fix out-of-bounds string_view access in Markdown n-/m-dash processing [<a href="https://github.com/doxygen/doxygen/commit/8ed7f564379a987338615d5f39cf80fd657b0bfc">view</a>]</li>
<li>Fixed a few Doxyfile typos [<a href="https://github.com/doxygen/doxygen/commit/1c66ea418c6641168b8fc22cd345c25af871cc60">view</a>]</li>
<li>Fix for missing code-&gt;docs links for strong enum value [<a href="https://github.com/doxygen/doxygen/commit/b8efd042e99dab6e6277cba1c2e9868a78f8909a">view</a>]</li>
<li>Fix for wrong code link for enum value [<a href="https://github.com/doxygen/doxygen/commit/8e696246f8848946c2735aef7b31807f6da28874">view</a>]</li>
<li>Fix regex logic in scanner.l [<a href="https://github.com/doxygen/doxygen/commit/c2c9dc36c9b8054ee51fd84457a9f7c3beff5846">view</a>]</li>
<li>Fix source code references for objective-c members [<a href="https://github.com/doxygen/doxygen/commit/e268db6d87634875ad6481bf57b5cab3993b832d">view</a>]</li>
<li>Fixed case giving incorrect &#39;File ended in the middle of a comment block&#39; warning [<a href="https://github.com/doxygen/doxygen/commit/6a86d208d3a5ef59845ba47fa2d982a4d63e4bdb">view</a>]</li>
<li>Fixed potential invalid memory access when reading code fragments [<a href="https://github.com/doxygen/doxygen/commit/bdaa81ef589b5f5591e045b393ba140bf58b9d74">view</a>]</li>
<li>Fixed some issues handling Java and IDL import statements [<a href="https://github.com/doxygen/doxygen/commit/98cdf5a585d979fcf34fc6ba8c8fcfadabd14902">view</a>]</li>
<li>Formula doesn&#39;t render due to empty lines. [<a href="https://github.com/doxygen/doxygen/commit/e5f724f85044738e3ec9c48d04a789772929762a">view</a>]</li>
<li>Handling multiple `&lt;br&gt;` tags [<a href="https://github.com/doxygen/doxygen/commit/4098abc62340f3b53e2fb1fb6dd5e4483dd25e45">view</a>]</li>
<li>Handling of `#pragma once` [<a href="https://github.com/doxygen/doxygen/commit/455abf7490c8e8b2e7f32a64723aa87b08a2e7ac">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e11dbdb11c49dff6d5fb70e380622cb1e6d4e45e">view</a>]</li>
<li>Incorrect handling of spaces before `@page` command [<a href="https://github.com/doxygen/doxygen/commit/6f827753ca4e28b815981ac63a5ea1f741539af6">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/65d9e7702f150f023dcdd980534b4625d035c856">view</a>]</li>
<li>Incorrect label for enum values [<a href="https://github.com/doxygen/doxygen/commit/a60790a0177f6adc64b2ccaf0d62cec40a2dd4bd">view</a>]</li>
<li>Incorrect marking of enum values in source browser [<a href="https://github.com/doxygen/doxygen/commit/8ae3fb152f50fe70b94f2f39e13665352d54d07e">view</a>]</li>
<li>Incorrect warning in case of Python [<a href="https://github.com/doxygen/doxygen/commit/daa7635f38e7600a5332cb22948b37f83f47f3ff">view</a>]</li>
<li>Incorrect redirection of debug output from preprocessor [<a href="https://github.com/doxygen/doxygen/commit/a1c3196e3fe0ed45098de8a42dc88bd5b724f18d">view</a>]</li>
<li>Multiple parameters with underscores and one `\param` command [<a href="https://github.com/doxygen/doxygen/commit/c0e66c4ca1805479d484e703538123ecddb6cdac">view</a>]</li>
<li>Output when brief description ends with multiple spaces [<a href="https://github.com/doxygen/doxygen/commit/30a0f873f24bae9ceac58f87efa087c8b42876cb">view</a>]</li>
<li>Plantuml cache file name [<a href="https://github.com/doxygen/doxygen/commit/032a5a5c187ecc89c99775bc773446335ce6bbbc">view</a>]</li>
<li>Remove inconsistency regarding whitespace at the end of template declaration [<a href="https://github.com/doxygen/doxygen/commit/3a02eed7421e35027b93fb3eb54a77281ab7ae48">view</a>]</li>
<li>Remove some warnings regarding signed/unsigned mismatch [<a href="https://github.com/doxygen/doxygen/commit/eef776e239520326eadf8b22085a17cb34dbea34">view</a>]</li>
<li>Remove warnings regarding bison package [<a href="https://github.com/doxygen/doxygen/commit/964acae4e439177dded9d0ecb7c489760eefe833">view</a>]</li>
<li>Removing compiler warnings [<a href="https://github.com/doxygen/doxygen/commit/b4c5d6e03c8f2ec5da443197ec0318f0ef3193ca">view</a>]</li>
<li>Repeated variable names is code browser [<a href="https://github.com/doxygen/doxygen/commit/2b9107a2855dfb12166911f5c5bb4038220dc21f">view</a>]</li>
<li>Size of project name when part of &quot;treeview&quot; [<a href="https://github.com/doxygen/doxygen/commit/cd581f800464acafaebfd1ec46442cc22d1d0132">view</a>]</li>
<li>Use style `plainnat` with `natbib` package [<a href="https://github.com/doxygen/doxygen/commit/027aa9b702c61ecb3a9ae66174c771fd4fde21c1">view</a>]</li>
<li>Warning in case of double specification of cite name [<a href="https://github.com/doxygen/doxygen/commit/5316ed79fce532b06f4b459cee06685029e803dd">view</a>]</li>
<li>Warning with not closed stylchange [<a href="https://github.com/doxygen/doxygen/commit/4d5152aa089c3e6e1ae9e20e291a46aec1fef9a9">view</a>]</li>
<li>XSD warnings [<a href="https://github.com/doxygen/doxygen/commit/979ad0471b45b0ec31286c5829f347d109079b43">view</a>]</li>
</ul>

<h3>Improved user feedback and documentation</h3>
<ul>
<li>Update translator_gr.h [<a href="https://github.com/doxygen/doxygen/commit/b957c31e7ad3eb1007f1e02b9cf7dec3866ece6b">view</a>]</li>
<li>Updated translator_ru.h to match updates from 1.8.15 to 1.11.0 [<a href="https://github.com/doxygen/doxygen/commit/198dcf7fed08ec2adc98e1d2656f4ce57e94a468">view</a>]</li>
<li>Spelling corrections [<a href="https://github.com/doxygen/doxygen/commit/2eebd4e4515c680217e762a501b4b5e5c29204cf">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/305aceb4324ff87e8c025e1fa1534a535aea9382">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/82752c7448ca18cb9371747d586a10cb80ad8e92">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/a533a03d06596360b631917c0cd1670f5a273285">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/2f090b45783763e5f58a8d27bf80cc2281158a8f">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d17369ff737e96908cc8def6ba66f9c2498d86ed">view</a>]</li>
<li>Better warning in case of an internal error of a layout element [<a href="https://github.com/doxygen/doxygen/commit/518422aa199201c21cd8352d5ee1b2d79a1ee510">view</a>]</li>
</ul>

<h3>Refactoring and cleanup</h3>
<ul>
<li>Refactoring PR #11290 a bit [<a href="https://github.com/doxygen/doxygen/commit/a0bebe5edb0133640853cfcc20e3458d36306556">view</a>]</li>
<li>Refactoring: Replace DeepCopyUniquePtr by std::optional [<a href="https://github.com/doxygen/doxygen/commit/408b255a292bb8e05d60e5570237f341db86785f">view</a>]</li>
<li>Refactoring: inline internal IMPL class in classdef.cpp [<a href="https://github.com/doxygen/doxygen/commit/99f2eaec35464e9e91bd411fe5a26490edf04419">view</a>]</li>
<li>Refactoring: make Token behave as an object [<a href="https://github.com/doxygen/doxygen/commit/96ed159cc9af87f0511ce81918fa06b02f754959">view</a>]</li>
<li>Refactoring: renames for better naming consistency with other classes [<a href="https://github.com/doxygen/doxygen/commit/f4f9aaa6a537c20d41404ed5dfde12e61e079c04">view</a>]</li>
<li>Refactoring: replace insert(std::make_pair(...)) by emplace() [<a href="https://github.com/doxygen/doxygen/commit/6e5993555061a67804b5bef2be1ff12e8d177593">view</a>]</li>
<li>update TinyDeflate.hh to get fix clang 19.0 [<a href="https://github.com/doxygen/doxygen/commit/7037b3061c554f02933bfdde9c51738e43b26d4d">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ab17253f6c02684f1c5d1cf175444b6838c4e043">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/6b2e270c4e399f08175a5b113a96b1b83e39587e">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/cff64a87dea7596fd506a85521d4df4616dc845f">view</a>]</li>
<li>Adjust to libfmt-11 changes [<a href="https://github.com/doxygen/doxygen/commit/567aca983f70b01103271e431bc71a13ac79213c">view</a>]</li>
<li>Fix for coverity warning about dead code in memberdef.cpp (CID 218000) [<a href="https://github.com/doxygen/doxygen/commit/38a6679c77d47458135fc97ab3bf70b92768b3cc">view</a>]</li>
<li>Fix for coverity warning about dead code in memberdef.cpp (CID 320261) [<a href="https://github.com/doxygen/doxygen/commit/fe3d30626c07a816215eceb067722e6ad0a4345c">view</a>]</li>
<li>Coverity warning [<a href="https://github.com/doxygen/doxygen/commit/db97a3ecb6852b6598f08eb954af5ca9ccee42ee">view</a>]</li>
<li>Replaced -t_notime by -t_time and make -t behave as -t_notime did before [<a href="https://github.com/doxygen/doxygen/commit/22fc5a2c16b3834cb40166df1c4695b0355b7f67">view</a>]</li>
<li>Optimize handling trimleft in code fragments [<a href="https://github.com/doxygen/doxygen/commit/283a679746c134b898d5735c3afabeeb05a870ef">view</a>]</li>
<li>Optimize stripping comment from code fragments [<a href="https://github.com/doxygen/doxygen/commit/64dfee0a4b65a4dc3687dfc6b31535a844681ffa">view</a>]</li>
<li>Cleanup unused lexer definitions [<a href="https://github.com/doxygen/doxygen/commit/6fa156af0a78bd294e60540cf76f1728e309e8eb">view</a>]</li>
<li>Consistency enum class CommandType / HtmlTagType [<a href="https://github.com/doxygen/doxygen/commit/69000a35fba1bc1fb4720e733add703efbac4a07">view</a>]</li>
</ul>

<p>
\endhtmlonly

\section log_1_12 1.12 Series
\subsection log_1_12_0 Release 1.12.0
\htmlonly
<b>(release date 07-08-2024)</b>
</p>

<h3>Features</h3>
<ul>
<li>Adding &quot;engine&quot; chen and chronology for plantuml [<a href="https://github.com/doxygen/doxygen/commit/6dc1c8a08b5241ce4102b8076a1e7f8d874905ff">view</a>]</li>
<li>Also allow backticks to be combined with emphasis in Markdown [<a href="https://github.com/doxygen/doxygen/commit/0576274fe178b0bc2e0165bae58f27b727f7ad01">view</a>]</li>
</ul>

<h3>Bug fixes</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/5661">#5661</a> Inheritance by non-documented classes shows the name of the undocumented class (Origin: bugzilla #738840) [<a href="https://github.com/doxygen/doxygen/commit/2091e71a7e8aab491dc075217175e55086dc6a12">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/5813">#5813</a> Protected inherited members not documented in derived class if protected functions in base class is not documented (Origin: bugzilla #751453) [<a href="https://github.com/doxygen/doxygen/commit/3849d3bc2f4b4af88cf2a2cc024a0dae0e8da3f5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/6473">#6473</a> Plantuml parse error [<a href="https://github.com/doxygen/doxygen/commit/349fb07fc3000383155eea63ca39ef583e07beee">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/52748bf8240000cb5735b9555515e9be19b7bc3a">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/7f5f3642b1638dbc53c4b0901bd6f985233d2802">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ea30051da9ba7e0cc25c8b8608daa0b1e0ae551c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/8256">#8256</a> Possible to get enum values in the Enumeration Type documentation [<a href="https://github.com/doxygen/doxygen/commit/f7664158dcdc7f6bd9c5e4fa3965d8c23b5049a7">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/fbf476d9b004943d6d61ecc4d247c83b34f08e2a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/8900">#8900</a> markdown: account for punctuation chars before emphasis [<a href="https://github.com/doxygen/doxygen/commit/561fbc0e4f19c09775475ab1333e688f87f78d1c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/8902">#8902</a> markdown: account for quotation marks before emphasis [<a href="https://github.com/doxygen/doxygen/commit/9e1ff0fdafaa0a8027d8809c90739e83a6a1912a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10606">#10606</a> include command via ALIASES does not work anymore (snippetdoc) [<a href="https://github.com/doxygen/doxygen/commit/7c2720160861bd3c0ee2ddfc88565d044aa20bb0">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/498de4112e4a396f947cec484940acdf628ac42e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10696">#10696</a> markdown: allow italicize parentheses [<a href="https://github.com/doxygen/doxygen/commit/c3fe3e593b35e7f7f0f580f600c1f2dd799f26a9">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10835">#10835</a> Two relates group generates warning: found multiple \relates, \relatesalso or \memberof commands in a comment block, using last definition [<a href="https://github.com/doxygen/doxygen/commit/a5f779113c13752081c40a5d58f09a978c0b7056">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10866">#10866</a> Exiting with exit code 1, no warnings, no errors when executed on GitHub Action [<a href="https://github.com/doxygen/doxygen/commit/bbcfa067f2e9eb5b142bfac223bd7afbc07bcd7a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10878">#10878</a> semi-colon after a formula causes error [<a href="https://github.com/doxygen/doxygen/commit/97c541440af150fc5f74063f5d5f3f57e81f87ff">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10897">#10897</a> Incorrect warning about Objective-C Category method not being documented [<a href="https://github.com/doxygen/doxygen/commit/05ef427b66a36ed9fc9ef02b823bc4d4b455b15c">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f450f019ccaab245b88b405f58ee5906ac8a0384">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10902">#10902</a> Commands defined via ALIASES tag have an extra space after value [<a href="https://github.com/doxygen/doxygen/commit/c0ad5570324693b803b2ca9527572eee36f56e67">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10902">#10902</a> Improve Markdown Support - blockquotes with special markers parse wrongly [<a href="https://github.com/doxygen/doxygen/commit/07f0fb74c6f175bd46308b7a61cd793993c7dd82">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/d73d1a4a5e0cafdbd15eaeffad4e82c3afb783b4">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10904">#10904</a> Topics page lists modules but no descriptions [<a href="https://github.com/doxygen/doxygen/commit/5748ddb020cb7df48197a975a05a39b506d93298">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10906">#10906</a> Unable to resolve reference to &#39;some/path/README.md&#39; for \ref command [<a href="https://github.com/doxygen/doxygen/commit/3beb50ee09a8bb64f94eab72a621163e69d78d95">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10907">#10907</a> Cite command creates case sensitivity on name [<a href="https://github.com/doxygen/doxygen/commit/b0fa2c53b445fd17260b4c16d71485d367843bdf">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10915">#10915</a> base class function in code block no longer linked if the code block contains a derived class definition calling the base class function in Doxygen 1.9.5 or later [<a href="https://github.com/doxygen/doxygen/commit/a6988ea47d4feafb63e18f5bcf5bbbcc656e7edc">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10922">#10922</a> Doxywizard Font Size Rendering Problem on 4k HiRes Monitors [<a href="https://github.com/doxygen/doxygen/commit/e7f41104e8e3df75cfd0e654481755f8412dfaea">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10928">#10928</a> Setting JAVACC_CHAR_TYPE [<a href="https://github.com/doxygen/doxygen/commit/2bc5d87ab91a709e1c0870acc2f0d4b7a0e3663f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10932">#10932</a> message: [generated]:8: warning: invalid argument for command &#39;\iline&#39; [<a href="https://github.com/doxygen/doxygen/commit/6be1731bca0f7ab3bba01a4d6b006ea80957a008">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10935">#10935</a> \snippet{doc} tag in Doxygen v1.11 adds incorrect paragraph with a break before snippet text [<a href="https://github.com/doxygen/doxygen/commit/38ee114a4563fd91ea547c262d120cf361b83039">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/3c96f815d5099659f5ccbbdd9e7b943f6354eed3">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/71f6cd64f94422b9cf02999bf17a1b5265b5d224">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/9c2cb77bbb8ab946330b17addbdb025824daa978">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/b3c28ea6cc7ee2f7ece9c3f7539ca01cc8b36e5f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10937">#10937</a> unexpected token TK_COMMAND_BS as the argument of `\ifile` [<a href="https://github.com/doxygen/doxygen/commit/69e24ff1291aae31c6fd411763dfbceef88998ab">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d09998b6c020a3b84e4f2c62cfb78a0f0680d280">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10949">#10949</a> Doxygen replaces # by :: [<a href="https://github.com/doxygen/doxygen/commit/80ded3edcade2486fa440bf1b70e35f5cefccb63">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10950">#10950</a> ASSERT(0) in docnode.cpp [<a href="https://github.com/doxygen/doxygen/commit/135d4c60f13eaf492606b4211d386e4b6a2b7680">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/45c4cdc46229dbaeb60647320f0a4c222041ec04">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/7673d22af1cea4d84bdc00164d9c9a25d693a714">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10951">#10951</a> Computing class inheritance relations -> segmentation fault when run against vulkan-hpp headers [<a href="https://github.com/doxygen/doxygen/commit/f03e2e10d1b1ee08c4fa4c610c5ee095a1d88c91">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10952">#10952</a> Bad namespace handling with &#39;using namespace::member&#39; syntax [<a href="https://github.com/doxygen/doxygen/commit/93ad49251c5f273a7a276e22ef2f8ef48afdd86c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10953">#10953</a> Java Package Lists does not include nested packages [<a href="https://github.com/doxygen/doxygen/commit/269d60d6057f67b587e491ef5b1336fd071b96a8">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10955">#10955</a> HTML comment affects output [<a href="https://github.com/doxygen/doxygen/commit/a2f2036e19c6d7ae11c56b4432b5a58e6a3d0915">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10956">#10956</a> Bad indent for list embedded in &lt;dd&gt; in man output [<a href="https://github.com/doxygen/doxygen/commit/43bdc959f8c2cb3265138cc6aa84d1dc1cd12304">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10959">#10959</a> Capability to render GitHub flavor Markdown comments [<a href="https://github.com/doxygen/doxygen/commit/80a2b54277fee0872a91a846da579abf4c8fd42c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10959">#10959</a> Support of special HTML comments [<a href="https://github.com/doxygen/doxygen/commit/7b5c452f275e028ac6f39b3b8e5381de38641ae9">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10960">#10960</a> Variadic macro expansion with comments [<a href="https://github.com/doxygen/doxygen/commit/78c3d1c34fcc3cda62035654e15cf71494c8006d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10962">#10962</a> std:: hypertext link if a class documents std() function [<a href="https://github.com/doxygen/doxygen/commit/9d42d5028389d4e8b8e3f254a6a77afb806af6ed">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f396c2f1b19b5f622a61b379e0a618deff91f977">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10964">#10964</a> C++ specialization: warning: explicit link request could not be resolved. [<a href="https://github.com/doxygen/doxygen/commit/3109eca2e89d93e340e7a176dce941e9e51cc69c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10969">#10969</a> \ref command does not respect &quot;text&quot; field for template classes in Doxygen 1.10.0 - trunk [<a href="https://github.com/doxygen/doxygen/commit/126087bf90cb15ea4afe7c0928bb2fc287a90d4c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10970">#10970</a> Improvement of end of paragraph detection [<a href="https://github.com/doxygen/doxygen/commit/300f73d9ecd6b010a160e5f8cef14ecbabab950b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10972">#10972</a> Derived class documentation no longer contains related functions using protected inheritance on Doxygen trunk [<a href="https://github.com/doxygen/doxygen/commit/657295e307c50e20c89a2bb00d45641868b4cc35">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10973">#10973</a> attribute is repeated twice in python [<a href="https://github.com/doxygen/doxygen/commit/81a986d5ff1c7a02e18d4ef3c109ad42db40ca34">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10977">#10977</a> dontinclude pattern find itself [<a href="https://github.com/doxygen/doxygen/commit/7888e99f6a1f7f97cae6429662fd895b150da39b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10987">#10987</a> Doxygen 1.11.0 for macOS reports &#39;sh: latex: command not found&#39; [<a href="https://github.com/doxygen/doxygen/commit/2800b82cef28238bd4f18198a7689add23debdbf">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e5129703e65f40fd4030d9d0c2f24561e4c3943e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10989">#10989</a> Incorrect linking in C++ code [<a href="https://github.com/doxygen/doxygen/commit/7302d537ff38aca2fac660a394bc1b3c48024a04">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10989">#10989</a> bison: error: &#39;%name-prefix&#39; and &#39;%define api.prefix&#39; cannot be used together [<a href="https://github.com/doxygen/doxygen/commit/3c3a867c83f174e4e91ebe6378cebb2e57f766d9">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10991">#10991</a> @snippetdoc not support multi lines [<a href="https://github.com/doxygen/doxygen/commit/2f3f627eacd78fcd01cbdbbded5a2463bf718925">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10994">#10994</a> Automatic link for macro defined in different header file no longer generated [<a href="https://github.com/doxygen/doxygen/commit/f833cebea5d1fda83f74e699b90c0254ea445a12">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10995">#10995</a> Build issue: Build picks up wrong git info [<a href="https://github.com/doxygen/doxygen/commit/c46f91c4cb474383c9bcd3776f68556e653d7925">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10997">#10997</a> How to tell Doxygen to process an #include within a class definition [<a href="https://github.com/doxygen/doxygen/commit/6ae0631c9792a343e21596b4a18c22afb88248dd">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/9c6b11330ef249d715ef84fa8a968c6aaadd5330">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11000">#11000</a> Cannot read properties of undefined (reading &#39;css&#39;) (resize.js:64) [<a href="https://github.com/doxygen/doxygen/commit/8629400756357b9f5eead70055fd2d441df0cb91">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11006">#11006</a> Unable to get property &#39;style&#39; of undefined or null reference [<a href="https://github.com/doxygen/doxygen/commit/4ff955064a0133f58f1055d52caed8c2c6eecfb8">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11010">#11010</a> Automatic link to typedef no longer generated if typedef declared twice [<a href="https://github.com/doxygen/doxygen/commit/a7179f016c974c38b3d1725dcfcb77924da8b182">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11013">#11013</a> compound.xsd is missing types for some elements [<a href="https://github.com/doxygen/doxygen/commit/eecba1e7be65e8be1c048bb3d3ea26dd551ae64e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11015">#11015</a> Faulty xml generated when markdown header is too deep [<a href="https://github.com/doxygen/doxygen/commit/d6641eba3772ddb6c88a97e857215199de781c84">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11015">#11015</a> In Doxygen 1.11.0, Include Graphs are not made for Java [<a href="https://github.com/doxygen/doxygen/commit/31faa546fdab216983d851adc68df2792c926557">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11016">#11016</a> Faulty xml generated when markdown header is too deep. [<a href="https://github.com/doxygen/doxygen/commit/14fc65f92184f8d788d5fb2723fb28e773dc4a5a">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/181c236005654556512e21e10145054baa9510e9">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/41539b110cb3d3793b08a643a87c146eef1bf721">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/eb388e8288add4be9e293495b044423ea930436a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11031">#11031</a> extra WS in @brief docu block break layout [<a href="https://github.com/doxygen/doxygen/commit/937520ca6187c984228c9fa58440569648632b49">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11033">#11033</a> Illegal command &#39;\ifile&#39; found as part of a title section [<a href="https://github.com/doxygen/doxygen/commit/59de6f9a0a5755cc26b057ea7d11b539522dbe9f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11036">#11036</a> The body of a macro entirely defined on 1 line gets sucked into the synopsis [<a href="https://github.com/doxygen/doxygen/commit/79bbf23a85b438988f903bbde27855e0d721a61b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/11056">#11056</a> HTML: Interactive SVG "viewHeight" is not defined [<a href="https://github.com/doxygen/doxygen/commit/827ea4caa66825d381ef6383fead6c987c3af293">view</a>]</li>
<li>Prevent extra scrollbar in HTML output when using Firefox [<a href="https://github.com/doxygen/doxygen/commit/1f20830f337697369ce9ca1b7c69371d7025e118">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/9152d391dc98515f38f2dfb32ce4f45b4f060d90">view</a>]</li>
<li>xmllint error in combination with addindex command [<a href="https://github.com/doxygen/doxygen/commit/2fa7f2a762ea95a7940e0acb37bc8ec29ade40f2">view</a>]</li>
<li>Files stayed in RTF directory [<a href="https://github.com/doxygen/doxygen/commit/dd56909b9ba16a64d6f562eb0836b8a65fc3b8e7">view</a>]</li>
<li>Remove temporary file [<a href="https://github.com/doxygen/doxygen/commit/8bb715af5ecade5aa39bde044d5da3a3efc5e791">view</a>]</li>
<li>Warning in case of `0.` as start of a list. [<a href="https://github.com/doxygen/doxygen/commit/c8a6d5b5229c1f47274ba0e51aa612afebbc124a">view</a>]</li>
<li>With the simple file ``` /// \file ``` and setting ``` GENERATE_RTF=YES ``` we get in the messages a number of times the message: ``` Style &#39;Heading6&#39; redefines \s5. ``` [<a href="https://github.com/doxygen/doxygen/commit/b3056dad73b6dc667ea7f752ffe4f1d05b4f8f0c">view</a>]</li>
<li>Python class variables type and initial value [<a href="https://github.com/doxygen/doxygen/commit/19ee614e6b2a8d8a10f54ea29e82b3a26589f93d">view</a>]</li>
<li>Fix buffer overflow in Markdown parser [<a href="https://github.com/doxygen/doxygen/commit/28b51a7f199d003b309e9dab52457759d5fd7691">view</a>]</li>
<li>Add code coloring for Fortran RANK statement [<a href="https://github.com/doxygen/doxygen/commit/58ff5c32d6da8c485b7819819a55eb474f36b03e">view</a>]</li>
<li>Fixed a number of coverity warnings [<a href="https://github.com/doxygen/doxygen/commit/6221f43137ebb2c3daa5cffae807105825612b8b">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/997d86f3bed2a0384561046a912c356867c53c37">view</a>]</li>
<li>[fix] multithreading issue with ModuleManager [<a href="https://github.com/doxygen/doxygen/commit/3192bd6992de727664f17107022aa36de3a0d9d3">view</a>]</li>
<li>fix: use correct option name with system sqlite3 [<a href="https://github.com/doxygen/doxygen/commit/c3a95560df0590cf2cb4ada788027f0e49cbf83b">view</a>]</li>
<li>Missing filename for tag warnings [<a href="https://github.com/doxygen/doxygen/commit/77167c18508230a7572b53fae686d46ca9fd6cda">view</a>]</li>
<li>Stop showing classes and concepts in namespace list [<a href="https://github.com/doxygen/doxygen/commit/d3fe389813501ac43e8fd60a580693f65dd888fb">view</a>]</li>
</ul>

<h3>Improved user feedback and documentation</h3>
<ul>
<li>Document all possible values of dir attribute in param command [<a
href="https://github.com/doxygen/doxygen/commit/a2ae848c6f63e25cd18c5717116997b2b1269726">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/810e3271d5bf9fcc891ad8125f750f7efea6225a">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/2706c0a318d4ecc9e0e383d79393b29f5d206e57">view</a>]</li>
<li>made row of asterisks same length to align them [<a href="https://github.com/doxygen/doxygen/commit/078e450eb19a8e673a80bda1f3ed1bcd0212f02f">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/87cfc27350fbfb74963223959630c5e7abf26a76">view</a>]</li>
<li>Spelling correction [<a href="https://github.com/doxygen/doxygen/commit/1bda21ebb7fd81c27f5ede87b3e643f2b9b56074">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/6c9316d7bebc7dcf19488ef6241df2029c1cec37">view</a>]</li>
<li>Redirecting link corrected [<a href="https://github.com/doxygen/doxygen/commit/134a8a5a53d0f298917cfaec8825ea4063c354c8">view</a>]</li>
<li>Debug output for layout file [<a href="https://github.com/doxygen/doxygen/commit/3712edd41a4edd3ab2828c089273a5b35b8c803d">view</a>]</li>
<li>Enable additional asserts in debug builds [<a href="https://github.com/doxygen/doxygen/commit/d35d3b432a9fe275d89e31ab521499241ac91afc">view</a>]</li>
<li>Setup for doxygen documentation [<a href="https://github.com/doxygen/doxygen/commit/50a1412c269d40b56b388e192133c01025fc4242">view</a>]</li>
</ul>

<h3>Refactoring and cleanup</h3>
<ul>
<li>Changed debug mode define to avoid linker issues on macOS [<a href="https://github.com/doxygen/doxygen/commit/2f0c6bc43122a2fdf6aafeb740fa2172ef517572">view</a>]</li>
<li>Selection possibility of values from an enum (class) by means of `is_any_of` [<a href="https://github.com/doxygen/doxygen/commit/a03e9dbe7e90a2034ffa909cdd242dbd09711f2a">view</a>]</li>
<li>Use CMake&#39;s FindIconv (see #10887) [<a href="https://github.com/doxygen/doxygen/commit/c575d19ec1cc59aedd1e71e9ce8b5fe5280aae23">view</a>]</li>
<li>Improve readability of codebase [<a href="https://github.com/doxygen/doxygen/commit/51347b145426e38d8d657dd2547aacbf20800441">view</a>]</li>
<li>Cleanup `Doxygen::terminating` [<a href="https://github.com/doxygen/doxygen/commit/88bd45454ab5eed77437559fe3af92f35d4a99de">view</a>]</li>
<li>Better type safety of enums [<a href="https://github.com/doxygen/doxygen/commit/2925d573447e039c3b64e458d19ef6d8d85badc2">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/3d00d655a31829983c1a2015632d9368187457d9">view</a>]</li>
<li>Refactoring: Remove mutable from DotNode&#39;s m_written member variable [<a href="https://github.com/doxygen/doxygen/commit/52f07cb004290ca4c9f2d45ecfca104d81025fff">view</a>]</li>
<li>Refactoring: Remove unneeded mutable for MemberDefImpl::m_annScope [<a href="https://github.com/doxygen/doxygen/commit/3642e497a76d36ec6c9b52ee1fdd4575a90247f1">view</a>]</li>
<li>Refactoring: reduce lock contention when adding cross references [<a href="https://github.com/doxygen/doxygen/commit/c6b3dae2b2224bdd310350a25ed46be288679100">view</a>]</li>
<li>Refactoring: reduce lock contention when reading code fragments [<a href="https://github.com/doxygen/doxygen/commit/dbfd3c196d6fd738ad6fe85564f72398b5418abf">view</a>]</li>
<li>Refactoring: reduce lock contention when writing tooltips [<a href="https://github.com/doxygen/doxygen/commit/1e461af2a071c9af6c6342c80ca6ef40bd096183">view</a>]</li>
<li>Refactoring: remove avoidable const_cast&#39;s [<a href="https://github.com/doxygen/doxygen/commit/8bafec5a4b95b5b508eea9104461cb168a25e3f4">view</a>]</li>
<li>Refactoring: remove mutable from DefinitionAliasImpl [<a href="https://github.com/doxygen/doxygen/commit/d1dbb7c69c5e33feec6edad506a628b4b0ffe310">view</a>]</li>
<li>Refactoring: remove unneeded const_cast&#39;s [<a href="https://github.com/doxygen/doxygen/commit/2027951394f6aad829809fbd3a2f9094f1a135d5">view</a>]</li>
<li>Refactoring: remove unused resolveAlias() method from ClassDef/ConceptDef [<a href="https://github.com/doxygen/doxygen/commit/8482547a596899783b6c1ed2714984e4d294ee30">view</a>]</li>
<li>Refactoring: Make MemberTypeList a class instead of enum with bit mask [<a href="https://github.com/doxygen/doxygen/commit/6c356988444d77aed2a045dd13e84a195d7a6433">view</a>]</li>
<li>Prepare CMakeLists.txt for using mutrace (Linux only) [<a href="https://github.com/doxygen/doxygen/commit/a5f36b21649285f2b1788bd22b8bb11b93fbb38c">view</a>]</li>
</ul>

<p>
\endhtmlonly

\section log_1_11 1.11 Series
\subsection log_1_11_0 Release 1.11.0
\htmlonly
<b>(release date 20-05-2024)</b>
</p>

<h3>Features</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/7590">#7589</a> Add Markdown style todo list [<a href="https://github.com/doxygen/doxygen/commit/d2f2a5f47662967ee9296ec385415fa5b8956c4c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10608">#10608</a> Add support for GitHub Markdown style alerts [<a href="https://github.com/doxygen/doxygen/commit/cfcc2ed4622131e3146921722fe69ee902cdea04">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10781">#10781</a> Add a &quot;Run&quot; menu item key-command to DoxyWizard [<a href="https://github.com/doxygen/doxygen/commit/946984c5ec6da09b3d38555c098587ed5baed23e">view</a>]</li>
<li>Added 'raise' and 'prefix' options to @include{doc} [<a href="https://github.com/doxygen/doxygen/commit/76f5a1e2f31b9748d9b4084dba7094d54504dd71">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/14ed636424fd4f0b4aba099c50a2a5f1e7df4c41">view</a>]</li>
<li>Support <tt>link</tt> /  <tt>endlink</tt> command in section title [<a href="https://github.com/doxygen/doxygen/commit/67d627950c85aaaa647cd9c3baa653b47b824b1f">view</a>]</li>
<li>Add support for @subparagraph and @subsubparagraph [<a href="https://github.com/doxygen/doxygen/commit/195cfeb27bee80dcba54e84b4494b8176ce9be00">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/987a8c387d00b1fa82fa789a336b287cf82ea329">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d4ce648cb268f6205b96bc0bea40e493fd9683a3">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/62d9e0fa62f0f1e2803f114c60bf349ddcb0279e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/0e74aa55b1ba21769736f625f7778b1c88f538aa">view</a>]</li>
<li>Translation updates for German/Greek/Polish/Portuguese/Dutch/Chinese [<a href="https://github.com/doxygen/doxygen/commit/2a714e703b09fc898958c28757e8d6ac2ffc261d">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/4cf225e96be5230fee95898c2d4218e6b7c4bc52">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/94fc49521d77c1a6c667e19b7c0c5070458ca916">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/c51eb81b89a00dcfd0508cc2bb6bc66dbe5f3dcd">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/79559332d26d4dd1500d4189ce601f287572181c">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/cb2d8a2dd374c6db76cae00ef9fd2fe2e7238185">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/1b33c74539341b2084ec2b8e9fd6f5da3f466b30">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ba76e7f64fadb39e3bb5ccda9db53819e96e0f9e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/dbcbe0cbda82ed3fe43e7dac6f70bd660929161b">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/24c34fb1e33a6941d0b374913bad954efd598f2b">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f6e03f36efcd649de159327b2b9c3cc558e5c1a9">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/752067fe15f9d27c3102728f65152a8fd0b47452">view</a>]</li>
<li><tt>doxyapp --locate</tt> list all overloads by including arguments [<a href="https://github.com/doxygen/doxygen/commit/ee70256f1904ffa402f399d645c18c5b57455199">view</a>]</li>
<li>Adding support for &quot;engine&quot; files for plantuml [<a href="https://github.com/doxygen/doxygen/commit/8336dd640d71c3045a2fca51964573db70b4bf90">view</a>]</li>
<li>Show emoji in HTML treeview [<a href="https://github.com/doxygen/doxygen/commit/d184092c1ba8d888b62fe5033555186d9ac2ae15">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/da2492757ec11b8628925deee594b51908080e4f">view</a>]</li>
<li>Add <tt>HTML_CODE_FOLDING</tt> possibility to CHM [<a href="https://github.com/doxygen/doxygen/commit/bd71b3349e395c8c771066fe106e4f5c37c8d261">view</a>]</li>
<li>Make <tt>HTML_CODE_FOLDING</tt> possible when <tt>DISABLE_INDEX=YES</tt> [<a href="https://github.com/doxygen/doxygen/commit/015affe29cc8f7decf8cd7b3306ebeb07b0bf1ab">view</a>]</li>
<li>Add doxyindexer and doxysearch installation [<a href="https://github.com/doxygen/doxygen/commit/3f3daacc5980fb6426452e1e824a59fbb4c0535f">view</a>]</li>
<li>cmake: always install man pages, only install for the binaries installed [<a href="https://github.com/doxygen/doxygen/commit/9ce7f45070acdfa239f9d23635c7439fc7e6880b">view</a>]</li>
<li>allow function ptr with <tt>INLINE_SIMPLE_STRUCTS</tt> [<a href="https://github.com/doxygen/doxygen/commit/60c5a10324197e96cc43a01eec3ced56c9c61ebf">view</a>]</li>
</ul>

<h3>Bug fixes</h3>
<ul>
<li>bug 783580 hhc.exe fail when a class inherit a class from an external project [<a href="https://github.com/doxygen/doxygen/commit/b9410889061ed6c80f0b7515ee1dc836fc1f9116">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/7948">#7948</a> &quot;ilinebr&quot; on every link broke my entire project [<a href="https://github.com/doxygen/doxygen/commit/9720bbe6dd3f3ad2c9f3e5b5f63657fe6ed25096">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10147">#10147</a> Generating pdf with LuaLateX [<a href="https://github.com/doxygen/doxygen/commit/a92522642d57c6c2319860b5cff2726251aec6e4">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ef7c10113b8eb5ecbd3d58b8f807fcb2de7037a5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10240">#10240</a> Multi-line doc not recognized in Python class field [<a href="https://github.com/doxygen/doxygen/commit/0572db7fd2619dfe76dee1f9e6ad91713486b367">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10504">#10504</a> A list inside an alias on a markdown page seems broken, it repeats the alias indefinitely [<a href="https://github.com/doxygen/doxygen/commit/f1a5c62f6a3a5efa43296638c36fe0c9d44a1acb">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f559aad116796feb70c7ed5ab002b66dc93bb24d">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/28dea735530ee30c29467e86ef3cbe05dd101f6a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10511">#10511</a> C# namespace separators are output in C++ style [<a href="https://github.com/doxygen/doxygen/commit/160929eb091dd7aa93935ef0aa0d7fd613f721bc">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10516">#10516</a>
<tt>@copybrief</tt> command does not take effect with 1.10.0 [<a href="https://github.com/doxygen/doxygen/commit/78b123d69fef4c888efb7d5e45945b17fb14beb3">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/2eb5efdff41b217f313b7d33da8d694f28712f23">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/3fe21aeabf93bccab248fffd7b33a48f8f34917f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10531">#10531</a> Incorrect MinGW link in Installation Instructions [<a href="https://github.com/doxygen/doxygen/commit/ed999794f745ea3a9f878b0c94beb94465fb0afe">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10544">#10544</a> Doxygen omits closing &#39;&gt;&#39; in method returning <tt>std::function&lt; void(A *) &gt;</tt> [<a href="https://github.com/doxygen/doxygen/commit/3422311271c02aca7a6bc656d62064cb48b15549">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10546">#10546</a> crash when clang enable [<a href="https://github.com/doxygen/doxygen/commit/9c1320d2277c3c97fa1fd38ebb2fbd93ccc2c156">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10552">#10552</a> thick space in latex formula causes error [<a href="https://github.com/doxygen/doxygen/commit/32157259252124e1efdbc64cde19c69b65eac7f2">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10559">#10559</a> \ref fails to resolve reference to a member of a struct nested in a class template specialization (C++) [<a href="https://github.com/doxygen/doxygen/commit/1cbe096cf917e924082aebcefcef0927be26a3c1">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/db523de7141a3f138c4f0a723249fd1f8816a54a">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/dc6385cd1325a473bfa58e4c08a30d6a362df30d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10567">#10567</a> Incorrectly closed markdown code block causes doxygen to forget about consecutive macro definitions [<a href="https://github.com/doxygen/doxygen/commit/7faa03866f929cfef8999b64ae3a44eab823cd37">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/98242a3e37219cb316d622482866d301bcb3e9d4">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10568">#10568</a> Navtree broken for namespace-links if namespace included in groups [<a href="https://github.com/doxygen/doxygen/commit/02f82f1b85837fe913454f37990e0ee4fe681c0f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10570">#10570</a> Error while documenting a C function with array as argument [<a href="https://github.com/doxygen/doxygen/commit/1a79a7abd8c8a288ca00c8e3b84c7b022dc97ce9">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10573">#10573</a> Behavior of quotes in markdown type of links [<a href="https://github.com/doxygen/doxygen/commit/4e9975d025f78849f97a31b8994ee5a8d2c02712">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10582">#10582</a> Problem matching arguments of functions (parameter matching on function pointers) [<a href="https://github.com/doxygen/doxygen/commit/dba1577ccebf918b3de5003314bb587447267de7">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10586">#10586</a> Backslash + quote mark causes doxygen not to generate documentation [<a href="https://github.com/doxygen/doxygen/commit/f60c42c6c34a3b2b1a1cbf3fcee542cd6ebda09c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10588">#10588</a> C++: Inherited virtual functions duplicated when using Base::func [<a href="https://github.com/doxygen/doxygen/commit/8bfcbec2f057bde732ffcfc276ff2c171982a9ef">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10604">#10604</a> External documented functions not found (functions generated by macros). [<a href="https://github.com/doxygen/doxygen/commit/77cff916c1edfc5de8667e4de683c5dca6764ae2">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10606">#10606</a> include command via ALIASES does not work anymore [<a href="https://github.com/doxygen/doxygen/commit/1099c80cb6d94718e8235a8a916f8c8b99b6fe23">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10618">#10618</a> C++ consteval functions need label [<a href="https://github.com/doxygen/doxygen/commit/fcc74a411227cc7ef4a3ee4efbf5eac44811d6c3">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10623">#10623</a> Unexpected &quot;code block&quot; formatting for detailed description of enum values using C++ style comments [<a href="https://github.com/doxygen/doxygen/commit/b307685457e0c37ae96797bb643dd22fe67019bf">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10631">#10631</a> Spurious .PP on Value headings in Macro Definition Documentation in man page [<a href="https://github.com/doxygen/doxygen/commit/6cf76360f0336f733eed6dbe58a175f16579779a">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/90be379ff4623dcc481d83f7cbc739e9bccac1c0">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10636">#10636</a> weird behavior with \hideinheritancegraph [<a href="https://github.com/doxygen/doxygen/commit/53f2225e93716929250952bba7b4780b160a5f87">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/0588c3220faef842ac8c3ebf63bc0fe4fe2a800c">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/41426a4de0d3ec66ee9686a4419207505d559ba6">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/63e322550cfcdf22363a42d9a0000f5128406c79">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10639">#10639</a> template instantiation generates warning: no matching class member found for [<a href="https://github.com/doxygen/doxygen/commit/88b17f4084214c054ae15dafa9df63f3051b3452">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10640">#10640</a> copydoc on template function causes warning: @copybrief or @copydoc target not found [<a href="https://github.com/doxygen/doxygen/commit/88dd1ae1b699557d942eeaabeffad3148a34fd54">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10642">#10642</a> Group titles not carried over into External Search [<a href="https://github.com/doxygen/doxygen/commit/1326fcfc2d1f5670b77c4627a175fa9736bb7a51">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/4b903555806de944e6fab3f6e721021043457f1f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10643">#10643</a> doxygen --version shows GIT-NOTFOUND [<a href="https://github.com/doxygen/doxygen/commit/d02a87c385428fb8f74a1cc06db6a20ee135afd2">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10655">#10655</a> Class Member List does not show friend operator parameter list [<a href="https://github.com/doxygen/doxygen/commit/2fdd9f655e937466dda04514e49f4eabc46fdc5c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10656">#10656</a> Protected types inherited documentation does not extend template instantiation past first level of inheritance [<a href="https://github.com/doxygen/doxygen/commit/e477e70f22efb00112fb40b75ffa972e744c63b6">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10666">#10666</a> Scrolling animation can get stuck into infinite loop [<a href="https://github.com/doxygen/doxygen/commit/edb8e9bde2611bac46b72105a11b1131e4b364ed">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10670">#10670</a> Parsing of python type annotations for member variables vs. static/class variables [<a href="https://github.com/doxygen/doxygen/commit/aa30dd9fdfae14567182a20f0cbda8b6464f7164">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10676">#10676</a> ALIAS for @endcode fails with warning: reached end of file while inside a &#39;code&#39; block! The command that should end the block seems to be missing! [<a href="https://github.com/doxygen/doxygen/commit/82eef3c445b338378229c81a6ebb90e41186f3e5">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/44dd448d12c2ea4f3f14133d0e03924dc14aa7ac">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10700">#10700</a> Include command in class documentation [<a href="https://github.com/doxygen/doxygen/commit/42d0f98dcbb309dcae08d1495786add326aaeb41">view</a>], and [<a href="https://github.com/doxygen/doxygen/commit/8bc3d9dc0b3f90c881bcc2db7652c7063039a6c5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10702">#10702</a> @include{doc} [<a href="https://github.com/doxygen/doxygen/commit/1f5e54c84f48d2c18b595c70a7872a6390220a5d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10703">#10703</a> Incorrect output for a C++ type containing a function pointer [<a href="https://github.com/doxygen/doxygen/commit/046e76aace1fbd0efe6d52460a0c744e2903a728">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10707">#10707</a> Issue with doxyfigcaption [<a href="https://github.com/doxygen/doxygen/commit/4b6f6f2001f7a36765aebabb3436d11118e2fdba">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10708">#10708</a> Incorrect parsing to xml of c++11 constructs in methods and functions [<a href="https://github.com/doxygen/doxygen/commit/b51d6d2dd2cb6a4945a3775a649e7eca8e120515">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10713">#10713</a> &quot;warning: explicit link request could not be resolved&quot; - but I didn&#39;t explicitly request a link [<a href="https://github.com/doxygen/doxygen/commit/9b513dbe8671df1d41720ada8f4f55b90f0843fe">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10717">#10717</a> Issue documenting multiple mixin classes with virtual inheritance [<a href="https://github.com/doxygen/doxygen/commit/fced0ead0d4ad3c5c9e6b994c22f7f0d85308773">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10719">#10719</a> &quot;unable to resolve reference to ... for \ref command&quot; in file comment - but it&#39;s right there [<a href="https://github.com/doxygen/doxygen/commit/e9ec0d0456ffd0188991d6f7540e60bd44df7d07">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10726">#10726</a> Error in processing Fortran file with character string returning function [<a href="https://github.com/doxygen/doxygen/commit/afd34bed002cd97c3853ab2e61dafbf1c6ed22bb">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f24f5b8d2dbec013b5bf48c19bcb3b5b54a76d9a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10740">#10740</a> Guide the user to doxygen_manual.log when building the manual PDF fails [<a href="https://github.com/doxygen/doxygen/commit/3b141a204c0517e29ef0fd1a668c01d1c65eb229">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10747">#10747</a> Alias replaces HTML brackets to HTML codes, e.g &quot;&lt;img src=...&quot; to &quot;&amp;lt;img src=&quot; [<a href="https://github.com/doxygen/doxygen/commit/008a92cdede87e7e9cd5397919939914e5ea33ba">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10754">#10754</a> GENERATE_HTMLHELP with \msc &amp; \endmsc is broken because of absolute paths in index.hhp since 1.9.3 [<a href="https://github.com/doxygen/doxygen/commit/8a04ecd50e409c42176f3122953f295d9c8819af">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10760">#10760</a> Inherited template typedef does not extend template instantiation [<a href="https://github.com/doxygen/doxygen/commit/eb110639dcc32804b59abdf0dcb343abde211b1e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10762">#10762</a> Macro define a class name to a different one causes extra whitespace to appear [<a href="https://github.com/doxygen/doxygen/commit/d5bc73a572688b6f2518b735602aeabc6915666d">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ee3de47f9526617b471fb595a57d5e956b72861c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10763">#10763</a> CREATE_SUBDIRS and C++20 modules: Doxygen doesn&#39;t create directories [<a href="https://github.com/doxygen/doxygen/commit/a2f32a4d4480405a1c8a54850a0478507504544d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10766">#10766</a> C# cref or \ref doesn&#39;t work without full namespace, even for classes in same namespace [<a href="https://github.com/doxygen/doxygen/commit/1b60d2528947d8a5444c547c09e04e507ba2a21e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10776">#10776</a>  Provide the ability to sort implemented/re-implemented list [<a href="https://github.com/doxygen/doxygen/commit/420b8f42319e535aff9041633dc60d999025ee1a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10790">#10790</a> Failed to build &quot;master&quot; branch [<a href="https://github.com/doxygen/doxygen/commit/2a7e195933d19c0be78d173b1d4f44b22f29cfc0">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10797">#10797</a> Spurious links generated for C++ keywords and template parameters [<a href="https://github.com/doxygen/doxygen/commit/0a7e798132bfae960ef0db4ad511abb1a97082c3">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10799">#10799</a> Explicit C# event mistaken for property [<a href="https://github.com/doxygen/doxygen/commit/494cbd5e373e4085b759cbdaba90846096dc5ea3">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10820">#10820</a> Snippet in same file to share docs [<a href="https://github.com/doxygen/doxygen/commit/52c75469cf914b8f729abb8b1488d3b741c56748">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10823">#10823</a> Inconsistencies on use of separating space before an [ or { in documentation and examples [<a href="https://github.com/doxygen/doxygen/commit/859368333a35e75de0d9cbb198a41bab363d124c">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/8b343570f85796dd3b6ac71dedcc9e25a8742000">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10827">#10827</a> member variable with type annotation and not used anywhere of python class is missed [<a href="https://github.com/doxygen/doxygen/commit/a1a68d7d749b94fd92fe6c27474bf42aaf772713">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/fb19cf7b928ff6269b5409c49b3fb3d906d778e0">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10828">#10828</a> Duplicate (double) documentation generated for friend function [<a href="https://github.com/doxygen/doxygen/commit/6b3a41ed35a067b409f9ff3725e7404cfe3f8480">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10838">#10838</a> not recognize &quot;*, &quot; in python [<a href="https://github.com/doxygen/doxygen/commit/fc2912fd7e107a29c3f0f8829e425a9afab4beed">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10846">#10846</a> Unable to document default argument on friend functions [<a href="https://github.com/doxygen/doxygen/commit/7d3791997194b316679ab47fe41bc22cda25ccc7">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/b505f2e43b9ebf4dbb09afd715a95ed915dbba1b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10847">#10847</a> typedef of unspecified type causes friend function documentation to be not documented [<a href="https://github.com/doxygen/doxygen/commit/ae89e918839e407af0723201af6dfe1755e5212d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10850">#10850</a> Incorrect links generated for cross-references with same name when using tagfiles [<a href="https://github.com/doxygen/doxygen/commit/9d6737abb075a36a4bcb5e3b82c927f5fd5d1e38">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10851">#10851</a> Unable to build documentation from &quot;master&quot; branch [<a href="https://github.com/doxygen/doxygen/commit/06db6960708f27ae434dd24d68bc1083fd68451d">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10858">#10858</a> Markdown: unordered list [<a href="https://github.com/doxygen/doxygen/commit/53f2415dbe19658a1de2c433c1a61148f970efb0">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/a9b60cae2c7b9648de479222647cf132d4c5c959">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e65420e00cf0c3f0b8c40bcd1c567ed3817e7bfc">view</a>], and [<a href="https://github.com/doxygen/doxygen/commit/f5944b171a3d6ad53ebdb1eb52c4153d8f444f0c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10859">#10859</a> More restrictive block-id character set in Doxygen &gt;= 1.10 [<a href="https://github.com/doxygen/doxygen/commit/92eca6d3ff2ea13d678ff126cb139b8db4c22b47">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10863">#10863</a> Multiple &lt;dd&gt; elements not rendered correctly [<a href="https://github.com/doxygen/doxygen/commit/39361c41ed2da377b1ccd8ea1c15696e84b60802">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/cc755656fed555140267a675db8786a0028d1bf5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10869">#10869</a> @ref links are incorrect when used in class methods body [<a href="https://github.com/doxygen/doxygen/commit/30696b4fe26d351385efbd3dbb40c7f5d3797cc2">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10873">#10873</a> Setting BUILTIN_STL_SUPPORT to YES causes function page to not list all classes with Doxygen 1.8.18 and later [<a href="https://github.com/doxygen/doxygen/commit/130e6ecc7bb83452505134149e7cb6953be877ea">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/637485646184a95e2dbb8cfae1009692bc45b4f2">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/78286a859ba922b4392c3f929af30a732e424ef1">view</a>]</li>
<li>Added missing words in doxygen's internal search [<a href="https://github.com/doxygen/doxygen/commit/d1252c530d4d9f5c02314e87a1c60601902f1d05">view</a>]</li>
<li>Adding sub links to doxygen_crawl file. [<a href="https://github.com/doxygen/doxygen/commit/36adbf5e1cb77674ee8ef8c3d846f4c0d8aab371">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ef6b7b6761a205837ff54595034a3ccd3e762e98">view</a>]</li>
<li>Always set <tt>Compiled file</tt> for HTML help compiler [<a href="https://github.com/doxygen/doxygen/commit/26a4ed1443faa6943fed3942a11daeb36e66e2c3">view</a>]</li>
<li>Block command in section title [<a href="https://github.com/doxygen/doxygen/commit/495352c9298b4810042c5705777e83f346eb59e1">view</a>]</li>
<li>Clang assisted parsing: correctly parse C++ headers as headers [<a href="https://github.com/doxygen/doxygen/commit/757f92834b5c6eb1fd789989011bd5f3b80215cb">view</a>]</li>
<li>Code folding didn&#39;t work when CLANG_ASSISTED_PARSING was enabled [<a href="https://github.com/doxygen/doxygen/commit/aa5d5c97c2c6c59f07864e96eff3a4abc894b2c8">view</a>]</li>
<li>Code sections in Perl documentation not expandable anymore [<a href="https://github.com/doxygen/doxygen/commit/06139cf7e25d85763b78c853edb1ec6cb98965c9">view</a>]</li>
<li>Don&#39;t import links from tags into crawl file [<a href="https://github.com/doxygen/doxygen/commit/cb7d2167955cd2115fed6f64b3a245a10173cfd4">view</a>]</li>
<li>Fix clang-assisted parsing with clang &gt;= 14 [<a href="https://github.com/doxygen/doxygen/commit/5ae308aea809ca1bb2af4b15222da52b6381fc44">view</a>]</li>
<li>Fix discarding of Slice types during file index generation. [<a href="https://github.com/doxygen/doxygen/commit/f09b3efc75afe0c4e199573681304f1f30c7b62b">view</a>]</li>
<li>Fix for LaTeX table overlapping footer issue [<a href="https://github.com/doxygen/doxygen/commit/a3fbf6bc8883b2d25528fc5757079bd479b6aef7">view</a>]</li>
<li>Fix invalid generated link when using Markdown GitHub style link to a section in another file [<a href="https://github.com/doxygen/doxygen/commit/7ef29b4066e14cf7b20b3d1048b850e852473dc9">view</a>]</li>
<li>Fix issue where ALIAS argument was split over multiple lines [<a href="https://github.com/doxygen/doxygen/commit/50d177669564432d8cfcab4d146bb19f024aec7e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e871926c2c6318d9b1cf591355f2898f92e0b122">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/0fcc5c4d78e12954ad89bd8cfd21bf4e22974591">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f7ec18adba4dbdd013a865eee5a2c4bd5d11a7e0">view</a>]</li>
<li>Fix potential crash if section titles contain unsupported markup [<a href="https://github.com/doxygen/doxygen/commit/22c2992a38061597de19349a4a0f3f14bfacd75a">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/448377d1ea768c8b05c45efceac5b6c6dab2e174">view</a>]</li>
<li>Fix potential crash processing VHDL code with multithreading enabled [<a href="https://github.com/doxygen/doxygen/commit/181b501cebab118c09c42ddbbd847899dde76735">view</a>]</li>
<li>Fix up C++20 module pseudo-keyword masking variables/members [<a href="https://github.com/doxygen/doxygen/commit/60391cbe267336b832ead7cc8cc001f5a5a0716a">view</a>]</li>
<li>Handling escaped commands inside <tt>\if</tt> [<a href="https://github.com/doxygen/doxygen/commit/b5ced327e1a5641e4d04eb68dc46f24e22d491bd">view</a>]</li>
<li>Handling of empty structural command [<a href="https://github.com/doxygen/doxygen/commit/e5f7357da5ada80b9a065436cb58b25e2bdb1067">view</a>]</li>
<li>Improved handling of C# <tt>&lt;code&gt;</tt> parts [<a href="https://github.com/doxygen/doxygen/commit/91f35c69922457ed0124e231a3cb6d674e67fff1">view</a>]</li>
<li>Incorrect &quot;More..&quot; with <tt>\file</tt> command [<a href="https://github.com/doxygen/doxygen/commit/faa117ca83ff8f19ef2ff4eaa6a754711acdefac">view</a>]</li>
<li>Incorrect handling command character in comment conversion [<a href="https://github.com/doxygen/doxygen/commit/a5ef5a0317e489fae5fd68b5494c39a28a7cf6c2">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e3930a33d1fa6f4575d421f15c9d1a6c0a1541d4">view</a>]</li>
<li>Incorrect handling of <tt>$</tt> in an objC string [<a href="https://github.com/doxygen/doxygen/commit/1ea0bc872a8b6aef55f3b503889fd3cca275d416">view</a>]</li>
<li>Incorrect line number and filename after <tt>\include{doc}</tt> and <tt>\snippet{doc}</tt> [<a href="https://github.com/doxygen/doxygen/commit/04b80bab37a174526f8cfecacffb91b42b89ea66">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/c5416162709e10ec5a8d5e158ddac014af8438de">view</a>]</li>
<li>Incorrect linecount in case of <tt>if</tt> command without condition [<a href="https://github.com/doxygen/doxygen/commit/e02e5ddf3b04dfbd941a596412c249f444edbdc1">view</a>]</li>
<li>Incorrect recognition of a lex rule pattern. [<a href="https://github.com/doxygen/doxygen/commit/57ff6e47fa981d10fbbeaa7dc4868b8dc85daad8">view</a>]</li>
<li>Incorrect searchdata.xml for mainpage in case of external search [<a href="https://github.com/doxygen/doxygen/commit/8e3f83552c2f45a37f7e582a80920dd6ebdb0f7c">view</a>]</li>
<li>Keep utf8 characters together in comments [<a href="https://github.com/doxygen/doxygen/commit/53614a3854b63e309141bc34c1851831bb013213">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f5fe9ebd1dbdd0860a1718f9819f43d0e7489736">view</a>]</li>
<li>No mention of citation reference in treeview [<a href="https://github.com/doxygen/doxygen/commit/f5009d672ee631b3082babcfd6c183392f2a0e2d">view</a>]</li>
<li>Parameter names were shown at wrong place for function pointer types [<a href="https://github.com/doxygen/doxygen/commit/61b1efea0215919728e6d2cc2f846bc44952b4c5">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/9a9fff28c9ecf451f8538eb81594d3dabd1d9ee0">view</a>]</li>
<li>QT help problems with tag files [<a href="https://github.com/doxygen/doxygen/commit/c42b99e85ec1950604da772a91ac379cb5a42674">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/c9ce08db0bd84426a6f150348777badcac525da3">view</a>]</li>
<li>Single line snippet didn&#39;t show [<a href="https://github.com/doxygen/doxygen/commit/c80d345defd9b8e53a377dec3f1b7112491731ba">view</a>]</li>
<li>Support unicode characters in referenced file names [<a href="https://github.com/doxygen/doxygen/commit/9acb711f9ee9f5c45400d44e9bb0530c11cb28f5">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/c6fa06f86ac72a557f56e1083b7bc8e844107d93">view</a>]</li>
<li>Warning with ingroup command at end of alias [<a href="https://github.com/doxygen/doxygen/commit/04f17aff126f55ef864139b7d26ac07012544df4">view</a>]</li>
<li>Warning for Fortran on <tt>\code</tt> command [<a href="https://github.com/doxygen/doxygen/commit/3857210386c8ca2c5939d09a45a94611ce2fc959">view</a>]</li>
<li>Warnings due to multiple &quot;sectioning&quot; commands inside an <tt>\if</tt> type construct [<a href="https://github.com/doxygen/doxygen/commit/36f35b5202e196855e2969db1ef2901f51856bdb">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/effa6d95f726232a709a13fb4e4e075bc0a7a629">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/bd373c91cf7a05ce496f92e405ee37da8c1378e7">view</a>]</li>
<li>When having markdown code like: ~~~ [<a href="https://github.com/doxygen/doxygen/commit/a870cd4695aa98788022ccb8d0c0c8e507421572">view</a>]</li>
<li>fix for clang-assisted parsing [<a href="https://github.com/doxygen/doxygen/commit/f163479d8332f3e52165bc66b9c4d994f01687d0">view</a>]</li>
<li>latexgen: fix doxy*section references [<a href="https://github.com/doxygen/doxygen/commit/a29377bbd597812560e2ef77d63a1b5d9e2794a8">view</a>]</li>
<li>perlmod: show enum type [<a href="https://github.com/doxygen/doxygen/commit/fc56fe30c4c567a2b8b5ec429c71da3d2df8469f">view</a>]</li>
</ul>

<h3>Improved user feedback and documentation</h3>
<ul>
<li>Added missing possible <tt>type</tt>s in the external search description [<a href="https://github.com/doxygen/doxygen/commit/4d80cf9b72abd9de5c9d130bb4d465e3fbafb9a3">view</a>]</li>
<li>Avoid overwriting the member definition when using @fn, @var and friends [<a href="https://github.com/doxygen/doxygen/commit/1d674af1933d88038d469271df60bf6dee5a947d">view</a>]</li>
<li>Better warning when in Fortran a comment block is not closed [<a href="https://github.com/doxygen/doxygen/commit/841deb4087fdba3d4a4be4153e05709dfecf7da7">view</a>]</li>
<li>Check validity of Doxyfile.xml against all possible names of the settings [<a href="https://github.com/doxygen/doxygen/commit/13c2b386c48fcf5fa7230cd63560e2e9b7660553">view</a>]</li>
<li>Improve warnings [<a href="https://github.com/doxygen/doxygen/commit/30cd09da3c804af119c1baa6c8742f176d0df8fa">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/cde7fd6531ed1a897509632ac371f5954bbbdbef">view</a>]</li>
<li>Link missing in documentation of <tt>INPUT_FILE_ENCODING</tt> [<a href="https://github.com/doxygen/doxygen/commit/872b1fcb3bc6502590f35b3a43a4c80c0501ba1e">view</a>]</li>
<li>Minor documentation updates [<a href="https://github.com/doxygen/doxygen/commit/33ca19c620c604c2d17951ea8baa19c830a441f8">view</a>]</li>
<li>Small documentation correction [<a href="https://github.com/doxygen/doxygen/commit/8c4b4b3ecb5c960f0c9de3e31456f648bc6e2cc8">view</a>]</li>
<li>Small improvements internal documentation [<a href="https://github.com/doxygen/doxygen/commit/f144f1641faa7c0919d21881e4726799bc4d281e">view</a>]</li>
</ul>

<h3>Refactoring and cleanup</h3>
<ul>
<li>Added nullptr check to catch programming errors [<a href="https://github.com/doxygen/doxygen/commit/0c57f0116b94fafbb7b6c233246c3d4ea2823a50">view</a>]</li>
<li>Consistency for use of <tt>&lt;code&gt;</tt> [<a href="https://github.com/doxygen/doxygen/commit/c38f288b246a4360ffa833c32d1b9cc790c6fa7a">view</a>]</li>
<li>Consistency of argument of <tt>trDocumentation</tt> [<a href="https://github.com/doxygen/doxygen/commit/c4d5296f3dc3a60a93713ce4f451173cdb89e920">view</a>]</li>
<li>Consistency of arguments with other translator functions [<a href="https://github.com/doxygen/doxygen/commit/bc8984c23df41e8ee400e33a2e7a71b3fc6b27c8">view</a>]</li>
<li>Flexibility for trDocumentation  in respect to the ProjectName [<a href="https://github.com/doxygen/doxygen/commit/b6a6eaef0d810477f128cc404ffe02c6e2297303">view</a>]</li>
<li>Make <tt>SrcLangExt</tt> an <tt>enum class</tt> [<a href="https://github.com/doxygen/doxygen/commit/0d4551b78a0d181e0710af10f7beb03855862a6f">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/45a39d52ff89c09035cc6f3a44d3fb34440c20a5">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/8a32a9a687db330ee2d48d4325d13595acee3f04">view</a>]</li>
<li>Performance optimizations for functions on the critical path [<a href="https://github.com/doxygen/doxygen/commit/a3285f73c8a0a865389e8cfec5fccbd8b0038dfe">view</a>]</li>
<li>Refactor <tt>contexts_t</tt> and <tt>contexts</tt>  in <tt>htmldocvisitor.cpp</tt> [<a href="https://github.com/doxygen/doxygen/commit/962b1ce7eed80062cd3b32c54e0d3718d11554c9">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/a0496bd09578c85f8e98c6db22d9fac0c34f5360">view</a>]</li>
<li>Refactor implementation [<a href="https://github.com/doxygen/doxygen/commit/08f516c3943045752ffa05d4e9143d0d869fb963">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ac33da1c5ecddf4b7a6615bcac30ed3b83d239ca">view</a>]</li>
<li>Refactoring: Added ENABLE_CLANG_TIDY option and added rule of 0 or rule of 5 special members [<a href="https://github.com/doxygen/doxygen/commit/aa55cc88df4d63425946725357b4b93e0aafedbf">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d3e5408a7e0af25fbed7bfc125e923a66d30ee08">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/8945fa57fbab25f26408da4bf35575ed603e0d35">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/7b4b1246f4bfa8a09582036286f7b5db411c0e24">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/4fcc73dc6c2eb6a6d5fe335ad17f81e097b0910a">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/90b0fd7312db9096e8cfabc744e1618ba50776d0">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/fe167ab6a2716e24b329053682b2b05be4a60690">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/a77ce6f9fd2933fdfa7faa99880dbef98af1ab4d">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/b9cb1df78102b0390488082d93283c0aa49b96b6">view</a>]</li> <li>Cleanup unreachable code [<a href="https://github.com/doxygen/doxygen/commit/ea75752a92c9843f1d9ce65f4b1907d68a3e78d8">view</a>]</li>
<li>Refactoring: Avoid creating QCString from 0 pointer. [<a href="https://github.com/doxygen/doxygen/commit/ca615835cc471235936a1df97b91768d05d2b76e">view</a>]</li>
<li>Refactoring: Fixing warnings like: <tt>Use the &quot;nullptr&quot; literal</tt> [<a href="https://github.com/doxygen/doxygen/commit/6b70d803fea8771c03e6479d968a8d7c497573a8">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/0b3382f4ea7a62557ebd47c210b4a465565261f9">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/2447842733ccb673b1eb20aee868f8d55b6fe7a0">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/7059075d72d6f9668151387e8c67d148e9910567">view</a>]</li>
<li>Refactoring: QCString::resize [<a href="https://github.com/doxygen/doxygen/commit/97618c3a507ba897b1b092e95723095a7fa168cb">view</a>]</li>
<li>Refactoring: Remove use of GrowBuf in markdown.cpp [<a href="https://github.com/doxygen/doxygen/commit/181d958c5e15d21dc0818adc1a649f85448685bb">view</a>]</li>
<li>Refactoring: Replace QCString::isNull() by QCString::isEmpty() [<a href="https://github.com/doxygen/doxygen/commit/11d8899668d52dc5c6a7ec78e4229201daa09b4b">view</a>]</li>
<li>Refactoring: add missing overrides [<a href="https://github.com/doxygen/doxygen/commit/de13f4f5d4f5b52ee0e5fa11d1191183024ea7ad">view</a>]</li>
<li>Refactoring: make QCString::length() return size_t type [<a href="https://github.com/doxygen/doxygen/commit/3a40ec2df7a69df3f8a66ea7d850a8617504d46d">view</a>]</li>
<li>Refactoring: make sure all variables are initialized [<a href="https://github.com/doxygen/doxygen/commit/1af459c0c910ab0e6b729e11db0c3be6a35c686f">view</a>]</li>
<li>Refactoring: move from Dispatcher back to inheritance for IndexIntf [<a href="https://github.com/doxygen/doxygen/commit/37304056d9f70881395a42178bb59b368dec0342">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/d50c74e4e11476d9389042959b15b9fde6d99359">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e2af21e3c146942576b2f305bd8353a0c943644c">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/be12218ae5226d80420126822cef2de55af59874">view</a>]</li>
<li>Refactoring: replace BufStr with normal std::string [<a href="https://github.com/doxygen/doxygen/commit/9312abbf9a591018ba614fa5f255d1f748da51ee">view</a>]</li>
<li>Refactoring: replace push by emplace where temporaries are passed [<a href="https://github.com/doxygen/doxygen/commit/2b8a053e0a75f0928f71c89ac51dffd443d965df">view</a>]</li>
<li>Refactoring: replace std::set by std::unordered_set when order is not important [<a href="https://github.com/doxygen/doxygen/commit/69886ba2d6a8a992958f9774cc3634d6a6104483">view</a>]</li>
<li>Refactoring: replace ugly use of malloc by std::string [<a href="https://github.com/doxygen/doxygen/commit/6fd3797e986b15efa0187d19e6708e6e75fcdd9b">view</a>]</li>
<li>Refactoring: replaced 0 with nullptr in more places [<a href="https://github.com/doxygen/doxygen/commit/096b52b8b72fda98332ff3cbb33385fc84f0610d">view</a>]</li>
<li>Refactoring: use std::string and std::string_view [<a href="https://github.com/doxygen/doxygen/commit/1fb93bbf8b1a21619872946ee746ae44aefe9b92">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/26a780acb6d45c103acf52b3ded741774ef2af50">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f4e37514325abe4aa6aeecbc96e9e3e027885aef">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/9e329f193d015a61e4d6666cb7d2d4fa7e5154b0">view</a>]</li>
<li>Removing double logic [<a href="https://github.com/doxygen/doxygen/commit/3c7d39847d7f9660ea1ebed7371945fecfffde21">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/4955acdb8b9a6b4ab8c14a7b5ceaa89152d1a617">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/cd38a1f802249ecc57bcb4aed07707cf2d90df6d">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/80cd85fd9f0af64205ec5a447642e20d9eebd410">view</a>]</li>
<li>Replace 0 terminated array by std::vector [<a href="https://github.com/doxygen/doxygen/commit/cc40991905133c4e4b5c99d843308a71730bd289">view</a>]</li>
<li>Simplify constructors for output generators [<a href="https://github.com/doxygen/doxygen/commit/45f7b46c513b91f125ba92ce3f504236571e4ea4">view</a>]</li>
<li>swap parameter order of cmdName and cmdChar [<a href="https://github.com/doxygen/doxygen/commit/0dd5e8d03c7e9790a131d2509063bc8aa8a1187f">view</a>]</li>
</ul>

<p>
\endhtmlonly

\section log_1_10 1.10 Series
\subsection log_1_10_0 Release 1.10.0
\htmlonly
<b>(release date 25-12-2023)</b>
</p>

<h3>Bug fixes</h3>
<ul>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/4280">#4280</a> bug_651081 Inconsistency between @page and @subpage parsing [<a href="https://github.com/doxygen/doxygen/commit/bcabbda664cf3f5c29a778cae4bdb01717453b60">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/5767">#5767</a> bug_746577 Problem locating unresolvable @ref in case of a MSC image [<a href="https://github.com/doxygen/doxygen/commit/2db2085abdaa535d4c5eb729d64a82667d43435c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/6335">#6335</a> bug 793570 Keep the original code indentation [<a href="https://github.com/doxygen/doxygen/commit/14cab78889049e29cec0c2d25133698d43d6db5a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/6996">#6996</a> Missing definitions for BUILTIN_STL_SUPPORT [<a href="https://github.com/doxygen/doxygen/commit/de15714552ad3ad03909f39c02bd2e4cad77c861">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/7688">#7688</a> Include markdown file in mainpage.dox [<a href="https://github.com/doxygen/doxygen/commit/2f1faeee464a162d3a7ef1219a3fca3358c7f918">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/3d2b69b2ab29e92ed9cad6e37b7cad393fb8a87a">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/7780d514980a97cfc2a5f21761ed7da338466350">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/e8c5f5596fc73ee329dec03f0c8ebdd8247a10dd">view</a>]
, [<a href="https://github.com/doxygen/doxygen/commit/66ad8894add190f2e7672f61ed9c9f5837900a74">view</a>]
, [<a href="https://github.com/doxygen/doxygen/commit/b505016f4d0c4f819d862fa7174ff74a2846a92c">view</a>]
, [<a href="https://github.com/doxygen/doxygen/commit/b6018c30bcf010fd709aaeec18f9a385b0de5ecc">view</a>]
, [<a href="https://github.com/doxygen/doxygen/commit/1bf6b7fbc8904735f5c348772f4dd00b21113e14">view</a>]
, [<a href="https://github.com/doxygen/doxygen/commit/408a727bc92b8687a9587d94839569274439fa07">view</a>]
, and [<a href="https://github.com/doxygen/doxygen/commit/4b24900f0c1a3aca121164ead1421c4ff91b4a96">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10263">#10263</a> please add a use_sys_sqlite3 config option [<a href="https://github.com/doxygen/doxygen/commit/28609fecd41d885e54fa170e499a0e5b55def2c2">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10282">#10282</a> Infinite loop when parsing a simple header file [<a href="https://github.com/doxygen/doxygen/commit/83116d0c0d35797d23e1bc09a1713833b1fee771">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10278">#10278</a> Weird behavior [<a href="https://github.com/doxygen/doxygen/commit/13c270eedb4128251a1ca2efbe4d4d319c6d90ec">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10295">#10295</a> typedef of a function incorrectly output in HTML and PDF [<a href="https://github.com/doxygen/doxygen/commit/c29b0e69b907ec1ae2bdee01498fdb46cb8a6989">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10304">#10304</a> Cannot copydoc operator* [<a href="https://github.com/doxygen/doxygen/commit/bbb1bb0a41a9c95e517bf14b1ab805e7599f406b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10306">#10306</a> Some intra-page links include the HTML file name [<a href="https://github.com/doxygen/doxygen/commit/d1395aacc6ab8d02910a649d114f23a5142f511a">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10313">#10313</a> [BUG] error when handle types defined with lambda [<a href="https://github.com/doxygen/doxygen/commit/f23bba320bdc04996849bd8a369414f4a7950a0d">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/a928976086e6d9038b206ea12d42751204fa1cc0">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10324">#10324</a> [C#] Using expression-bodied functions with generics generates wrong type constraints. [<a href="https://github.com/doxygen/doxygen/commit/adc18248d735d4900e3e989610183ca7066fa817">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10334">#10334</a>: Multi line initialization for using [<a href="https://github.com/doxygen/doxygen/commit/73874def7998419647a6281ec4b39c4261d4d18f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10343">#10343</a> Missing &#39;Referenced by&#39; links for macros (C/C++) [<a href="https://github.com/doxygen/doxygen/commit/fd79b23ffdb359135d99581cf5fde9522cd49e65">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10344">#10344</a> &quot;param ?callable $callback&quot; misinterpreted as undocumented parameter [<a href="https://github.com/doxygen/doxygen/commit/e8b3c5bd7cb9d0142786fda66856b759322a0cd5">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10349">#10349</a> Autolinks to functions point to the struct with the same name [<a href="https://github.com/doxygen/doxygen/commit/0dd71c6235993ed91a8179fca597ac78ac30d8ca">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/83739289f715bc2f2cec73eca22fa6a29b29cdab">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10350">#10350</a> INLINE_GROUPED_CLASSES=YES fails with GROUP_NESTED_COMPOUNDS=NO [<a href="https://github.com/doxygen/doxygen/commit/32e623896bd596d210f4638098e63f256e95d4bf">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10351">#10351</a> Search subpart research after a search [<a href="https://github.com/doxygen/doxygen/commit/63a5b5a13f45524de30291d7bb149bf742ef39d0">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10353">#10353</a> Doxygen cannot handle TYPEDEF after PlantUML [<a href="https://github.com/doxygen/doxygen/commit/c4353ee5d1adb9e12c3f03eee7cc20e67ee11ec9">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10354">#10354</a> Make polyfill optional, at least. [<a href="https://github.com/doxygen/doxygen/commit/41e3eeed6d7c34d14f072cbfea5fe418fc65a760">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10356">#10356</a> CopyDoc target is parsed incorrectly [<a href="https://github.com/doxygen/doxygen/commit/1e2c9ecfb40a1a80113aead22b6fb6cc42a97e7e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10369">#10369</a> Found &#39;;&#39; while parsing initializer list! for member function pointer [<a href="https://github.com/doxygen/doxygen/commit/d9d5e0774da7a63ab554a4cb2f004078b41167b4">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10377">#10377</a> Wrong syntax for output of non-C++ deprecation lists for enum members [<a href="https://github.com/doxygen/doxygen/commit/86a92e0063df3f60c6b5141ae158989896a8ecf1">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10388">#10388</a> Can&#39;t link to a tagfile page in DoxygenLayout? [<a href="https://github.com/doxygen/doxygen/commit/f6fb142ae19b65bb5ab41061358e17afbe6e3659">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10392">#10392</a> GENERATE_XML generates XML files with erroneous &lt;/codeline&gt;s in &lt;programlisting&gt; [<a href="https://github.com/doxygen/doxygen/commit/70d8358cfeb59ba1bd8a18a45a890fcb7eae4aff">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10395">#10395</a> Doxygen link generation does not find concepts unless complete path is specified [<a href="https://github.com/doxygen/doxygen/commit/52811731a38d6fe734364dc2f933c667744ea1b2">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10404">#10404</a> Wrong type for overloaded template method in tagfile [<a href="https://github.com/doxygen/doxygen/commit/234ebc2c45fe95972d94857c1c35b52aa981a667">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10414">#10414</a> Report warning with wrong file and wrong line number [<a href="https://github.com/doxygen/doxygen/commit/de8b7f6212dd0d71225ff7b2d6b3ba982748bd4a">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/4729e92540dbf6eb971fbec73f8fc855bb84a0b7">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/5c2b305183780b027f858fe597c416b794ad61de">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10417">#10417</a> Search bar not working [<a href="https://github.com/doxygen/doxygen/commit/92934836e84a15e849223e0b5af66aace16561ca">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10447">#10447</a> Add explicit links to static pages [<a href="https://github.com/doxygen/doxygen/commit/9dcba09a681ef5438f18e5c15bc327e4e5cad408">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10449">#10449</a> \include{doc} ignores EXAMPLE_PATH [<a href="https://github.com/doxygen/doxygen/commit/36735cd707f145876e82dcb971b675e5f4256df7">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/627ee6dcb36da420995b3d142577482684008c4e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/9983553eda374ee29252a3c6407768a29a573b60">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/f1cb5def274623ac28b2905fbc7f79f3cdf32f44">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10460">#10460</a> <tt>\hideinheritancegraph</tt> not working [<a href="https://github.com/doxygen/doxygen/commit/dca8cf9d36473d82958bca1df1e681340bc4de02">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10466">#10466</a> Markdown: inline statements in page headings are escaped and render as text [<a href="https://github.com/doxygen/doxygen/commit/ac3e545de2865602154094ddfdd664fe5269af2e">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10472">#10472</a> Symbols within a namespace after a heavily #ifdef class are omitted in HTML output [<a href="https://github.com/doxygen/doxygen/commit/1b76ace319431d950ce5e7ba5260e7315c8be33f">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10473">#10473</a> doxygen hangs forever after &quot;Building directory list...&quot; [<a href="https://github.com/doxygen/doxygen/commit/1fc93832465edc56c80285cf8d370fc6e11e242e">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/7fc4bce2bfa8c76b8ca4f82bc1e64ea3ad0d0315">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/cb3c5423244b2b6fcc5ee67651df38ad03af0dfd">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10474">#10474</a> doxygen fails to render /some/ Markdown links to local files with relative path [<a href="https://github.com/doxygen/doxygen/commit/3917c136c714e53679992749b5ccaeb8d70622f8">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10475">#10475</a> doxygen does not correctly render link content in Markdown file [<a href="https://github.com/doxygen/doxygen/commit/351dba64b602b2334f3d7400af1088c1be62aa99">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10485">#10485</a> Parsing error with C++20 requires clause if at the end of the function declaration [<a href="https://github.com/doxygen/doxygen/commit/d15c2c3417a597c11c01732ea076cb70fa113828">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10498">#10498</a> <tt>#cmakedefine01</tt> macros are not documented [<a href="https://github.com/doxygen/doxygen/commit/333126281c8512acbfa694f5f2d0deb0d7556cde">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/998ea0e6153189ebc106f2c097add7a130f0672c">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10499">#10499</a> Child class with template parameter named differently than parent: unqualified base class in tagfile [<a href="https://github.com/doxygen/doxygen/commit/1fa3e7008af3329681cd3d5cdbb93d764901e43b">view</a>]</li>
<li>issue <a href="https://github.com/doxygen/doxygen/issues/10506">#10506</a> Keyword-like forms of logical operators are not supported in C++ requires clause [<a href="https://github.com/doxygen/doxygen/commit/692b0ae3eabc9a93fb7a17035308ff430ff3e94d">view</a>]</li>
<li>Add missing C++20 module file extension [<a href="https://github.com/doxygen/doxygen/commit/0268ceef25f428a053eca67e02e084323a4ef4b7">view</a>]</li>
<li>Added missing start of paragraph after code fragment [<a href="https://github.com/doxygen/doxygen/commit/7087e782d448d78ec256fa605518ff3a3a5a524e">view</a>]</li>
<li>Content did not scroll when move between anchors [<a href="https://github.com/doxygen/doxygen/commit/441e1ce0447748c36a2a8a409d1bf2125b13e82a">view</a>]</li>
<li>Correcting count for volatile when checking redundant white space [<a href="https://github.com/doxygen/doxygen/commit/fd97948879cddcef1d9e4321b1b3861651e7cbf8">view</a>]</li>
<li>Do not lowercase search titles for code and capitalize on page terms [<a href="https://github.com/doxygen/doxygen/commit/a6bf394b39945a33cf2d020cc3e696f4059ec2ef">view</a>]</li>
<li>Escape characters in section headers [<a href="https://github.com/doxygen/doxygen/commit/070e1682a9b7aafab0795cc5bf2cb5dbc96e790b">view</a>]</li>
<li>File settings with just a directory are silently ignored [<a href="https://github.com/doxygen/doxygen/commit/e73e0f92124f47c77ea5b9d6d8c0dd49f6a7bbf1">view</a>]</li>
<li>Fix @enum command with @ingroup [<a href="https://github.com/doxygen/doxygen/commit/3b360dfcf965812b281386ecf9c0cc7b3f7cc18c">view</a>]</li>
<li>Fix HTML rendering issue. [<a href="https://github.com/doxygen/doxygen/commit/e34f745097e4c979de66f84a146692e02f224be2">view</a>]</li>
<li>Fix dynamic loading of the side panel [<a href="https://github.com/doxygen/doxygen/commit/17a3994fda04fdb303b40dff97900efbc89a65dd">view</a>]</li>
<li>Fix for source browser backlinks [<a href="https://github.com/doxygen/doxygen/commit/3fe542cae77466cf8326cd9c6066866bacd4bf28">view</a>]</li>
<li>Fix indexing words with non-ASCII letters [<a href="https://github.com/doxygen/doxygen/commit/77dfe6dedd0851aee0b9912ed3fac894535355d2">view</a>]</li>
<li>Fix non-reproducible search index [<a href="https://github.com/doxygen/doxygen/commit/6540585b19c1d6fb76c45993382ec8886beac08d">view</a>]</li>
<li>Fixed HTML output issue for (nested) comments inside code blocks [<a href="https://github.com/doxygen/doxygen/commit/307954cbc489ae7d284a979e41d8939657988aee">view</a>]</li>
<li>Fixed code folding issue for macro ending with a comment block [<a href="https://github.com/doxygen/doxygen/commit/719dbc315c00b0ab16220e139765a1e0ee71026f">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/a3cba2660e0464c4a584377ccd80f5830add7277">view</a>]</li>
<li>Fixed discarding of Slice types during namespace dox generation. [<a href="https://github.com/doxygen/doxygen/commit/baa3908714f2c5663bc4ddce93dfdad22bbdabe1">view</a>]</li>
<li>Fixed issue generating the manual due to missing escapes [<a href="https://github.com/doxygen/doxygen/commit/aae3a183448bc5eb28ca3bedd6366c12d1f56dd3">view</a>]</li>
<li>Fixed issue showing wrong inline source fragment for multi-line macros [<a href="https://github.com/doxygen/doxygen/commit/2b8fea9c5d1b1560ad344e0e057799935f331af4">view</a>]</li>
<li>Fixed issue with codefragments with TrimLeft [<a href="https://github.com/doxygen/doxygen/commit/5838ad8ebbda10afedf21ae9ebad2f7be1406c36">view</a>]</li>
<li>Fixed regression handling <tt>using A = B&lt;y&gt;x&gt;;</tt> like constructs [<a href="https://github.com/doxygen/doxygen/commit/f803576a6c0e81014fb5e1c5bcae0b2ea1ed0c68">view</a>]</li>
<li>Handling comment in macro name [<a href="https://github.com/doxygen/doxygen/commit/82f699390c9879b496eb09b8fdd69ff89d024961">view</a>]</li>
<li>Handling of <tt>import</tt> in non cpp files [<a href="https://github.com/doxygen/doxygen/commit/d857dae9b727a24c85dbbf781d6f7d7a18492696">view</a>]</li>
<li>Handling of incorrect HTML end comment [<a href="https://github.com/doxygen/doxygen/commit/555a1395890ec34e2d16593ed9ce31fb4ca44c92">view</a>]</li>
<li>Handling of protection of the Java enum constructs. [<a href="https://github.com/doxygen/doxygen/commit/6f550c665ba903d6de0e687306e05c7916104c76">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/86e2f960059b48d7e489db1486370e957ea11fe6">view</a>]</li>
<li>Handling of relative include path in code output processor [<a href="https://github.com/doxygen/doxygen/commit/86ca61df8f0bbad08aa1df8e8d0ff388bc34a43c">view</a>]</li>
<li>Handling of relative include path in preprocessor [<a href="https://github.com/doxygen/doxygen/commit/e00ac8779066792be714d5e5540b18edd240ae6f">view</a>]</li>
<li>Improve readability of virtual base class in diagrams in dark mode [<a href="https://github.com/doxygen/doxygen/commit/bdde74b5e4a10b67791a63d4df2265034eefd6f6">view</a>]</li>
<li>Improve rendering of default parameters in HTML output [<a href="https://github.com/doxygen/doxygen/commit/891260c136d9d6cc713a3f962ecbff69e0bc5713">view</a>]</li>
<li>Improve snippet handling [<a href="https://github.com/doxygen/doxygen/commit/19012e55ce84b0b870af950a1e74c9058cd05ea3">view</a>]</li>
<li>Improved rendering of sections like @note, @warning, @todo etc. for HTML [<a href="https://github.com/doxygen/doxygen/commit/e24d8a0589956032d30f53c85f6f9693c55a1a70">view</a>]</li>
<li>Incorrect jump to anchor inside page when using CTRL-click [<a href="https://github.com/doxygen/doxygen/commit/a10fd153dda9d8af15027765e0a69db8b8af37b2">view</a>]</li>
<li>Incorrect link from summary links for classes [<a href="https://github.com/doxygen/doxygen/commit/6907f27dad8d88ec0dee60b5fb1b6388481c4b5b">view</a>]</li>
<li>Incorrect showing of hidden call graph [<a href="https://github.com/doxygen/doxygen/commit/3bc1ea4ea66f535978b2173c5183a60ab3ca1ecf">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/a91acb8feca1d1ea646e60ced99259502017e84f">view</a>]</li>
<li>Incorrect warning and output with <tt>\image</tt> followed by HTML command [<a href="https://github.com/doxygen/doxygen/commit/d70c6a977765f0f1c96f9f043ac4b421c6db1029">view</a>]</li>
<li>Incorrect warning due to import statement [<a href="https://github.com/doxygen/doxygen/commit/5685f1e1d9522109f230f44934ac1c4ad3a5654c">view</a>]</li>
<li>Javascript persistency improvements [<a href="https://github.com/doxygen/doxygen/commit/2f3a72e8360201fc775f884513ca9503fc36812e">view</a>]</li>
<li>Line miscounting in case of structural indicator [<a href="https://github.com/doxygen/doxygen/commit/b97e7a9ba89e56cb515c19179c5f8cf64f337d48">view</a>]</li>
<li>Make parser more robust for unterminated string literals in comments [<a href="https://github.com/doxygen/doxygen/commit/348eb126f70e34364eec594d83ffbe1ea2146e88">view</a>]</li>
<li>Miscounting in case of markdown links [<a href="https://github.com/doxygen/doxygen/commit/ac11ab1beeec05b25341e8c609a6358bbae30d16">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/dc66c256776f1ca6185ca09eb5aeddd749ef185f">view</a>]</li>
<li>Prevent reading tag file multiple times [<a href="https://github.com/doxygen/doxygen/commit/09997c5ed134c292da5c661a71282f8632a74a04">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/6e81c1f72c238d879b80a5101cb98a7e18119c8f">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/c4f663bbe015b448b37d0d914ef5f4d6a6a78239">view</a>]</li>
<li>Prevent recursive lockup when instantiating complex recursive templates [<a href="https://github.com/doxygen/doxygen/commit/09f9ff7b98f296514dbeb4e2312849e1fb8690a9">view</a>]</li>
<li>Problem with <tt>\fC</tt> on man pages [<a href="https://github.com/doxygen/doxygen/commit/21fda79b16b3bc697b98dc47413205a1586af349">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/28cda46b9c1b7bcb241809d54d476df58d896065">view</a>]</li>
<li>Properties in python &quot;namespaces&quot; [<a href="https://github.com/doxygen/doxygen/commit/01ac2dc4eb6ef1e73b999d7a68c9512afe9e1a5e">view</a>]</li>
<li>Recognition of <tt>&lt;=</tt> inside template construct [<a href="https://github.com/doxygen/doxygen/commit/bfd627da25cf0122c4ebe390c4c738e2e3709924">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/db977cc6dfb68c9b5fc4dc1d5e52294026b6c92d">view</a>]</li>
<li>Recognition of <tt>&gt;=</tt> inside template construct [<a href="https://github.com/doxygen/doxygen/commit/71f650373b5359538c6350d54ba55f88bdcd2a1d">view</a>]</li>
<li>Recognition of <tt>&gt;=</tt> inside initializer construct [<a href="https://github.com/doxygen/doxygen/commit/6182fa384b4ab1a06cb511d84487d4c7caba7a8b">view</a>]</li>
<li>Reduce code duplication [<a href="https://github.com/doxygen/doxygen/commit/1108dde1ce7aac7bfb2461d024380f2e5dbee190">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/66e3e94112ed9814d575f16cf4e41aa4d06cb7df">view</a>]</li>
<li>Reduce the number of calls to stripWhiteSpace() [<a href="https://github.com/doxygen/doxygen/commit/00e9110914f6ba45349cff2f67398cb9641d578f">view</a>]</li>
<li>Regression fix broken link to source code when CREATE_SUBDIRS is enabled [<a href="https://github.com/doxygen/doxygen/commit/d788d9d88a01b80ed63e712cef6cc944d05a54ed">view</a>]</li>
<li>Reinstate list of brief functions [<a href="https://github.com/doxygen/doxygen/commit/f3aa8794c4d961b419cf6cf5b7bba7ae632f65f1">view</a>]</li>
<li>Reset code parser for examples based on code type [<a href="https://github.com/doxygen/doxygen/commit/ea3ee0b13466c1638bf8b3081fdb54bd59bc1c21">view</a>]</li>
<li>Simplification and avoid warning for non-option text after image title [<a href="https://github.com/doxygen/doxygen/commit/6786b4ad5aff672074e3d2f78402f66dbc00d5a4">view</a>]</li>
<li>Store group name instead of index as cookie [<a href="https://github.com/doxygen/doxygen/commit/390499d40f8cb9ea1e3440a30f33c77ead85e7db">view</a>]</li>
<li>Use the file name as the title for \ref file.md [<a href="https://github.com/doxygen/doxygen/commit/d640bca039540bf2a09de0d11a3e4c8e69737a97">view</a>]</li>
<li>Warning about internal doxygen inconsistency for python packages [<a href="https://github.com/doxygen/doxygen/commit/d60107a8c8754300ff627f91669f5f2a0189e03f">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/23bf5de38474463915d743c33775757f042dbdeb">view</a>]</li>
<li>Wrong links for stateToString in internal doxygen documentation [<a href="https://github.com/doxygen/doxygen/commit/2df311bd402d8a4c9142dd252385ce7a576ad9d1">view</a>]</li>
<li>addon/doxmlparser: Include requirements on setup.py [<a href="https://github.com/doxygen/doxygen/commit/27fbbeb9a98526893a3d1c346ed06e918690ac3c">view</a>]</li>
<li>addon/doxmlparser: Use doxygen VERSION as version [<a href="https://github.com/doxygen/doxygen/commit/a026991b0512abe2c1b3038a8165aad7d70c0ce6">view</a>]</li>
</ul>

<h3>Features</h3>
<ul>
<li>New option HTML_COPY_CLIPBOARD to allow copying code fragments to the clipboard [<a href="https://github.com/doxygen/doxygen/commit/35268b09a3bb77f24fe41d45b77130e1c89c8daa">view</a>]
, [<a href="https://github.com/doxygen/doxygen/commit/e2576ac08ad1ebfc447483e6064411b21ea0075d">view</a>]
, [<a href="https://github.com/doxygen/doxygen/commit/eadfe3cc507acbedcf72cfe9878b25a59cc7d148">view</a>]
, [<a href="https://github.com/doxygen/doxygen/commit/634017c6ebf07d582301987938a55926d15d1e0b">view</a>]</li>
<li>Adding option PROJECT_ICON to specify icon to show for HTML output [<a href="https://github.com/doxygen/doxygen/commit/7b183c64a4fc822ee7c0ef099924e3a7ea9e9836">view</a>]</li>
<li>Added option HTML_PROJECT_COOKIE to allow different project to use different cookies [<a href="https://github.com/doxygen/doxygen/commit/847e2f02e74e6318e92581615d8cf23c7aa74314">view</a>]</li>
<li>Allow optional width= and height= specifiers for PROJECT_LOGO [<a href="https://github.com/doxygen/doxygen/commit/0e92a0c1b0f21839afa0f3af75845a57e63e3038">view</a>]</li>
<li>Adding JSON output to doxyapp [<a href="https://github.com/doxygen/doxygen/commit/515f42fec5a2d63f43774a269020a1776824eb63">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/09bb1fbf9588b5479783666ac5eae2dad84e081c">view</a>]</li>
<li>More flexible inheritance graphs regarding show / hide [<a href="https://github.com/doxygen/doxygen/commit/6c14e55dbe92961e06d054e7b5833865ad047921">view</a>]</li>
<li>More flexible inline sources regarding show / hide [<a href="https://github.com/doxygen/doxygen/commit/990cbf240c6e81c36ab7dda2a920ba7eba791a53">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/ff5d44d8bfddc5a4af640d502e30d0edd585b904">view</a>]</li>
<li>Portuguese translators updated to 1.10.0. [<a href="https://github.com/doxygen/doxygen/commit/d10df397d90807dcde5ab50018826e25c9efff5e">view</a>]</li>
<li>Publish doxmlparser to PyPI [<a href="https://github.com/doxygen/doxygen/commit/fdd1af5f80d545da752462bab22ae6b0c871ac78">view</a>]</li>
</ul>

<h3>Improved user feedback and documentation</h3>
<ul>
<li>Make the manual use more modern doxygen output [<a href="https://github.com/doxygen/doxygen/commit/f2831ae59a26c5f3b3aaa1e413553e547732f997">view</a>]</li>
<li>Add section explaining how to add "additional documentation" [<a href="https://github.com/doxygen/doxygen/commit/18d2c562a6b327a60b91b178869cfea60efd8ed0">view</a>]</li>
<li>Add range possibility in xsd [<a href="https://github.com/doxygen/doxygen/commit/5babbc77ac38d12c62de2dd35ae62ca57cb5d0ad">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/a46934b5f5668d46770e46da7beb3dde64e0b8c9">view</a>]</li>
<li>Submit warning when the ingroup command is used with an non-existing group name [<a href="https://github.com/doxygen/doxygen/commit/e075f1bf636ff1959dcaf0e99b9c09dc13d8008f">view</a>] and [<a href="https://github.com/doxygen/doxygen/commit/9777be43fd7f2809fefcb002706977ba07c9b15c">view</a>]</li>
<li>add LaTeX and perl to testing readme as dependencies [<a href="https://github.com/doxygen/doxygen/commit/eaf9d3ec1103fd955bd202b351f37fe6c867de62">view</a>]</li>
<li>Improvement of the description of INLINE_SOURCES setting [<a href="https://github.com/doxygen/doxygen/commit/4ecadc650accdcdfac8c02bac2c73cd4cb63064f">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/a4d728769dec637519eaabe4d47501b5312c60de">view</a>]</li>
<li>Update file extension mapping table in doc/starting.doc [<a href="https://github.com/doxygen/doxygen/commit/f73c355f28d59169bca40e7063002b18d243b8f1">view</a>]</li>
<li>Documentation correction for sqlite3 [<a href="https://github.com/doxygen/doxygen/commit/d916f2d92c453cdeba32c1bbfcd03ade7c0349d4">view</a>]</li>
<li>Adjusting the term &quot;module&quot; to &quot;topic&quot; in documentation [<a href="https://github.com/doxygen/doxygen/commit/bfe89d3eebf4100193914e5f1dfd00d94387850b">view</a>]</li>
<li>Remove help info about non existing option [<a href="https://github.com/doxygen/doxygen/commit/82883cac961d9a68ab60bb0c1c227bdc54ad5362">view</a>]</li>
<li>More consistent warning messages [<a href="https://github.com/doxygen/doxygen/commit/8dcaadb6b72a6620c798fbd19d22ee32114687d9">view</a>], [<a href="https://github.com/doxygen/doxygen/commit/907c56ee4071e3af680e793a6c5b1bb0c6c4b905">view</a>]</li>
</ul>

<h3>Refactoring and cleanup</h3>
<ul>
<li>Use session cookies and modernize javascripts [<a href="https://github.com/doxygen/doxygen/commit/f4faaf19ef77701b133d74057a721eaf11ea7b1f">view</a>]</li>
<li>Refactoring: Modernize libversion [<a href="https://github.com/doxygen/doxygen/commit/e29c4a5e86941ed6b6c2437fcdf82263a2679268">view</a>]</li>
